/**
* @file rbusPinMux_PMMReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2015-3-27
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_PINMUX_PMM_REG_H_
#define _RBUS_PINMUX_PMM_REG_H_

//#include "rbusTypes.h"



//  PINMUX_PMM Register Address
#define  PINMUX_PMM_ST_GPIO_CFG_0                                                0x18060200
#define  PINMUX_PMM_ST_GPIO_CFG_0_reg_addr                                       "0xB8060200"
#define  PINMUX_PMM_ST_GPIO_CFG_0_reg                                            0xB8060200
#define  PINMUX_PMM_ST_GPIO_CFG_0_inst_addr                                      "0x0000"
#define  set_PINMUX_PMM_ST_GPIO_CFG_0_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_0_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_0_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_0_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_sr_shift                            (24)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_sr_shift                            (8)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_ps_shift                            (4)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_pu_shift                            (3)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_pd_shift                            (2)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_ds_shift                            (1)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_sr_shift                            (0)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_sr_mask                             (0x01000000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_sr_mask                             (0x00000100)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_ps_mask                             (0x000000F0)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_pu_mask                             (0x00000008)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_pd_mask                             (0x00000004)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_ds_mask                             (0x00000002)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_sr_mask                             (0x00000001)
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_00_sr(data)                            (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_01_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_02_sr(data)                            (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_ps(data)                            (0x000000F0&((data)<<4))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_pu(data)                            (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_pd(data)                            (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_ds(data)                            (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_GPIO_CFG_0_st_gpio_03_sr(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_00_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_00_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_00_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_00_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_00_sr(data)                        ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_01_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_01_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_01_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_01_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_01_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_02_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_02_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_02_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_02_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_02_sr(data)                        ((0x00000100&(data))>>8)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_03_ps(data)                        ((0x000000F0&(data))>>4)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_03_pu(data)                        ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_03_pd(data)                        ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_03_ds(data)                        ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_GPIO_CFG_0_get_st_gpio_03_sr(data)                        (0x00000001&(data))

#define  PINMUX_PMM_ST_GPIO_CFG_1                                                0x18060204
#define  PINMUX_PMM_ST_GPIO_CFG_1_reg_addr                                       "0xB8060204"
#define  PINMUX_PMM_ST_GPIO_CFG_1_reg                                            0xB8060204
#define  PINMUX_PMM_ST_GPIO_CFG_1_inst_addr                                      "0x0001"
#define  set_PINMUX_PMM_ST_GPIO_CFG_1_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_1_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_1_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_1_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_sr_shift                            (24)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_sr_shift                            (8)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_ps_shift                            (4)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_pu_shift                            (3)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_pd_shift                            (2)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_ds_shift                            (1)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_sr_shift                            (0)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_sr_mask                             (0x01000000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_sr_mask                             (0x00000100)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_ps_mask                             (0x000000F0)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_pu_mask                             (0x00000008)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_pd_mask                             (0x00000004)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_ds_mask                             (0x00000002)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_sr_mask                             (0x00000001)
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_04_sr(data)                            (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_05_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_06_sr(data)                            (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_ps(data)                            (0x000000F0&((data)<<4))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_pu(data)                            (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_pd(data)                            (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_ds(data)                            (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_GPIO_CFG_1_st_gpio_07_sr(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_04_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_04_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_04_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_04_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_04_sr(data)                        ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_05_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_05_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_05_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_05_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_05_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_06_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_06_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_06_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_06_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_06_sr(data)                        ((0x00000100&(data))>>8)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_07_ps(data)                        ((0x000000F0&(data))>>4)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_07_pu(data)                        ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_07_pd(data)                        ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_07_ds(data)                        ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_GPIO_CFG_1_get_st_gpio_07_sr(data)                        (0x00000001&(data))

#define  PINMUX_PMM_ST_GPIO_CFG_2                                                0x18060208
#define  PINMUX_PMM_ST_GPIO_CFG_2_reg_addr                                       "0xB8060208"
#define  PINMUX_PMM_ST_GPIO_CFG_2_reg                                            0xB8060208
#define  PINMUX_PMM_ST_GPIO_CFG_2_inst_addr                                      "0x0002"
#define  set_PINMUX_PMM_ST_GPIO_CFG_2_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_2_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_2_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_2_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_sr_shift                            (8)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_ps_shift                            (4)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_pu_shift                            (3)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_pd_shift                            (2)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_ds_shift                            (1)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_sr_shift                            (0)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_sr_mask                             (0x00000100)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_ps_mask                             (0x000000F0)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_pu_mask                             (0x00000008)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_pd_mask                             (0x00000004)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_ds_mask                             (0x00000002)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_sr_mask                             (0x00000001)
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_08_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_09_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_10_sr(data)                            (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_ps(data)                            (0x000000F0&((data)<<4))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_pu(data)                            (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_pd(data)                            (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_ds(data)                            (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_GPIO_CFG_2_st_gpio_11_sr(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_08_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_08_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_08_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_08_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_09_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_09_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_09_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_09_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_09_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_10_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_10_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_10_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_10_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_10_sr(data)                        ((0x00000100&(data))>>8)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_11_ps(data)                        ((0x000000F0&(data))>>4)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_11_pu(data)                        ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_11_pd(data)                        ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_11_ds(data)                        ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_GPIO_CFG_2_get_st_gpio_11_sr(data)                        (0x00000001&(data))

#define  PINMUX_PMM_ST_GPIO_CFG_3                                                0x1806020C
#define  PINMUX_PMM_ST_GPIO_CFG_3_reg_addr                                       "0xB806020C"
#define  PINMUX_PMM_ST_GPIO_CFG_3_reg                                            0xB806020C
#define  PINMUX_PMM_ST_GPIO_CFG_3_inst_addr                                      "0x0003"
#define  set_PINMUX_PMM_ST_GPIO_CFG_3_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_3_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_3_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_3_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_sr_shift                            (24)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_sr_shift                            (8)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_ps_shift                            (4)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_pu_shift                            (3)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_pd_shift                            (2)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_ds_shift                            (1)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_sr_shift                            (0)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_sr_mask                             (0x01000000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_sr_mask                             (0x00000100)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_ps_mask                             (0x000000F0)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_pu_mask                             (0x00000008)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_pd_mask                             (0x00000004)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_ds_mask                             (0x00000002)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_sr_mask                             (0x00000001)
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_12_sr(data)                            (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_13_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_14_sr(data)                            (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_ps(data)                            (0x000000F0&((data)<<4))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_pu(data)                            (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_pd(data)                            (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_ds(data)                            (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_GPIO_CFG_3_st_gpio_15_sr(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_12_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_12_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_12_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_12_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_12_sr(data)                        ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_13_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_13_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_13_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_13_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_13_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_14_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_14_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_14_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_14_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_14_sr(data)                        ((0x00000100&(data))>>8)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_15_ps(data)                        ((0x000000F0&(data))>>4)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_15_pu(data)                        ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_15_pd(data)                        ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_15_ds(data)                        ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_GPIO_CFG_3_get_st_gpio_15_sr(data)                        (0x00000001&(data))

#define  PINMUX_PMM_ST_GPIO_CFG_4                                                0x18060210
#define  PINMUX_PMM_ST_GPIO_CFG_4_reg_addr                                       "0xB8060210"
#define  PINMUX_PMM_ST_GPIO_CFG_4_reg                                            0xB8060210
#define  PINMUX_PMM_ST_GPIO_CFG_4_inst_addr                                      "0x0004"
#define  set_PINMUX_PMM_ST_GPIO_CFG_4_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_4_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_4_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_4_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_sr_shift                            (24)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_ps_shift                            (4)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_pu_shift                            (3)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_pd_shift                            (2)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_ds_shift                            (1)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_sr_shift                            (0)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_sr_mask                             (0x01000000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_ps_mask                             (0x000000F0)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_pu_mask                             (0x00000008)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_pd_mask                             (0x00000004)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_ds_mask                             (0x00000002)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_sr_mask                             (0x00000001)
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_16_sr(data)                            (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_17_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_18_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_ps(data)                            (0x000000F0&((data)<<4))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_pu(data)                            (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_pd(data)                            (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_ds(data)                            (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_GPIO_CFG_4_st_gpio_19_sr(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_16_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_16_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_16_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_16_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_16_sr(data)                        ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_17_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_17_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_17_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_17_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_17_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_18_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_18_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_18_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_18_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_19_ps(data)                        ((0x000000F0&(data))>>4)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_19_pu(data)                        ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_19_pd(data)                        ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_19_ds(data)                        ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_GPIO_CFG_4_get_st_gpio_19_sr(data)                        (0x00000001&(data))

#define  PINMUX_PMM_ST_GPIO_CFG_5                                                0x18060214
#define  PINMUX_PMM_ST_GPIO_CFG_5_reg_addr                                       "0xB8060214"
#define  PINMUX_PMM_ST_GPIO_CFG_5_reg                                            0xB8060214
#define  PINMUX_PMM_ST_GPIO_CFG_5_inst_addr                                      "0x0005"
#define  set_PINMUX_PMM_ST_GPIO_CFG_5_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_5_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_5_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_5_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_sr_shift                            (24)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_sr_shift                            (8)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_ps_shift                            (4)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_pu_shift                            (3)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_pd_shift                            (2)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_ds_shift                            (1)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_sr_shift                            (0)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_sr_mask                             (0x01000000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_sr_mask                             (0x00000100)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_ps_mask                             (0x000000F0)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_pu_mask                             (0x00000008)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_pd_mask                             (0x00000004)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_ds_mask                             (0x00000002)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_sr_mask                             (0x00000001)
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_20_sr(data)                            (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_21_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_22_sr(data)                            (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_ps(data)                            (0x000000F0&((data)<<4))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_pu(data)                            (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_pd(data)                            (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_ds(data)                            (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_GPIO_CFG_5_st_gpio_23_sr(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_20_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_20_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_20_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_20_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_20_sr(data)                        ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_21_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_21_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_21_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_21_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_21_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_22_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_22_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_22_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_22_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_22_sr(data)                        ((0x00000100&(data))>>8)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_23_ps(data)                        ((0x000000F0&(data))>>4)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_23_pu(data)                        ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_23_pd(data)                        ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_23_ds(data)                        ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_GPIO_CFG_5_get_st_gpio_23_sr(data)                        (0x00000001&(data))

#define  PINMUX_PMM_ST_GPIO_CFG_6                                                0x18060218
#define  PINMUX_PMM_ST_GPIO_CFG_6_reg_addr                                       "0xB8060218"
#define  PINMUX_PMM_ST_GPIO_CFG_6_reg                                            0xB8060218
#define  PINMUX_PMM_ST_GPIO_CFG_6_inst_addr                                      "0x0006"
#define  set_PINMUX_PMM_ST_GPIO_CFG_6_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_6_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_6_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_6_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_sr_shift                            (24)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_sr_shift                            (8)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_ps_shift                            (4)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_pu_shift                            (3)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_pd_shift                            (2)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_ds_shift                            (1)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_sr_shift                            (0)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_sr_mask                             (0x01000000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_sr_mask                             (0x00000100)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_ps_mask                             (0x000000F0)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_pu_mask                             (0x00000008)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_pd_mask                             (0x00000004)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_ds_mask                             (0x00000002)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_sr_mask                             (0x00000001)
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_24_sr(data)                            (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_25_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_26_sr(data)                            (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_ps(data)                            (0x000000F0&((data)<<4))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_pu(data)                            (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_pd(data)                            (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_ds(data)                            (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_GPIO_CFG_6_st_gpio_27_sr(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_24_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_24_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_24_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_24_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_24_sr(data)                        ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_25_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_25_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_25_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_25_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_25_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_26_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_26_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_26_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_26_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_26_sr(data)                        ((0x00000100&(data))>>8)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_27_ps(data)                        ((0x000000F0&(data))>>4)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_27_pu(data)                        ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_27_pd(data)                        ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_27_ds(data)                        ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_GPIO_CFG_6_get_st_gpio_27_sr(data)                        (0x00000001&(data))

#define  PINMUX_PMM_ST_GPIO_CFG_7                                                0x1806021C
#define  PINMUX_PMM_ST_GPIO_CFG_7_reg_addr                                       "0xB806021C"
#define  PINMUX_PMM_ST_GPIO_CFG_7_reg                                            0xB806021C
#define  PINMUX_PMM_ST_GPIO_CFG_7_inst_addr                                      "0x0007"
#define  set_PINMUX_PMM_ST_GPIO_CFG_7_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_7_reg)=data)
#define  get_PINMUX_PMM_ST_GPIO_CFG_7_reg                                        (*((volatile unsigned int*)PINMUX_PMM_ST_GPIO_CFG_7_reg))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_ps_shift                            (28)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_pu_shift                            (27)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_pd_shift                            (26)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_ds_shift                            (25)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_sr_shift                            (24)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_ps_shift                            (20)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_pu_shift                            (19)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_pd_shift                            (18)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_ds_shift                            (17)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_sr_shift                            (16)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_ps_shift                            (12)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_pu_shift                            (11)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_pd_shift                            (10)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_ds_shift                            (9)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_sr_shift                            (8)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_ps_mask                             (0xF0000000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_pu_mask                             (0x08000000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_pd_mask                             (0x04000000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_ds_mask                             (0x02000000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_sr_mask                             (0x01000000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_ps_mask                             (0x00F00000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_pu_mask                             (0x00080000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_pd_mask                             (0x00040000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_ds_mask                             (0x00020000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_sr_mask                             (0x00010000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_ps_mask                             (0x0000F000)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_pu_mask                             (0x00000800)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_pd_mask                             (0x00000400)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_ds_mask                             (0x00000200)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_sr_mask                             (0x00000100)
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_ps(data)                            (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_pu(data)                            (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_pd(data)                            (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_ds(data)                            (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_28_sr(data)                            (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_ps(data)                            (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_pu(data)                            (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_pd(data)                            (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_ds(data)                            (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_29_sr(data)                            (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_ps(data)                            (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_pu(data)                            (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_pd(data)                            (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_ds(data)                            (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_GPIO_CFG_7_st_gpio_30_sr(data)                            (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_28_ps(data)                        ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_28_pu(data)                        ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_28_pd(data)                        ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_28_ds(data)                        ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_28_sr(data)                        ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_29_ps(data)                        ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_29_pu(data)                        ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_29_pd(data)                        ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_29_ds(data)                        ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_29_sr(data)                        ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_30_ps(data)                        ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_30_pu(data)                        ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_30_pd(data)                        ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_30_ds(data)                        ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_GPIO_CFG_7_get_st_gpio_30_sr(data)                        ((0x00000100&(data))>>8)

#define  PINMUX_PMM_ST_RTC_0                                                     0x18060220
#define  PINMUX_PMM_ST_RTC_0_reg_addr                                            "0xB8060220"
#define  PINMUX_PMM_ST_RTC_0_reg                                                 0xB8060220
#define  PINMUX_PMM_ST_RTC_0_inst_addr                                           "0x0008"
#define  set_PINMUX_PMM_ST_RTC_0_reg(data)                                       (*((volatile unsigned int*)PINMUX_PMM_ST_RTC_0_reg)=data)
#define  get_PINMUX_PMM_ST_RTC_0_reg                                             (*((volatile unsigned int*)PINMUX_PMM_ST_RTC_0_reg))
#define  PINMUX_PMM_ST_RTC_0_rtc_xout_ps_shift                                   (28)
#define  PINMUX_PMM_ST_RTC_0_rtc_xin_ps_shift                                    (24)
#define  PINMUX_PMM_ST_RTC_0_rtc_gpi_en_shift                                    (0)
#define  PINMUX_PMM_ST_RTC_0_rtc_xout_ps_mask                                    (0xF0000000)
#define  PINMUX_PMM_ST_RTC_0_rtc_xin_ps_mask                                     (0x0F000000)
#define  PINMUX_PMM_ST_RTC_0_rtc_gpi_en_mask                                     (0x00000001)
#define  PINMUX_PMM_ST_RTC_0_rtc_xout_ps(data)                                   (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_RTC_0_rtc_xin_ps(data)                                    (0x0F000000&((data)<<24))
#define  PINMUX_PMM_ST_RTC_0_rtc_gpi_en(data)                                    (0x00000001&(data))
#define  PINMUX_PMM_ST_RTC_0_get_rtc_xout_ps(data)                               ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_RTC_0_get_rtc_xin_ps(data)                                ((0x0F000000&(data))>>24)
#define  PINMUX_PMM_ST_RTC_0_get_rtc_gpi_en(data)                                (0x00000001&(data))

#define  PINMUX_PMM_ST_STB_TOP_0                                                 0x18060224
#define  PINMUX_PMM_ST_STB_TOP_0_reg_addr                                        "0xB8060224"
#define  PINMUX_PMM_ST_STB_TOP_0_reg                                             0xB8060224
#define  PINMUX_PMM_ST_STB_TOP_0_inst_addr                                       "0x0009"
#define  set_PINMUX_PMM_ST_STB_TOP_0_reg(data)                                   (*((volatile unsigned int*)PINMUX_PMM_ST_STB_TOP_0_reg)=data)
#define  get_PINMUX_PMM_ST_STB_TOP_0_reg                                         (*((volatile unsigned int*)PINMUX_PMM_ST_STB_TOP_0_reg))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc_ref_ps_shift                              (28)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc0_ps_shift                                 (24)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc1_ps_shift                                 (20)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc2_ps_shift                                 (16)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc4_ps_shift                                 (12)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc6_ps_shift                                 (8)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc_ref_gpi_en_shift                          (5)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc0_gpi_en_shift                             (4)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc1_gpi_en_shift                             (3)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc2_gpi_en_shift                             (2)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc4_gpi_en_shift                             (1)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc6_gpi_en_shift                             (0)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc_ref_ps_mask                               (0xF0000000)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc0_ps_mask                                  (0x0F000000)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc1_ps_mask                                  (0x00F00000)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc2_ps_mask                                  (0x000F0000)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc4_ps_mask                                  (0x0000F000)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc6_ps_mask                                  (0x00000F00)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc_ref_gpi_en_mask                           (0x00000020)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc0_gpi_en_mask                              (0x00000010)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc1_gpi_en_mask                              (0x00000008)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc2_gpi_en_mask                              (0x00000004)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc4_gpi_en_mask                              (0x00000002)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc6_gpi_en_mask                              (0x00000001)
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc_ref_ps(data)                              (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc0_ps(data)                                 (0x0F000000&((data)<<24))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc1_ps(data)                                 (0x00F00000&((data)<<20))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc2_ps(data)                                 (0x000F0000&((data)<<16))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc4_ps(data)                                 (0x0000F000&((data)<<12))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc6_ps(data)                                 (0x00000F00&((data)<<8))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc_ref_gpi_en(data)                          (0x00000020&((data)<<5))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc0_gpi_en(data)                             (0x00000010&((data)<<4))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc1_gpi_en(data)                             (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc2_gpi_en(data)                             (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc4_gpi_en(data)                             (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_STB_TOP_0_lsadc6_gpi_en(data)                             (0x00000001&(data))
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc_ref_ps(data)                          ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc0_ps(data)                             ((0x0F000000&(data))>>24)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc1_ps(data)                             ((0x00F00000&(data))>>20)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc2_ps(data)                             ((0x000F0000&(data))>>16)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc4_ps(data)                             ((0x0000F000&(data))>>12)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc6_ps(data)                             ((0x00000F00&(data))>>8)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc_ref_gpi_en(data)                      ((0x00000020&(data))>>5)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc0_gpi_en(data)                         ((0x00000010&(data))>>4)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc1_gpi_en(data)                         ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc2_gpi_en(data)                         ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc4_gpi_en(data)                         ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_STB_TOP_0_get_lsadc6_gpi_en(data)                         (0x00000001&(data))

#define  PINMUX_PMM_ST_STB_TOP_1                                                 0x18060228
#define  PINMUX_PMM_ST_STB_TOP_1_reg_addr                                        "0xB8060228"
#define  PINMUX_PMM_ST_STB_TOP_1_reg                                             0xB8060228
#define  PINMUX_PMM_ST_STB_TOP_1_inst_addr                                       "0x000A"
#define  set_PINMUX_PMM_ST_STB_TOP_1_reg(data)                                   (*((volatile unsigned int*)PINMUX_PMM_ST_STB_TOP_1_reg)=data)
#define  get_PINMUX_PMM_ST_STB_TOP_1_reg                                         (*((volatile unsigned int*)PINMUX_PMM_ST_STB_TOP_1_reg))
#define  PINMUX_PMM_ST_STB_TOP_1_lsadc7_ps_shift                                 (28)
#define  PINMUX_PMM_ST_STB_TOP_1_stb_dio_ps_shift                                (24)
#define  PINMUX_PMM_ST_STB_TOP_1_lsadc7_gpi_en_shift                             (1)
#define  PINMUX_PMM_ST_STB_TOP_1_stb_dio_gpi_en_shift                            (0)
#define  PINMUX_PMM_ST_STB_TOP_1_lsadc7_ps_mask                                  (0xF0000000)
#define  PINMUX_PMM_ST_STB_TOP_1_stb_dio_ps_mask                                 (0x0F000000)
#define  PINMUX_PMM_ST_STB_TOP_1_lsadc7_gpi_en_mask                              (0x00000002)
#define  PINMUX_PMM_ST_STB_TOP_1_stb_dio_gpi_en_mask                             (0x00000001)
#define  PINMUX_PMM_ST_STB_TOP_1_lsadc7_ps(data)                                 (0xF0000000&((data)<<28))
#define  PINMUX_PMM_ST_STB_TOP_1_stb_dio_ps(data)                                (0x0F000000&((data)<<24))
#define  PINMUX_PMM_ST_STB_TOP_1_lsadc7_gpi_en(data)                             (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_STB_TOP_1_stb_dio_gpi_en(data)                            (0x00000001&(data))
#define  PINMUX_PMM_ST_STB_TOP_1_get_lsadc7_ps(data)                             ((0xF0000000&(data))>>28)
#define  PINMUX_PMM_ST_STB_TOP_1_get_stb_dio_ps(data)                            ((0x0F000000&(data))>>24)
#define  PINMUX_PMM_ST_STB_TOP_1_get_lsadc7_gpi_en(data)                         ((0x00000002&(data))>>1)
#define  PINMUX_PMM_ST_STB_TOP_1_get_stb_dio_gpi_en(data)                        (0x00000001&(data))

#define  PINMUX_PMM_Pin_Mux_Ctrl0                                                0x1806022C
#define  PINMUX_PMM_Pin_Mux_Ctrl0_reg_addr                                       "0xB806022C"
#define  PINMUX_PMM_Pin_Mux_Ctrl0_reg                                            0xB806022C
#define  PINMUX_PMM_Pin_Mux_Ctrl0_inst_addr                                      "0x000B"
#define  set_PINMUX_PMM_Pin_Mux_Ctrl0_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_Pin_Mux_Ctrl0_reg)=data)
#define  get_PINMUX_PMM_Pin_Mux_Ctrl0_reg                                        (*((volatile unsigned int*)PINMUX_PMM_Pin_Mux_Ctrl0_reg))
#define  PINMUX_PMM_Pin_Mux_Ctrl0_epi_lock_in_sel_shift                          (28)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_i2c0_in_sel_shift                              (24)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_i2s_in_sel_shift                               (11)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_spdif_in_sel_shift                             (0)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_epi_lock_in_sel_mask                           (0x30000000)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_i2c0_in_sel_mask                               (0x07000000)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_i2s_in_sel_mask                                (0x00001800)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_spdif_in_sel_mask                              (0x00000003)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_epi_lock_in_sel(data)                          (0x30000000&((data)<<28))
#define  PINMUX_PMM_Pin_Mux_Ctrl0_i2c0_in_sel(data)                              (0x07000000&((data)<<24))
#define  PINMUX_PMM_Pin_Mux_Ctrl0_i2s_in_sel(data)                               (0x00001800&((data)<<11))
#define  PINMUX_PMM_Pin_Mux_Ctrl0_spdif_in_sel(data)                             (0x00000003&(data))
#define  PINMUX_PMM_Pin_Mux_Ctrl0_get_epi_lock_in_sel(data)                      ((0x30000000&(data))>>28)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_get_i2c0_in_sel(data)                          ((0x07000000&(data))>>24)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_get_i2s_in_sel(data)                           ((0x00001800&(data))>>11)
#define  PINMUX_PMM_Pin_Mux_Ctrl0_get_spdif_in_sel(data)                         (0x00000003&(data))

#define  PINMUX_PMM_Pin_Mux_Ctrl1                                                0x18060230
#define  PINMUX_PMM_Pin_Mux_Ctrl1_reg_addr                                       "0xB8060230"
#define  PINMUX_PMM_Pin_Mux_Ctrl1_reg                                            0xB8060230
#define  PINMUX_PMM_Pin_Mux_Ctrl1_inst_addr                                      "0x000C"
#define  set_PINMUX_PMM_Pin_Mux_Ctrl1_reg(data)                                  (*((volatile unsigned int*)PINMUX_PMM_Pin_Mux_Ctrl1_reg)=data)
#define  get_PINMUX_PMM_Pin_Mux_Ctrl1_reg                                        (*((volatile unsigned int*)PINMUX_PMM_Pin_Mux_Ctrl1_reg))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uartrbus_sel_shift                             (28)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_emcu_ur_rx_in_sel_shift                        (16)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart0_rxdi_in_sel_shift                        (12)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart1_rxdi_in_sel_shift                        (8)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart2_rxdi_in_sel_shift                        (5)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart2_cts_n_in_sel_shift                       (2)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_vfd_sel_shift                                  (0)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uartrbus_sel_mask                              (0x10000000)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_emcu_ur_rx_in_sel_mask                         (0x00030000)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart0_rxdi_in_sel_mask                         (0x00007000)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart1_rxdi_in_sel_mask                         (0x00000700)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart2_rxdi_in_sel_mask                         (0x000000E0)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart2_cts_n_in_sel_mask                        (0x0000001C)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_vfd_sel_mask                                   (0x00000003)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uartrbus_sel(data)                             (0x10000000&((data)<<28))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_emcu_ur_rx_in_sel(data)                        (0x00030000&((data)<<16))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart0_rxdi_in_sel(data)                        (0x00007000&((data)<<12))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart1_rxdi_in_sel(data)                        (0x00000700&((data)<<8))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart2_rxdi_in_sel(data)                        (0x000000E0&((data)<<5))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_uart2_cts_n_in_sel(data)                       (0x0000001C&((data)<<2))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_vfd_sel(data)                                  (0x00000003&(data))
#define  PINMUX_PMM_Pin_Mux_Ctrl1_get_uartrbus_sel(data)                         ((0x10000000&(data))>>28)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_get_emcu_ur_rx_in_sel(data)                    ((0x00030000&(data))>>16)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_get_uart0_rxdi_in_sel(data)                    ((0x00007000&(data))>>12)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_get_uart1_rxdi_in_sel(data)                    ((0x00000700&(data))>>8)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_get_uart2_rxdi_in_sel(data)                    ((0x000000E0&(data))>>5)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_get_uart2_cts_n_in_sel(data)                   ((0x0000001C&(data))>>2)
#define  PINMUX_PMM_Pin_Mux_Ctrl1_get_vfd_sel(data)                              (0x00000003&(data))

#define  PINMUX_PMM_Pin_Mux_IEV18_0                                              0x18060234
#define  PINMUX_PMM_Pin_Mux_IEV18_0_reg_addr                                     "0xB8060234"
#define  PINMUX_PMM_Pin_Mux_IEV18_0_reg                                          0xB8060234
#define  PINMUX_PMM_Pin_Mux_IEV18_0_inst_addr                                    "0x000D"
#define  set_PINMUX_PMM_Pin_Mux_IEV18_0_reg(data)                                (*((volatile unsigned int*)PINMUX_PMM_Pin_Mux_IEV18_0_reg)=data)
#define  get_PINMUX_PMM_Pin_Mux_IEV18_0_reg                                      (*((volatile unsigned int*)PINMUX_PMM_Pin_Mux_IEV18_0_reg))
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_04_ie_v18_shift                      (31)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_09_ie_v18_shift                      (30)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_29_ie_v18_shift                      (29)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_04_ie_v18_mask                       (0x80000000)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_09_ie_v18_mask                       (0x40000000)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_29_ie_v18_mask                       (0x20000000)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_04_ie_v18(data)                      (0x80000000&((data)<<31))
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_09_ie_v18(data)                      (0x40000000&((data)<<30))
#define  PINMUX_PMM_Pin_Mux_IEV18_0_st_gpio_29_ie_v18(data)                      (0x20000000&((data)<<29))
#define  PINMUX_PMM_Pin_Mux_IEV18_0_get_st_gpio_04_ie_v18(data)                  ((0x80000000&(data))>>31)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_get_st_gpio_09_ie_v18(data)                  ((0x40000000&(data))>>30)
#define  PINMUX_PMM_Pin_Mux_IEV18_0_get_st_gpio_29_ie_v18(data)                  ((0x20000000&(data))>>29)

#define  PINMUX_PMM_ST_Schmidt_trigger_0                                         0x18060238
#define  PINMUX_PMM_ST_Schmidt_trigger_0_reg_addr                                "0xB8060238"
#define  PINMUX_PMM_ST_Schmidt_trigger_0_reg                                     0xB8060238
#define  PINMUX_PMM_ST_Schmidt_trigger_0_inst_addr                               "0x000E"
#define  set_PINMUX_PMM_ST_Schmidt_trigger_0_reg(data)                           (*((volatile unsigned int*)PINMUX_PMM_ST_Schmidt_trigger_0_reg)=data)
#define  get_PINMUX_PMM_ST_Schmidt_trigger_0_reg                                 (*((volatile unsigned int*)PINMUX_PMM_ST_Schmidt_trigger_0_reg))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_00_smt_shift                    (31)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_01_smt_shift                    (30)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_02_smt_shift                    (29)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_03_smt_shift                    (28)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_04_smt_shift                    (27)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_05_smt_shift                    (26)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_06_smt_shift                    (25)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_07_smt_shift                    (24)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_08_smt_shift                    (23)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_09_smt_shift                    (22)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_10_smt_shift                    (21)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_11_smt_shift                    (20)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_12_smt_shift                    (19)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_13_smt_shift                    (18)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_14_smt_shift                    (17)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_15_smt_shift                    (16)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_16_smt_shift                    (15)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_17_smt_shift                    (14)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_18_smt_shift                    (13)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_19_smt_shift                    (12)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_20_smt_shift                    (11)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_21_smt_shift                    (10)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_22_smt_shift                    (9)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_23_smt_shift                    (8)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_24_smt_shift                    (7)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_25_smt_shift                    (6)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_26_smt_shift                    (5)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_27_smt_shift                    (4)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_28_smt_shift                    (3)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_29_smt_shift                    (2)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_30_smt_shift                    (1)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_00_smt_mask                     (0x80000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_01_smt_mask                     (0x40000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_02_smt_mask                     (0x20000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_03_smt_mask                     (0x10000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_04_smt_mask                     (0x08000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_05_smt_mask                     (0x04000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_06_smt_mask                     (0x02000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_07_smt_mask                     (0x01000000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_08_smt_mask                     (0x00800000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_09_smt_mask                     (0x00400000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_10_smt_mask                     (0x00200000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_11_smt_mask                     (0x00100000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_12_smt_mask                     (0x00080000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_13_smt_mask                     (0x00040000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_14_smt_mask                     (0x00020000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_15_smt_mask                     (0x00010000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_16_smt_mask                     (0x00008000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_17_smt_mask                     (0x00004000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_18_smt_mask                     (0x00002000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_19_smt_mask                     (0x00001000)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_20_smt_mask                     (0x00000800)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_21_smt_mask                     (0x00000400)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_22_smt_mask                     (0x00000200)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_23_smt_mask                     (0x00000100)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_24_smt_mask                     (0x00000080)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_25_smt_mask                     (0x00000040)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_26_smt_mask                     (0x00000020)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_27_smt_mask                     (0x00000010)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_28_smt_mask                     (0x00000008)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_29_smt_mask                     (0x00000004)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_30_smt_mask                     (0x00000002)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_00_smt(data)                    (0x80000000&((data)<<31))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_01_smt(data)                    (0x40000000&((data)<<30))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_02_smt(data)                    (0x20000000&((data)<<29))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_03_smt(data)                    (0x10000000&((data)<<28))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_04_smt(data)                    (0x08000000&((data)<<27))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_05_smt(data)                    (0x04000000&((data)<<26))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_06_smt(data)                    (0x02000000&((data)<<25))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_07_smt(data)                    (0x01000000&((data)<<24))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_08_smt(data)                    (0x00800000&((data)<<23))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_09_smt(data)                    (0x00400000&((data)<<22))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_10_smt(data)                    (0x00200000&((data)<<21))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_11_smt(data)                    (0x00100000&((data)<<20))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_12_smt(data)                    (0x00080000&((data)<<19))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_13_smt(data)                    (0x00040000&((data)<<18))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_14_smt(data)                    (0x00020000&((data)<<17))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_15_smt(data)                    (0x00010000&((data)<<16))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_16_smt(data)                    (0x00008000&((data)<<15))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_17_smt(data)                    (0x00004000&((data)<<14))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_18_smt(data)                    (0x00002000&((data)<<13))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_19_smt(data)                    (0x00001000&((data)<<12))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_20_smt(data)                    (0x00000800&((data)<<11))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_21_smt(data)                    (0x00000400&((data)<<10))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_22_smt(data)                    (0x00000200&((data)<<9))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_23_smt(data)                    (0x00000100&((data)<<8))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_24_smt(data)                    (0x00000080&((data)<<7))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_25_smt(data)                    (0x00000040&((data)<<6))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_26_smt(data)                    (0x00000020&((data)<<5))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_27_smt(data)                    (0x00000010&((data)<<4))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_28_smt(data)                    (0x00000008&((data)<<3))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_29_smt(data)                    (0x00000004&((data)<<2))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_st_gpio_30_smt(data)                    (0x00000002&((data)<<1))
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_00_smt(data)                ((0x80000000&(data))>>31)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_01_smt(data)                ((0x40000000&(data))>>30)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_02_smt(data)                ((0x20000000&(data))>>29)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_03_smt(data)                ((0x10000000&(data))>>28)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_04_smt(data)                ((0x08000000&(data))>>27)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_05_smt(data)                ((0x04000000&(data))>>26)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_06_smt(data)                ((0x02000000&(data))>>25)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_07_smt(data)                ((0x01000000&(data))>>24)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_08_smt(data)                ((0x00800000&(data))>>23)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_09_smt(data)                ((0x00400000&(data))>>22)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_10_smt(data)                ((0x00200000&(data))>>21)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_11_smt(data)                ((0x00100000&(data))>>20)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_12_smt(data)                ((0x00080000&(data))>>19)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_13_smt(data)                ((0x00040000&(data))>>18)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_14_smt(data)                ((0x00020000&(data))>>17)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_15_smt(data)                ((0x00010000&(data))>>16)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_16_smt(data)                ((0x00008000&(data))>>15)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_17_smt(data)                ((0x00004000&(data))>>14)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_18_smt(data)                ((0x00002000&(data))>>13)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_19_smt(data)                ((0x00001000&(data))>>12)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_20_smt(data)                ((0x00000800&(data))>>11)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_21_smt(data)                ((0x00000400&(data))>>10)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_22_smt(data)                ((0x00000200&(data))>>9)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_23_smt(data)                ((0x00000100&(data))>>8)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_24_smt(data)                ((0x00000080&(data))>>7)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_25_smt(data)                ((0x00000040&(data))>>6)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_26_smt(data)                ((0x00000020&(data))>>5)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_27_smt(data)                ((0x00000010&(data))>>4)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_28_smt(data)                ((0x00000008&(data))>>3)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_29_smt(data)                ((0x00000004&(data))>>2)
#define  PINMUX_PMM_ST_Schmidt_trigger_0_get_st_gpio_30_smt(data)                ((0x00000002&(data))>>1)

#define  PINMUX_PMM_ST_TEST_PIN_CTRL                                             0x1806023C
#define  PINMUX_PMM_ST_TEST_PIN_CTRL_reg_addr                                    "0xB806023C"
#define  PINMUX_PMM_ST_TEST_PIN_CTRL_reg                                         0xB806023C
#define  PINMUX_PMM_ST_TEST_PIN_CTRL_inst_addr                                   "0x000F"
#define  set_PINMUX_PMM_ST_TEST_PIN_CTRL_reg(data)                               (*((volatile unsigned int*)PINMUX_PMM_ST_TEST_PIN_CTRL_reg)=data)
#define  get_PINMUX_PMM_ST_TEST_PIN_CTRL_reg                                     (*((volatile unsigned int*)PINMUX_PMM_ST_TEST_PIN_CTRL_reg))
#define  PINMUX_PMM_ST_TEST_PIN_CTRL_st_testpin_mux_shift                        (8)
#define  PINMUX_PMM_ST_TEST_PIN_CTRL_st_testpin_mux_mask                         (0x0000FF00)
#define  PINMUX_PMM_ST_TEST_PIN_CTRL_st_testpin_mux(data)                        (0x0000FF00&((data)<<8))
#define  PINMUX_PMM_ST_TEST_PIN_CTRL_get_st_testpin_mux(data)                    ((0x0000FF00&(data))>>8)

#define  PINMUX_PMM_ST_PORL_CTRL                                                 0x18060240
#define  PINMUX_PMM_ST_PORL_CTRL_reg_addr                                        "0xB8060240"
#define  PINMUX_PMM_ST_PORL_CTRL_reg                                             0xB8060240
#define  PINMUX_PMM_ST_PORL_CTRL_inst_addr                                       "0x0010"
#define  set_PINMUX_PMM_ST_PORL_CTRL_reg(data)                                   (*((volatile unsigned int*)PINMUX_PMM_ST_PORL_CTRL_reg)=data)
#define  get_PINMUX_PMM_ST_PORL_CTRL_reg                                         (*((volatile unsigned int*)PINMUX_PMM_ST_PORL_CTRL_reg))
#define  PINMUX_PMM_ST_PORL_CTRL_spi_porl_release_shift                          (0)
#define  PINMUX_PMM_ST_PORL_CTRL_spi_porl_release_mask                           (0x00000001)
#define  PINMUX_PMM_ST_PORL_CTRL_spi_porl_release(data)                          (0x00000001&(data))
#define  PINMUX_PMM_ST_PORL_CTRL_get_spi_porl_release(data)                      (0x00000001&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======PINMUX_PMM register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_00_ps:4;
        RBus_UInt32  st_gpio_00_pu:1;
        RBus_UInt32  st_gpio_00_pd:1;
        RBus_UInt32  st_gpio_00_ds:1;
        RBus_UInt32  st_gpio_00_sr:1;
        RBus_UInt32  st_gpio_01_ps:4;
        RBus_UInt32  st_gpio_01_pu:1;
        RBus_UInt32  st_gpio_01_pd:1;
        RBus_UInt32  st_gpio_01_ds:1;
        RBus_UInt32  st_gpio_01_sr:1;
        RBus_UInt32  st_gpio_02_ps:4;
        RBus_UInt32  st_gpio_02_pu:1;
        RBus_UInt32  st_gpio_02_pd:1;
        RBus_UInt32  st_gpio_02_ds:1;
        RBus_UInt32  st_gpio_02_sr:1;
        RBus_UInt32  st_gpio_03_ps:4;
        RBus_UInt32  st_gpio_03_pu:1;
        RBus_UInt32  st_gpio_03_pd:1;
        RBus_UInt32  st_gpio_03_ds:1;
        RBus_UInt32  st_gpio_03_sr:1;
    };
}pinmux_pmm_st_gpio_cfg_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_04_ps:4;
        RBus_UInt32  st_gpio_04_pu:1;
        RBus_UInt32  st_gpio_04_pd:1;
        RBus_UInt32  st_gpio_04_ds:1;
        RBus_UInt32  st_gpio_04_sr:1;
        RBus_UInt32  st_gpio_05_ps:4;
        RBus_UInt32  st_gpio_05_pu:1;
        RBus_UInt32  st_gpio_05_pd:1;
        RBus_UInt32  st_gpio_05_ds:1;
        RBus_UInt32  st_gpio_05_sr:1;
        RBus_UInt32  st_gpio_06_ps:4;
        RBus_UInt32  st_gpio_06_pu:1;
        RBus_UInt32  st_gpio_06_pd:1;
        RBus_UInt32  st_gpio_06_ds:1;
        RBus_UInt32  st_gpio_06_sr:1;
        RBus_UInt32  st_gpio_07_ps:4;
        RBus_UInt32  st_gpio_07_pu:1;
        RBus_UInt32  st_gpio_07_pd:1;
        RBus_UInt32  st_gpio_07_ds:1;
        RBus_UInt32  st_gpio_07_sr:1;
    };
}pinmux_pmm_st_gpio_cfg_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_08_ps:4;
        RBus_UInt32  st_gpio_08_pu:1;
        RBus_UInt32  st_gpio_08_pd:1;
        RBus_UInt32  st_gpio_08_ds:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  st_gpio_09_ps:4;
        RBus_UInt32  st_gpio_09_pu:1;
        RBus_UInt32  st_gpio_09_pd:1;
        RBus_UInt32  st_gpio_09_ds:1;
        RBus_UInt32  st_gpio_09_sr:1;
        RBus_UInt32  st_gpio_10_ps:4;
        RBus_UInt32  st_gpio_10_pu:1;
        RBus_UInt32  st_gpio_10_pd:1;
        RBus_UInt32  st_gpio_10_ds:1;
        RBus_UInt32  st_gpio_10_sr:1;
        RBus_UInt32  st_gpio_11_ps:4;
        RBus_UInt32  st_gpio_11_pu:1;
        RBus_UInt32  st_gpio_11_pd:1;
        RBus_UInt32  st_gpio_11_ds:1;
        RBus_UInt32  st_gpio_11_sr:1;
    };
}pinmux_pmm_st_gpio_cfg_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_12_ps:4;
        RBus_UInt32  st_gpio_12_pu:1;
        RBus_UInt32  st_gpio_12_pd:1;
        RBus_UInt32  st_gpio_12_ds:1;
        RBus_UInt32  st_gpio_12_sr:1;
        RBus_UInt32  st_gpio_13_ps:4;
        RBus_UInt32  st_gpio_13_pu:1;
        RBus_UInt32  st_gpio_13_pd:1;
        RBus_UInt32  st_gpio_13_ds:1;
        RBus_UInt32  st_gpio_13_sr:1;
        RBus_UInt32  st_gpio_14_ps:4;
        RBus_UInt32  st_gpio_14_pu:1;
        RBus_UInt32  st_gpio_14_pd:1;
        RBus_UInt32  st_gpio_14_ds:1;
        RBus_UInt32  st_gpio_14_sr:1;
        RBus_UInt32  st_gpio_15_ps:4;
        RBus_UInt32  st_gpio_15_pu:1;
        RBus_UInt32  st_gpio_15_pd:1;
        RBus_UInt32  st_gpio_15_ds:1;
        RBus_UInt32  st_gpio_15_sr:1;
    };
}pinmux_pmm_st_gpio_cfg_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_16_ps:4;
        RBus_UInt32  st_gpio_16_pu:1;
        RBus_UInt32  st_gpio_16_pd:1;
        RBus_UInt32  st_gpio_16_ds:1;
        RBus_UInt32  st_gpio_16_sr:1;
        RBus_UInt32  st_gpio_17_ps:4;
        RBus_UInt32  st_gpio_17_pu:1;
        RBus_UInt32  st_gpio_17_pd:1;
        RBus_UInt32  st_gpio_17_ds:1;
        RBus_UInt32  st_gpio_17_sr:1;
        RBus_UInt32  st_gpio_18_ps:4;
        RBus_UInt32  st_gpio_18_pu:1;
        RBus_UInt32  st_gpio_18_pd:1;
        RBus_UInt32  st_gpio_18_ds:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  st_gpio_19_ps:4;
        RBus_UInt32  st_gpio_19_pu:1;
        RBus_UInt32  st_gpio_19_pd:1;
        RBus_UInt32  st_gpio_19_ds:1;
        RBus_UInt32  st_gpio_19_sr:1;
    };
}pinmux_pmm_st_gpio_cfg_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_20_ps:4;
        RBus_UInt32  st_gpio_20_pu:1;
        RBus_UInt32  st_gpio_20_pd:1;
        RBus_UInt32  st_gpio_20_ds:1;
        RBus_UInt32  st_gpio_20_sr:1;
        RBus_UInt32  st_gpio_21_ps:4;
        RBus_UInt32  st_gpio_21_pu:1;
        RBus_UInt32  st_gpio_21_pd:1;
        RBus_UInt32  st_gpio_21_ds:1;
        RBus_UInt32  st_gpio_21_sr:1;
        RBus_UInt32  st_gpio_22_ps:4;
        RBus_UInt32  st_gpio_22_pu:1;
        RBus_UInt32  st_gpio_22_pd:1;
        RBus_UInt32  st_gpio_22_ds:1;
        RBus_UInt32  st_gpio_22_sr:1;
        RBus_UInt32  st_gpio_23_ps:4;
        RBus_UInt32  st_gpio_23_pu:1;
        RBus_UInt32  st_gpio_23_pd:1;
        RBus_UInt32  st_gpio_23_ds:1;
        RBus_UInt32  st_gpio_23_sr:1;
    };
}pinmux_pmm_st_gpio_cfg_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_24_ps:4;
        RBus_UInt32  st_gpio_24_pu:1;
        RBus_UInt32  st_gpio_24_pd:1;
        RBus_UInt32  st_gpio_24_ds:1;
        RBus_UInt32  st_gpio_24_sr:1;
        RBus_UInt32  st_gpio_25_ps:4;
        RBus_UInt32  st_gpio_25_pu:1;
        RBus_UInt32  st_gpio_25_pd:1;
        RBus_UInt32  st_gpio_25_ds:1;
        RBus_UInt32  st_gpio_25_sr:1;
        RBus_UInt32  st_gpio_26_ps:4;
        RBus_UInt32  st_gpio_26_pu:1;
        RBus_UInt32  st_gpio_26_pd:1;
        RBus_UInt32  st_gpio_26_ds:1;
        RBus_UInt32  st_gpio_26_sr:1;
        RBus_UInt32  st_gpio_27_ps:4;
        RBus_UInt32  st_gpio_27_pu:1;
        RBus_UInt32  st_gpio_27_pd:1;
        RBus_UInt32  st_gpio_27_ds:1;
        RBus_UInt32  st_gpio_27_sr:1;
    };
}pinmux_pmm_st_gpio_cfg_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_28_ps:4;
        RBus_UInt32  st_gpio_28_pu:1;
        RBus_UInt32  st_gpio_28_pd:1;
        RBus_UInt32  st_gpio_28_ds:1;
        RBus_UInt32  st_gpio_28_sr:1;
        RBus_UInt32  st_gpio_29_ps:4;
        RBus_UInt32  st_gpio_29_pu:1;
        RBus_UInt32  st_gpio_29_pd:1;
        RBus_UInt32  st_gpio_29_ds:1;
        RBus_UInt32  st_gpio_29_sr:1;
        RBus_UInt32  st_gpio_30_ps:4;
        RBus_UInt32  st_gpio_30_pu:1;
        RBus_UInt32  st_gpio_30_pd:1;
        RBus_UInt32  st_gpio_30_ds:1;
        RBus_UInt32  st_gpio_30_sr:1;
        RBus_UInt32  res1:8;
    };
}pinmux_pmm_st_gpio_cfg_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtc_xout_ps:4;
        RBus_UInt32  rtc_xin_ps:4;
        RBus_UInt32  res1:23;
        RBus_UInt32  rtc_gpi_en:1;
    };
}pinmux_pmm_st_rtc_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lsadc_ref_ps:4;
        RBus_UInt32  lsadc0_ps:4;
        RBus_UInt32  lsadc1_ps:4;
        RBus_UInt32  lsadc2_ps:4;
        RBus_UInt32  lsadc4_ps:4;
        RBus_UInt32  lsadc6_ps:4;
        RBus_UInt32  res1:2;
        RBus_UInt32  lsadc_ref_gpi_en:1;
        RBus_UInt32  lsadc0_gpi_en:1;
        RBus_UInt32  lsadc1_gpi_en:1;
        RBus_UInt32  lsadc2_gpi_en:1;
        RBus_UInt32  lsadc4_gpi_en:1;
        RBus_UInt32  lsadc6_gpi_en:1;
    };
}pinmux_pmm_st_stb_top_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lsadc7_ps:4;
        RBus_UInt32  stb_dio_ps:4;
        RBus_UInt32  res1:22;
        RBus_UInt32  lsadc7_gpi_en:1;
        RBus_UInt32  stb_dio_gpi_en:1;
    };
}pinmux_pmm_st_stb_top_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  epi_lock_in_sel:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  i2c0_in_sel:3;
        RBus_UInt32  res3:11;
        RBus_UInt32  i2s_in_sel:2;
        RBus_UInt32  res4:9;
        RBus_UInt32  spdif_in_sel:2;
    };
}pinmux_pmm_pin_mux_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  uartrbus_sel:1;
        RBus_UInt32  res2:10;
        RBus_UInt32  emcu_ur_rx_in_sel:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  uart0_rxdi_in_sel:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  uart1_rxdi_in_sel:3;
        RBus_UInt32  uart2_rxdi_in_sel:3;
        RBus_UInt32  uart2_cts_n_in_sel:3;
        RBus_UInt32  vfd_sel:2;
    };
}pinmux_pmm_pin_mux_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_04_ie_v18:1;
        RBus_UInt32  st_gpio_09_ie_v18:1;
        RBus_UInt32  st_gpio_29_ie_v18:1;
        RBus_UInt32  res1:29;
    };
}pinmux_pmm_pin_mux_iev18_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_00_smt:1;
        RBus_UInt32  st_gpio_01_smt:1;
        RBus_UInt32  st_gpio_02_smt:1;
        RBus_UInt32  st_gpio_03_smt:1;
        RBus_UInt32  st_gpio_04_smt:1;
        RBus_UInt32  st_gpio_05_smt:1;
        RBus_UInt32  st_gpio_06_smt:1;
        RBus_UInt32  st_gpio_07_smt:1;
        RBus_UInt32  st_gpio_08_smt:1;
        RBus_UInt32  st_gpio_09_smt:1;
        RBus_UInt32  st_gpio_10_smt:1;
        RBus_UInt32  st_gpio_11_smt:1;
        RBus_UInt32  st_gpio_12_smt:1;
        RBus_UInt32  st_gpio_13_smt:1;
        RBus_UInt32  st_gpio_14_smt:1;
        RBus_UInt32  st_gpio_15_smt:1;
        RBus_UInt32  st_gpio_16_smt:1;
        RBus_UInt32  st_gpio_17_smt:1;
        RBus_UInt32  st_gpio_18_smt:1;
        RBus_UInt32  st_gpio_19_smt:1;
        RBus_UInt32  st_gpio_20_smt:1;
        RBus_UInt32  st_gpio_21_smt:1;
        RBus_UInt32  st_gpio_22_smt:1;
        RBus_UInt32  st_gpio_23_smt:1;
        RBus_UInt32  st_gpio_24_smt:1;
        RBus_UInt32  st_gpio_25_smt:1;
        RBus_UInt32  st_gpio_26_smt:1;
        RBus_UInt32  st_gpio_27_smt:1;
        RBus_UInt32  st_gpio_28_smt:1;
        RBus_UInt32  st_gpio_29_smt:1;
        RBus_UInt32  st_gpio_30_smt:1;
        RBus_UInt32  res1:1;
    };
}pinmux_pmm_st_schmidt_trigger_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  st_testpin_mux:8;
        RBus_UInt32  res2:8;
    };
}pinmux_pmm_st_test_pin_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  spi_porl_release:1;
    };
}pinmux_pmm_st_porl_ctrl_RBUS;

#else //apply LITTLE_ENDIAN

//======PINMUX_PMM register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_03_sr:1;
        RBus_UInt32  st_gpio_03_ds:1;
        RBus_UInt32  st_gpio_03_pd:1;
        RBus_UInt32  st_gpio_03_pu:1;
        RBus_UInt32  st_gpio_03_ps:4;
        RBus_UInt32  st_gpio_02_sr:1;
        RBus_UInt32  st_gpio_02_ds:1;
        RBus_UInt32  st_gpio_02_pd:1;
        RBus_UInt32  st_gpio_02_pu:1;
        RBus_UInt32  st_gpio_02_ps:4;
        RBus_UInt32  st_gpio_01_sr:1;
        RBus_UInt32  st_gpio_01_ds:1;
        RBus_UInt32  st_gpio_01_pd:1;
        RBus_UInt32  st_gpio_01_pu:1;
        RBus_UInt32  st_gpio_01_ps:4;
        RBus_UInt32  st_gpio_00_sr:1;
        RBus_UInt32  st_gpio_00_ds:1;
        RBus_UInt32  st_gpio_00_pd:1;
        RBus_UInt32  st_gpio_00_pu:1;
        RBus_UInt32  st_gpio_00_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_07_sr:1;
        RBus_UInt32  st_gpio_07_ds:1;
        RBus_UInt32  st_gpio_07_pd:1;
        RBus_UInt32  st_gpio_07_pu:1;
        RBus_UInt32  st_gpio_07_ps:4;
        RBus_UInt32  st_gpio_06_sr:1;
        RBus_UInt32  st_gpio_06_ds:1;
        RBus_UInt32  st_gpio_06_pd:1;
        RBus_UInt32  st_gpio_06_pu:1;
        RBus_UInt32  st_gpio_06_ps:4;
        RBus_UInt32  st_gpio_05_sr:1;
        RBus_UInt32  st_gpio_05_ds:1;
        RBus_UInt32  st_gpio_05_pd:1;
        RBus_UInt32  st_gpio_05_pu:1;
        RBus_UInt32  st_gpio_05_ps:4;
        RBus_UInt32  st_gpio_04_sr:1;
        RBus_UInt32  st_gpio_04_ds:1;
        RBus_UInt32  st_gpio_04_pd:1;
        RBus_UInt32  st_gpio_04_pu:1;
        RBus_UInt32  st_gpio_04_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_11_sr:1;
        RBus_UInt32  st_gpio_11_ds:1;
        RBus_UInt32  st_gpio_11_pd:1;
        RBus_UInt32  st_gpio_11_pu:1;
        RBus_UInt32  st_gpio_11_ps:4;
        RBus_UInt32  st_gpio_10_sr:1;
        RBus_UInt32  st_gpio_10_ds:1;
        RBus_UInt32  st_gpio_10_pd:1;
        RBus_UInt32  st_gpio_10_pu:1;
        RBus_UInt32  st_gpio_10_ps:4;
        RBus_UInt32  st_gpio_09_sr:1;
        RBus_UInt32  st_gpio_09_ds:1;
        RBus_UInt32  st_gpio_09_pd:1;
        RBus_UInt32  st_gpio_09_pu:1;
        RBus_UInt32  st_gpio_09_ps:4;
        RBus_UInt32  res1:1;
        RBus_UInt32  st_gpio_08_ds:1;
        RBus_UInt32  st_gpio_08_pd:1;
        RBus_UInt32  st_gpio_08_pu:1;
        RBus_UInt32  st_gpio_08_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_15_sr:1;
        RBus_UInt32  st_gpio_15_ds:1;
        RBus_UInt32  st_gpio_15_pd:1;
        RBus_UInt32  st_gpio_15_pu:1;
        RBus_UInt32  st_gpio_15_ps:4;
        RBus_UInt32  st_gpio_14_sr:1;
        RBus_UInt32  st_gpio_14_ds:1;
        RBus_UInt32  st_gpio_14_pd:1;
        RBus_UInt32  st_gpio_14_pu:1;
        RBus_UInt32  st_gpio_14_ps:4;
        RBus_UInt32  st_gpio_13_sr:1;
        RBus_UInt32  st_gpio_13_ds:1;
        RBus_UInt32  st_gpio_13_pd:1;
        RBus_UInt32  st_gpio_13_pu:1;
        RBus_UInt32  st_gpio_13_ps:4;
        RBus_UInt32  st_gpio_12_sr:1;
        RBus_UInt32  st_gpio_12_ds:1;
        RBus_UInt32  st_gpio_12_pd:1;
        RBus_UInt32  st_gpio_12_pu:1;
        RBus_UInt32  st_gpio_12_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_19_sr:1;
        RBus_UInt32  st_gpio_19_ds:1;
        RBus_UInt32  st_gpio_19_pd:1;
        RBus_UInt32  st_gpio_19_pu:1;
        RBus_UInt32  st_gpio_19_ps:4;
        RBus_UInt32  res1:1;
        RBus_UInt32  st_gpio_18_ds:1;
        RBus_UInt32  st_gpio_18_pd:1;
        RBus_UInt32  st_gpio_18_pu:1;
        RBus_UInt32  st_gpio_18_ps:4;
        RBus_UInt32  st_gpio_17_sr:1;
        RBus_UInt32  st_gpio_17_ds:1;
        RBus_UInt32  st_gpio_17_pd:1;
        RBus_UInt32  st_gpio_17_pu:1;
        RBus_UInt32  st_gpio_17_ps:4;
        RBus_UInt32  st_gpio_16_sr:1;
        RBus_UInt32  st_gpio_16_ds:1;
        RBus_UInt32  st_gpio_16_pd:1;
        RBus_UInt32  st_gpio_16_pu:1;
        RBus_UInt32  st_gpio_16_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_23_sr:1;
        RBus_UInt32  st_gpio_23_ds:1;
        RBus_UInt32  st_gpio_23_pd:1;
        RBus_UInt32  st_gpio_23_pu:1;
        RBus_UInt32  st_gpio_23_ps:4;
        RBus_UInt32  st_gpio_22_sr:1;
        RBus_UInt32  st_gpio_22_ds:1;
        RBus_UInt32  st_gpio_22_pd:1;
        RBus_UInt32  st_gpio_22_pu:1;
        RBus_UInt32  st_gpio_22_ps:4;
        RBus_UInt32  st_gpio_21_sr:1;
        RBus_UInt32  st_gpio_21_ds:1;
        RBus_UInt32  st_gpio_21_pd:1;
        RBus_UInt32  st_gpio_21_pu:1;
        RBus_UInt32  st_gpio_21_ps:4;
        RBus_UInt32  st_gpio_20_sr:1;
        RBus_UInt32  st_gpio_20_ds:1;
        RBus_UInt32  st_gpio_20_pd:1;
        RBus_UInt32  st_gpio_20_pu:1;
        RBus_UInt32  st_gpio_20_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  st_gpio_27_sr:1;
        RBus_UInt32  st_gpio_27_ds:1;
        RBus_UInt32  st_gpio_27_pd:1;
        RBus_UInt32  st_gpio_27_pu:1;
        RBus_UInt32  st_gpio_27_ps:4;
        RBus_UInt32  st_gpio_26_sr:1;
        RBus_UInt32  st_gpio_26_ds:1;
        RBus_UInt32  st_gpio_26_pd:1;
        RBus_UInt32  st_gpio_26_pu:1;
        RBus_UInt32  st_gpio_26_ps:4;
        RBus_UInt32  st_gpio_25_sr:1;
        RBus_UInt32  st_gpio_25_ds:1;
        RBus_UInt32  st_gpio_25_pd:1;
        RBus_UInt32  st_gpio_25_pu:1;
        RBus_UInt32  st_gpio_25_ps:4;
        RBus_UInt32  st_gpio_24_sr:1;
        RBus_UInt32  st_gpio_24_ds:1;
        RBus_UInt32  st_gpio_24_pd:1;
        RBus_UInt32  st_gpio_24_pu:1;
        RBus_UInt32  st_gpio_24_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  st_gpio_30_sr:1;
        RBus_UInt32  st_gpio_30_ds:1;
        RBus_UInt32  st_gpio_30_pd:1;
        RBus_UInt32  st_gpio_30_pu:1;
        RBus_UInt32  st_gpio_30_ps:4;
        RBus_UInt32  st_gpio_29_sr:1;
        RBus_UInt32  st_gpio_29_ds:1;
        RBus_UInt32  st_gpio_29_pd:1;
        RBus_UInt32  st_gpio_29_pu:1;
        RBus_UInt32  st_gpio_29_ps:4;
        RBus_UInt32  st_gpio_28_sr:1;
        RBus_UInt32  st_gpio_28_ds:1;
        RBus_UInt32  st_gpio_28_pd:1;
        RBus_UInt32  st_gpio_28_pu:1;
        RBus_UInt32  st_gpio_28_ps:4;
    };
}pinmux_pmm_st_gpio_cfg_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rtc_gpi_en:1;
        RBus_UInt32  res1:23;
        RBus_UInt32  rtc_xin_ps:4;
        RBus_UInt32  rtc_xout_ps:4;
    };
}pinmux_pmm_st_rtc_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lsadc6_gpi_en:1;
        RBus_UInt32  lsadc4_gpi_en:1;
        RBus_UInt32  lsadc2_gpi_en:1;
        RBus_UInt32  lsadc1_gpi_en:1;
        RBus_UInt32  lsadc0_gpi_en:1;
        RBus_UInt32  lsadc_ref_gpi_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  lsadc6_ps:4;
        RBus_UInt32  lsadc4_ps:4;
        RBus_UInt32  lsadc2_ps:4;
        RBus_UInt32  lsadc1_ps:4;
        RBus_UInt32  lsadc0_ps:4;
        RBus_UInt32  lsadc_ref_ps:4;
    };
}pinmux_pmm_st_stb_top_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  stb_dio_gpi_en:1;
        RBus_UInt32  lsadc7_gpi_en:1;
        RBus_UInt32  res1:22;
        RBus_UInt32  stb_dio_ps:4;
        RBus_UInt32  lsadc7_ps:4;
    };
}pinmux_pmm_st_stb_top_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  spdif_in_sel:2;
        RBus_UInt32  res1:9;
        RBus_UInt32  i2s_in_sel:2;
        RBus_UInt32  res2:11;
        RBus_UInt32  i2c0_in_sel:3;
        RBus_UInt32  res3:1;
        RBus_UInt32  epi_lock_in_sel:2;
        RBus_UInt32  res4:2;
    };
}pinmux_pmm_pin_mux_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vfd_sel:2;
        RBus_UInt32  uart2_cts_n_in_sel:3;
        RBus_UInt32  uart2_rxdi_in_sel:3;
        RBus_UInt32  uart1_rxdi_in_sel:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  uart0_rxdi_in_sel:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  emcu_ur_rx_in_sel:2;
        RBus_UInt32  res3:10;
        RBus_UInt32  uartrbus_sel:1;
        RBus_UInt32  res4:3;
    };
}pinmux_pmm_pin_mux_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  st_gpio_29_ie_v18:1;
        RBus_UInt32  st_gpio_09_ie_v18:1;
        RBus_UInt32  st_gpio_04_ie_v18:1;
    };
}pinmux_pmm_pin_mux_iev18_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  st_gpio_30_smt:1;
        RBus_UInt32  st_gpio_29_smt:1;
        RBus_UInt32  st_gpio_28_smt:1;
        RBus_UInt32  st_gpio_27_smt:1;
        RBus_UInt32  st_gpio_26_smt:1;
        RBus_UInt32  st_gpio_25_smt:1;
        RBus_UInt32  st_gpio_24_smt:1;
        RBus_UInt32  st_gpio_23_smt:1;
        RBus_UInt32  st_gpio_22_smt:1;
        RBus_UInt32  st_gpio_21_smt:1;
        RBus_UInt32  st_gpio_20_smt:1;
        RBus_UInt32  st_gpio_19_smt:1;
        RBus_UInt32  st_gpio_18_smt:1;
        RBus_UInt32  st_gpio_17_smt:1;
        RBus_UInt32  st_gpio_16_smt:1;
        RBus_UInt32  st_gpio_15_smt:1;
        RBus_UInt32  st_gpio_14_smt:1;
        RBus_UInt32  st_gpio_13_smt:1;
        RBus_UInt32  st_gpio_12_smt:1;
        RBus_UInt32  st_gpio_11_smt:1;
        RBus_UInt32  st_gpio_10_smt:1;
        RBus_UInt32  st_gpio_09_smt:1;
        RBus_UInt32  st_gpio_08_smt:1;
        RBus_UInt32  st_gpio_07_smt:1;
        RBus_UInt32  st_gpio_06_smt:1;
        RBus_UInt32  st_gpio_05_smt:1;
        RBus_UInt32  st_gpio_04_smt:1;
        RBus_UInt32  st_gpio_03_smt:1;
        RBus_UInt32  st_gpio_02_smt:1;
        RBus_UInt32  st_gpio_01_smt:1;
        RBus_UInt32  st_gpio_00_smt:1;
    };
}pinmux_pmm_st_schmidt_trigger_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  st_testpin_mux:8;
        RBus_UInt32  res2:16;
    };
}pinmux_pmm_st_test_pin_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  spi_porl_release:1;
        RBus_UInt32  res1:31;
    };
}pinmux_pmm_st_porl_ctrl_RBUS;




#endif


#endif
