/**
* @file Mac7p-DesignSpec-D-Domain_DCC
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_COLOR_DCC_REG_H_
#define _RBUS_COLOR_DCC_REG_H_

#include "rbusTypes.h"



//  COLOR_DCC Register Address



#define  COLOR_DCC_D_DCC_CTRL_VADDR                         	(0xb802e400)
#define  COLOR_DCC_DCC_CTRL_LUMA_VADDR                      	(0xb802e404)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_0_VADDR            	(0xb802e408)
#define  COLOR_DCC_DCC_CHROMA_GAIN_LIMIT_1_VADDR            	(0xb802e40c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_VADDR               	(0xb802e410)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_0_VADDR        	(0xb802e414)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_1_VADDR        	(0xb802e418)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_2_VADDR        	(0xb802e41c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_3_VADDR        	(0xb802e420)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_4_VADDR        	(0xb802e424)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_5_VADDR        	(0xb802e428)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_6_VADDR        	(0xb802e42c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_7_VADDR        	(0xb802e430)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_8_VADDR        	(0xb802e500)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_9_VADDR        	(0xb802e504)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_10_VADDR       	(0xb802e508)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_11_VADDR       	(0xb802e50c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_12_VADDR       	(0xb802e510)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_13_VADDR       	(0xb802e514)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_14_VADDR       	(0xb802e518)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB0_15_VADDR       	(0xb802e51c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_0_VADDR        	(0xb802e434)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_1_VADDR        	(0xb802e438)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_2_VADDR        	(0xb802e43c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_3_VADDR        	(0xb802e440)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_4_VADDR        	(0xb802e444)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_5_VADDR        	(0xb802e448)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_6_VADDR        	(0xb802e44c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_7_VADDR        	(0xb802e450)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_8_VADDR        	(0xb802e520)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_9_VADDR        	(0xb802e524)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_10_VADDR       	(0xb802e528)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_11_VADDR       	(0xb802e52c)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_12_VADDR       	(0xb802e530)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_13_VADDR       	(0xb802e534)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_14_VADDR       	(0xb802e538)
#define  COLOR_DCC_DCC_CTRL_CHROMA_GAIN_TAB1_15_VADDR       	(0xb802e53c)
#define  COLOR_DCC_SRAM_TAB_CTL_0_VADDR                     	(0xb802e454)
#define  COLOR_DCC_SRAM_TAB_PORT_VADDR                      	(0xb802e458)
#define  COLOR_DCC_SRAM_USER_TAB_CTL_0_VADDR                	(0xb802e540)
#define  COLOR_DCC_SRAM_USER_TAB_PORT_VADDR                 	(0xb802e544)
#define  COLOR_DCC_D_DCC_DB_CTRL_VADDR                      	(0xb802e45c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_EN_VADDR                 	(0xb802e460)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_0_VADDR       	(0xb802e464)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_0_VADDR        	(0xb802e468)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_1_VADDR       	(0xb802e46c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_1_VADDR        	(0xb802e470)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_2_VADDR       	(0xb802e474)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_2_VADDR        	(0xb802e478)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_CENTER_3_VADDR       	(0xb802e47c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_YUV_RANGE_3_VADDR        	(0xb802e480)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT0_0_VADDR         	(0xb802e484)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT0_1_VADDR         	(0xb802e488)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT1_0_VADDR         	(0xb802e48c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT1_1_VADDR         	(0xb802e490)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT2_0_VADDR         	(0xb802e494)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT2_1_VADDR         	(0xb802e498)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT3_0_VADDR         	(0xb802e49c)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT3_1_VADDR         	(0xb802e4a0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C0_0_VADDR       	(0xb802e4a4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C0_1_VADDR       	(0xb802e4a8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C1_0_VADDR       	(0xb802e4ac)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C1_1_VADDR       	(0xb802e4b0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C2_0_VADDR       	(0xb802e4b4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C2_1_VADDR       	(0xb802e4b8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C3_0_VADDR       	(0xb802e4bc)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C3_1_VADDR       	(0xb802e4c0)
#define  COLOR_DCC_D_DCC_CDS_SKIN_0_VADDR                   	(0xb802e4c4)
#define  COLOR_DCC_D_DCC_CDS_SKIN_1_VADDR                   	(0xb802e4c8)
#define  COLOR_DCC_D_DCC_CDS_SKIN_2_VADDR                   	(0xb802e4cc)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C4_0_VADDR       	(0xb802e4d0)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C4_1_VADDR       	(0xb802e4d4)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C5_0_VADDR       	(0xb802e4d8)
#define  COLOR_DCC_D_DCC_SKIN_TONE_SEGMENT_C5_1_VADDR       	(0xb802e4dc)
#define  COLOR_DCC_D_DCC_AI_0_VADDR                         	(0xb802e4e0)
#define  COLOR_DCC_D_DCC_AI_1_VADDR                         	(0xb802e4e8)
#define  COLOR_DCC_D_DCC_AI_2_VADDR                         	(0xb802e4ec)
#define  COLOR_DCC_D_DCC_AI_3_VADDR                         	(0xb802e54c)
#define  COLOR_DCC_D_DCC_AI_4_VADDR                         	(0xb802e550)
#define  COLOR_DCC_D_DCC_AI_5_VADDR                         	(0xb802e554)
#define  COLOR_DCC_D_DCC_AI_6_VADDR                         	(0xb802e558)
#define  COLOR_DCC_D_DCC_AI_7_VADDR                         	(0xb802e55c)
#define  COLOR_DCC_D_DCC_AI_8_VADDR                         	(0xb802e560)
#define  COLOR_DCC_D_DCC_AI_9_VADDR                         	(0xb802e568)
#define  COLOR_DCC_D_DCC_AI_10_VADDR                        	(0xb802e56c)
#define  COLOR_DCC_D_DCC_AI_11_VADDR                        	(0xb802e570)
#define  COLOR_DCC_D_DCC_AI_12_VADDR                        	(0xb802e574)
#define  COLOR_DCC_D_DCC_AI_13_VADDR                        	(0xb802e5e4)
#define  COLOR_DCC_D_DCC_AI_14_VADDR                        	(0xb802e5e8)
#define  COLOR_DCC_D_DCC_AI_15_VADDR                        	(0xb802e5ec)
#define  COLOR_DCC_D_DCC_AI_16_VADDR                        	(0xb802e5f0)
#define  COLOR_DCC_D_DCC_AI_17_VADDR                        	(0xb802e5f4)
#define  COLOR_DCC_D_DCC_AI_18_VADDR                        	(0xb802e5f8)
#define  COLOR_DCC_D_DCC_AI_19_VADDR                        	(0xb802e578)
#define  COLOR_DCC_D_DCC_AI_20_VADDR                        	(0xb802e57c)
#define  COLOR_DCC_D_DCC_AI_21_VADDR                        	(0xb802e580)
#define  COLOR_DCC_D_DCC_AI_22_VADDR                        	(0xb802e584)
#define  COLOR_DCC_D_DCC_AI_23_VADDR                        	(0xb802e588)
#define  COLOR_DCC_D_DCC_AI_24_VADDR                        	(0xb802e58c)
#define  COLOR_DCC_D_DCC_AI_25_VADDR                        	(0xb802e590)
#define  COLOR_DCC_D_DCC_AI_26_VADDR                        	(0xb802e594)
#define  COLOR_DCC_D_DCC_AI_27_VADDR                        	(0xb802e598)
#define  COLOR_DCC_D_DCC_AI_28_VADDR                        	(0xb802e59c)
#define  COLOR_DCC_D_DCC_AI_29_VADDR                        	(0xb802e5a0)
#define  COLOR_DCC_D_DCC_AI_30_VADDR                        	(0xb802e5a4)
#define  COLOR_DCC_D_DCC_AI_31_VADDR                        	(0xb802e5a8)
#define  COLOR_DCC_D_DCC_AI_32_VADDR                        	(0xb802e5ac)
#define  COLOR_DCC_D_DCC_AI_33_VADDR                        	(0xb802e5b0)
#define  COLOR_DCC_D_DCC_AI_34_VADDR                        	(0xb802e5b4)
#define  COLOR_DCC_D_DCC_AI_35_VADDR                        	(0xb802e5b8)
#define  COLOR_DCC_D_DCC_AI_36_VADDR                        	(0xb802e5bc)
#define  COLOR_DCC_D_DCC_AI_37_VADDR                        	(0xb802e5e0)
#define  COLOR_DCC_D_DCC_FWUSED_0_VADDR                     	(0xb802e4f0)
#define  COLOR_DCC_D_DCC_FWUSED_1_VADDR                     	(0xb802e4f4)
#define  COLOR_DCC_D_DCC_FWUSED_2_VADDR                     	(0xb802e4f8)
#define  COLOR_DCC_D_DCC_FWUSED_3_VADDR                     	(0xb802e4fc)
#define  COLOR_DCC_D_DCC_BIST_0_VADDR                       	(0xb802e4e4)
#define  COLOR_DCC_D_DCC_BIST_1_VADDR                       	(0xb802e548)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======COLOR_DCC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802e400_31_22:10;
        RBus_UInt32  ai_blending_5_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_4_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_3_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_2_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_1_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_0_inside_ratio_msb:1;
        RBus_UInt32  dummy1802e400_15_10:6;
        RBus_UInt32  dcc_user_curve_en:1;
        RBus_UInt32  y_mapping_mode:1;
        RBus_UInt32  y_mapping_blending_wt:5;
        RBus_UInt32  main_table_segment:1;
        RBus_UInt32  main_table_sel:1;
        RBus_UInt32  res1:1;
    };
}color_dcc_d_dcc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  luma_offset_main:8;
        RBus_UInt32  res2:16;
    };
}color_dcc_dcc_ctrl_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_limit_seg3:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg1:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  chroma_gain_limit_seg0:6;
    };
}color_dcc_dcc_chroma_gain_limit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg7:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg6:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg5:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  chroma_gain_limit_seg4:6;
    };
}color_dcc_dcc_chroma_gain_limit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg0:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg0:7;
        RBus_UInt32  res3:4;
        RBus_UInt32  saturation_byy_v_tab_select_main:1;
        RBus_UInt32  saturation_byy_u_tab_select_main:1;
        RBus_UInt32  chroma_enhance_below_tab_select_main:1;
        RBus_UInt32  chroma_enhance_above_tab_select_main:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_base:3;
        RBus_UInt32  res5:1;
        RBus_UInt32  chroma_gain_lookup_mode:1;
        RBus_UInt32  chroma_gain_mode:1;
        RBus_UInt32  chroma_gain_en:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg2:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg1:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg8:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg6:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg5:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg12:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg10:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg9:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg16:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg14:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg13:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg20:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg18:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg17:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg24:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg22:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg21:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg28:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg26:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg25:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg32:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg30:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg29:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg36:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg34:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg33:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg40:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg38:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg37:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg44:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg42:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg41:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg48:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg46:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg45:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg52:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg50:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg49:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg56:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg54:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg53:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg60:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg58:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg57:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg64:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg62:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg61:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg2:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg1:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg8:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg6:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg5:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg12:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg10:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg9:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg16:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg14:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg13:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg20:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg18:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg17:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg24:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg22:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg21:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg28:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg26:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg25:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg32:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg30:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg29:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg36:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg34:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg33:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg40:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg38:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg37:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg44:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg42:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg41:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg48:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg46:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg45:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg52:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg50:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg49:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg56:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg54:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg53:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg60:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg58:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg57:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg64:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg62:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab1_seg61:7;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  sram_tab_acc_index_cur:6;
        RBus_UInt32  sram_tab_acc_index:6;
        RBus_UInt32  sram_tab_rw_sel:2;
        RBus_UInt32  sram_tab_acc_sel:1;
        RBus_UInt32  sram_tab_acc_ready:1;
    };
}color_dcc_sram_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  sram_tab_base:10;
        RBus_UInt32  sram_tab_g0:8;
        RBus_UInt32  sram_tab_g1:8;
    };
}color_dcc_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  sram_user_tab_acc_index_cur:6;
        RBus_UInt32  sram_user_tab_acc_index:6;
        RBus_UInt32  sram_user_tab_rw_sel:2;
        RBus_UInt32  sram_user_tab_acc_sel:1;
        RBus_UInt32  sram_user_tab_acc_ready:1;
    };
}color_dcc_sram_user_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  sram_user_tab_base:10;
        RBus_UInt32  sram_user_tab_g0:8;
        RBus_UInt32  sram_user_tab_g1:8;
    };
}color_dcc_sram_user_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_apply:1;
    };
}color_dcc_d_dcc_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  region_ratio_blending_en:1;
        RBus_UInt32  y_blending_debug_mode_en:1;
        RBus_UInt32  y_blending_debug_mode_sel:2;
        RBus_UInt32  res2:1;
        RBus_UInt32  y_blending_0_enhance_en:1;
        RBus_UInt32  y_blending_1_enhance_en:1;
        RBus_UInt32  y_blending_2_enhance_en:1;
        RBus_UInt32  y_blending_3_enhance_en:1;
        RBus_UInt32  y_blending_4_enhance_en:1;
        RBus_UInt32  y_blending_5_enhance_en:1;
        RBus_UInt32  y_blending_mode:1;
        RBus_UInt32  ratio_lpf_en:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_reg0_en:1;
        RBus_UInt32  y_blending_reg1_en:1;
        RBus_UInt32  y_blending_reg2_en:1;
        RBus_UInt32  y_blending_reg3_en:1;
        RBus_UInt32  y_blending_en:1;
    };
}color_dcc_d_dcc_skin_tone_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_y_center:10;
        RBus_UInt32  y_blending_0_u_center:10;
        RBus_UInt32  y_blending_0_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_0_y_range:4;
        RBus_UInt32  y_blending_0_u_range:4;
        RBus_UInt32  y_blending_0_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_y_center:10;
        RBus_UInt32  y_blending_1_u_center:10;
        RBus_UInt32  y_blending_1_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_1_y_range:4;
        RBus_UInt32  y_blending_1_u_range:4;
        RBus_UInt32  y_blending_1_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_y_center:10;
        RBus_UInt32  y_blending_2_u_center:10;
        RBus_UInt32  y_blending_2_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_2_y_range:4;
        RBus_UInt32  y_blending_2_u_range:4;
        RBus_UInt32  y_blending_2_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_y_center:10;
        RBus_UInt32  y_blending_3_u_center:10;
        RBus_UInt32  y_blending_3_v_center:10;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  y_blending_3_y_range:4;
        RBus_UInt32  y_blending_3_u_range:4;
        RBus_UInt32  y_blending_3_v_range:4;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_0_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_0_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_1_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_1_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_2_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_2_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_3_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  y_blending_3_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_0_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_0_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_1_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_1_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_2_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_2_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_3_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_3_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  cds_skin_en:1;
    };
}color_dcc_d_dcc_cds_skin_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  cds_uv_range_2:10;
        RBus_UInt32  cds_uv_range_1:10;
        RBus_UInt32  cds_uv_range_0:10;
    };
}color_dcc_d_dcc_cds_skin_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  cds_uv_range_5:10;
        RBus_UInt32  cds_uv_range_4:10;
        RBus_UInt32  cds_uv_range_3:10;
    };
}color_dcc_d_dcc_cds_skin_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_4_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_4_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_4_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_4_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c4_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_4_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_4_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_4_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_4_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c4_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_5_ratio_0:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_5_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_5_ratio_2:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_5_ratio_3:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c5_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_5_ratio_4:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_5_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_5_ratio_6:6;
        RBus_UInt32  res4:2;
        RBus_UInt32  c_blending_5_ratio_7:6;
    };
}color_dcc_d_dcc_skin_tone_segment_c5_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  ai_ros_en:1;
        RBus_UInt32  ai_blending_5_inside_ratio:5;
        RBus_UInt32  ai_blending_4_inside_ratio:5;
        RBus_UInt32  ai_blending_3_inside_ratio:5;
        RBus_UInt32  ai_blending_2_inside_ratio:5;
        RBus_UInt32  ai_blending_1_inside_ratio:5;
        RBus_UInt32  ai_blending_0_inside_ratio:5;
    };
}color_dcc_d_dcc_ai_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ai_face0_region_en:1;
        RBus_UInt32  ai_edge_pix_num_0:2;
        RBus_UInt32  ai_shrink_pix_num_0:6;
        RBus_UInt32  ai_center_v_0:10;
        RBus_UInt32  ai_center_u_0:10;
    };
}color_dcc_d_dcc_ai_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ai_face1_region_en:1;
        RBus_UInt32  ai_edge_pix_num_1:2;
        RBus_UInt32  ai_shrink_pix_num_1:6;
        RBus_UInt32  ai_center_v_1:10;
        RBus_UInt32  ai_center_u_1:10;
    };
}color_dcc_d_dcc_ai_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ai_face2_region_en:1;
        RBus_UInt32  ai_edge_pix_num_2:2;
        RBus_UInt32  ai_shrink_pix_num_2:6;
        RBus_UInt32  ai_center_v_2:10;
        RBus_UInt32  ai_center_u_2:10;
    };
}color_dcc_d_dcc_ai_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ai_face3_region_en:1;
        RBus_UInt32  ai_edge_pix_num_3:2;
        RBus_UInt32  ai_shrink_pix_num_3:6;
        RBus_UInt32  ai_center_v_3:10;
        RBus_UInt32  ai_center_u_3:10;
    };
}color_dcc_d_dcc_ai_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ai_face4_region_en:1;
        RBus_UInt32  ai_edge_pix_num_4:2;
        RBus_UInt32  ai_shrink_pix_num_4:6;
        RBus_UInt32  ai_center_v_4:10;
        RBus_UInt32  ai_center_u_4:10;
    };
}color_dcc_d_dcc_ai_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ai_face5_region_en:1;
        RBus_UInt32  ai_edge_pix_num_5:2;
        RBus_UInt32  ai_shrink_pix_num_5:6;
        RBus_UInt32  ai_center_v_5:10;
        RBus_UInt32  ai_center_u_5:10;
    };
}color_dcc_d_dcc_ai_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_0:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_i_0:12;
    };
}color_dcc_d_dcc_ai_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_i_1:12;
    };
}color_dcc_d_dcc_ai_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_i_2:12;
    };
}color_dcc_d_dcc_ai_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_i_3:12;
    };
}color_dcc_d_dcc_ai_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_i_4:12;
    };
}color_dcc_d_dcc_ai_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_5:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_i_5:12;
    };
}color_dcc_d_dcc_ai_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_0:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_j_0:12;
    };
}color_dcc_d_dcc_ai_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_j_1:12;
    };
}color_dcc_d_dcc_ai_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_j_2:12;
    };
}color_dcc_d_dcc_ai_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_3:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_j_3:12;
    };
}color_dcc_d_dcc_ai_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_j_4:12;
    };
}color_dcc_d_dcc_ai_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_5:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ai_region_start_j_5:12;
    };
}color_dcc_d_dcc_ai_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jld_0:8;
        RBus_UInt32  ai_region_jlu_0:8;
        RBus_UInt32  ai_region_ild_0:8;
        RBus_UInt32  ai_region_ilu_0:8;
    };
}color_dcc_d_dcc_ai_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jrd_0:8;
        RBus_UInt32  ai_region_jru_0:8;
        RBus_UInt32  ai_region_ird_0:8;
        RBus_UInt32  ai_region_iru_0:8;
    };
}color_dcc_d_dcc_ai_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ai_region_jrdm_0:2;
        RBus_UInt32  ai_region_jrum_0:2;
        RBus_UInt32  ai_region_irdm_0:2;
        RBus_UInt32  ai_region_irum_0:2;
        RBus_UInt32  ai_region_jldm_0:2;
        RBus_UInt32  ai_region_jlum_0:2;
        RBus_UInt32  ai_region_ildm_0:2;
        RBus_UInt32  ai_region_ilum_0:2;
    };
}color_dcc_d_dcc_ai_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jld_1:8;
        RBus_UInt32  ai_region_jlu_1:8;
        RBus_UInt32  ai_region_ild_1:8;
        RBus_UInt32  ai_region_ilu_1:8;
    };
}color_dcc_d_dcc_ai_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jrd_1:8;
        RBus_UInt32  ai_region_jru_1:8;
        RBus_UInt32  ai_region_ird_1:8;
        RBus_UInt32  ai_region_iru_1:8;
    };
}color_dcc_d_dcc_ai_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ai_region_jrdm_1:2;
        RBus_UInt32  ai_region_jrum_1:2;
        RBus_UInt32  ai_region_irdm_1:2;
        RBus_UInt32  ai_region_irum_1:2;
        RBus_UInt32  ai_region_jldm_1:2;
        RBus_UInt32  ai_region_jlum_1:2;
        RBus_UInt32  ai_region_ildm_1:2;
        RBus_UInt32  ai_region_ilum_1:2;
    };
}color_dcc_d_dcc_ai_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jld_2:8;
        RBus_UInt32  ai_region_jlu_2:8;
        RBus_UInt32  ai_region_ild_2:8;
        RBus_UInt32  ai_region_ilu_2:8;
    };
}color_dcc_d_dcc_ai_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jrd_2:8;
        RBus_UInt32  ai_region_jru_2:8;
        RBus_UInt32  ai_region_ird_2:8;
        RBus_UInt32  ai_region_iru_2:8;
    };
}color_dcc_d_dcc_ai_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ai_region_jrdm_2:2;
        RBus_UInt32  ai_region_jrum_2:2;
        RBus_UInt32  ai_region_irdm_2:2;
        RBus_UInt32  ai_region_irum_2:2;
        RBus_UInt32  ai_region_jldm_2:2;
        RBus_UInt32  ai_region_jlum_2:2;
        RBus_UInt32  ai_region_ildm_2:2;
        RBus_UInt32  ai_region_ilum_2:2;
    };
}color_dcc_d_dcc_ai_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jld_3:8;
        RBus_UInt32  ai_region_jlu_3:8;
        RBus_UInt32  ai_region_ild_3:8;
        RBus_UInt32  ai_region_ilu_3:8;
    };
}color_dcc_d_dcc_ai_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jrd_3:8;
        RBus_UInt32  ai_region_jru_3:8;
        RBus_UInt32  ai_region_ird_3:8;
        RBus_UInt32  ai_region_iru_3:8;
    };
}color_dcc_d_dcc_ai_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ai_region_jrdm_3:2;
        RBus_UInt32  ai_region_jrum_3:2;
        RBus_UInt32  ai_region_irdm_3:2;
        RBus_UInt32  ai_region_irum_3:2;
        RBus_UInt32  ai_region_jldm_3:2;
        RBus_UInt32  ai_region_jlum_3:2;
        RBus_UInt32  ai_region_ildm_3:2;
        RBus_UInt32  ai_region_ilum_3:2;
    };
}color_dcc_d_dcc_ai_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jld_4:8;
        RBus_UInt32  ai_region_jlu_4:8;
        RBus_UInt32  ai_region_ild_4:8;
        RBus_UInt32  ai_region_ilu_4:8;
    };
}color_dcc_d_dcc_ai_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jrd_4:8;
        RBus_UInt32  ai_region_jru_4:8;
        RBus_UInt32  ai_region_ird_4:8;
        RBus_UInt32  ai_region_iru_4:8;
    };
}color_dcc_d_dcc_ai_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ai_region_jrdm_4:2;
        RBus_UInt32  ai_region_jrum_4:2;
        RBus_UInt32  ai_region_irdm_4:2;
        RBus_UInt32  ai_region_irum_4:2;
        RBus_UInt32  ai_region_jldm_4:2;
        RBus_UInt32  ai_region_jlum_4:2;
        RBus_UInt32  ai_region_ildm_4:2;
        RBus_UInt32  ai_region_ilum_4:2;
    };
}color_dcc_d_dcc_ai_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jld_5:8;
        RBus_UInt32  ai_region_jlu_5:8;
        RBus_UInt32  ai_region_ild_5:8;
        RBus_UInt32  ai_region_ilu_5:8;
    };
}color_dcc_d_dcc_ai_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_jrd_5:8;
        RBus_UInt32  ai_region_jru_5:8;
        RBus_UInt32  ai_region_ird_5:8;
        RBus_UInt32  ai_region_iru_5:8;
    };
}color_dcc_d_dcc_ai_35_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ai_region_jrdm_5:2;
        RBus_UInt32  ai_region_jrum_5:2;
        RBus_UInt32  ai_region_irdm_5:2;
        RBus_UInt32  ai_region_irum_5:2;
        RBus_UInt32  ai_region_jldm_5:2;
        RBus_UInt32  ai_region_jlum_5:2;
        RBus_UInt32  ai_region_ildm_5:2;
        RBus_UInt32  ai_region_ilum_5:2;
    };
}color_dcc_d_dcc_ai_36_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:15;
        RBus_UInt32  ai_detect_value:8;
        RBus_UInt32  ai_control_value:8;
        RBus_UInt32  ai_adjust_en:1;
    };
}color_dcc_d_dcc_ai_37_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_0:32;
    };
}color_dcc_d_dcc_fwused_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_1:32;
    };
}color_dcc_d_dcc_fwused_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_2:32;
    };
}color_dcc_d_dcc_fwused_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_3:32;
    };
}color_dcc_d_dcc_fwused_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  test_1:1;
        RBus_UInt32  test_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_0:4;
        RBus_UInt32  res4:2;
        RBus_UInt32  ls_1:1;
        RBus_UInt32  ls_0:1;
    };
}color_dcc_d_dcc_bist_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  test_3:1;
        RBus_UInt32  test_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  res4:2;
        RBus_UInt32  ls_3:1;
        RBus_UInt32  ls_2:1;
    };
}color_dcc_d_dcc_bist_1_RBUS;

#else //apply LITTLE_ENDIAN

//======COLOR_DCC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  main_table_sel:1;
        RBus_UInt32  main_table_segment:1;
        RBus_UInt32  y_mapping_blending_wt:5;
        RBus_UInt32  y_mapping_mode:1;
        RBus_UInt32  dcc_user_curve_en:1;
        RBus_UInt32  dummy1802e400_15_10:6;
        RBus_UInt32  ai_blending_0_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_1_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_2_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_3_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_4_inside_ratio_msb:1;
        RBus_UInt32  ai_blending_5_inside_ratio_msb:1;
        RBus_UInt32  dummy1802e400_31_22:10;
    };
}color_dcc_d_dcc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  luma_offset_main:8;
        RBus_UInt32  res2:8;
    };
}color_dcc_dcc_ctrl_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg0:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg1:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg2:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg3:6;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_limit_en:1;
    };
}color_dcc_dcc_chroma_gain_limit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_limit_seg4:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  chroma_gain_limit_seg5:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  chroma_gain_limit_seg6:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  chroma_gain_limit_seg7:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_dcc_chroma_gain_limit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_en:1;
        RBus_UInt32  chroma_gain_mode:1;
        RBus_UInt32  chroma_gain_lookup_mode:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_base:3;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_enhance_above_tab_select_main:1;
        RBus_UInt32  chroma_enhance_below_tab_select_main:1;
        RBus_UInt32  saturation_byy_u_tab_select_main:1;
        RBus_UInt32  saturation_byy_v_tab_select_main:1;
        RBus_UInt32  res3:4;
        RBus_UInt32  chroma_gain_tab1_seg0:7;
        RBus_UInt32  res4:1;
        RBus_UInt32  chroma_gain_tab0_seg0:7;
        RBus_UInt32  res5:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg1:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg4:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg5:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg6:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg8:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg9:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg10:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg12:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg13:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg14:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg16:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg17:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg18:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg20:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg21:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg22:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg24:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg25:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg26:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg28:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg29:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg30:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg32:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg33:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg34:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg36:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg37:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg38:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg40:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg41:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg42:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg44:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg45:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg46:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg48:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg49:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg50:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg52:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg53:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg54:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg56:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg57:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg58:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg60:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab0_seg61:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab0_seg62:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab0_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab0_seg64:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab0_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg1:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg2:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg4:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg5:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg6:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg7:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg8:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg9:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg10:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg11:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg12:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg13:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg14:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg15:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg16:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg17:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg18:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg19:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg20:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg21:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg22:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg23:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg24:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg25:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg26:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg27:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg28:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg29:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg30:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg31:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg32:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg33:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg34:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg35:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg36:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg37:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg38:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg39:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg40:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg41:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg42:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg43:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg44:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg45:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg46:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg47:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg48:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg49:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg50:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg51:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg52:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg53:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg54:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg55:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg56:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg57:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg58:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg59:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg60:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  chroma_gain_tab1_seg61:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  chroma_gain_tab1_seg62:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  chroma_gain_tab1_seg63:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  chroma_gain_tab1_seg64:7;
        RBus_UInt32  res4:1;
    };
}color_dcc_dcc_ctrl_chroma_gain_tab1_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_tab_acc_ready:1;
        RBus_UInt32  sram_tab_acc_sel:1;
        RBus_UInt32  sram_tab_rw_sel:2;
        RBus_UInt32  sram_tab_acc_index:6;
        RBus_UInt32  sram_tab_acc_index_cur:6;
        RBus_UInt32  res1:16;
    };
}color_dcc_sram_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_tab_g1:8;
        RBus_UInt32  sram_tab_g0:8;
        RBus_UInt32  sram_tab_base:10;
        RBus_UInt32  res1:6;
    };
}color_dcc_sram_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_user_tab_acc_ready:1;
        RBus_UInt32  sram_user_tab_acc_sel:1;
        RBus_UInt32  sram_user_tab_rw_sel:2;
        RBus_UInt32  sram_user_tab_acc_index:6;
        RBus_UInt32  sram_user_tab_acc_index_cur:6;
        RBus_UInt32  res1:16;
    };
}color_dcc_sram_user_tab_ctl_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sram_user_tab_g1:8;
        RBus_UInt32  sram_user_tab_g0:8;
        RBus_UInt32  sram_user_tab_base:10;
        RBus_UInt32  res1:6;
    };
}color_dcc_sram_user_tab_port_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_apply:1;
        RBus_UInt32  db_read_level:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  res1:29;
    };
}color_dcc_d_dcc_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_en:1;
        RBus_UInt32  y_blending_reg3_en:1;
        RBus_UInt32  y_blending_reg2_en:1;
        RBus_UInt32  y_blending_reg1_en:1;
        RBus_UInt32  y_blending_reg0_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  ratio_lpf_en:1;
        RBus_UInt32  y_blending_mode:1;
        RBus_UInt32  y_blending_5_enhance_en:1;
        RBus_UInt32  y_blending_4_enhance_en:1;
        RBus_UInt32  y_blending_3_enhance_en:1;
        RBus_UInt32  y_blending_2_enhance_en:1;
        RBus_UInt32  y_blending_1_enhance_en:1;
        RBus_UInt32  y_blending_0_enhance_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  y_blending_debug_mode_sel:2;
        RBus_UInt32  y_blending_debug_mode_en:1;
        RBus_UInt32  region_ratio_blending_en:1;
        RBus_UInt32  res3:12;
    };
}color_dcc_d_dcc_skin_tone_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_v_center:10;
        RBus_UInt32  y_blending_0_u_center:10;
        RBus_UInt32  y_blending_0_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_v_range:4;
        RBus_UInt32  y_blending_0_u_range:4;
        RBus_UInt32  y_blending_0_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_v_center:10;
        RBus_UInt32  y_blending_1_u_center:10;
        RBus_UInt32  y_blending_1_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_v_range:4;
        RBus_UInt32  y_blending_1_u_range:4;
        RBus_UInt32  y_blending_1_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_v_center:10;
        RBus_UInt32  y_blending_2_u_center:10;
        RBus_UInt32  y_blending_2_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_v_range:4;
        RBus_UInt32  y_blending_2_u_range:4;
        RBus_UInt32  y_blending_2_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_v_center:10;
        RBus_UInt32  y_blending_3_u_center:10;
        RBus_UInt32  y_blending_3_y_center:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_skin_tone_yuv_center_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_v_range:4;
        RBus_UInt32  y_blending_3_u_range:4;
        RBus_UInt32  y_blending_3_y_range:4;
        RBus_UInt32  res1:20;
    };
}color_dcc_d_dcc_skin_tone_yuv_range_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_0_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_0_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_0_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_1_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_1_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_1_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_2_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_2_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_2_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y_blending_3_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  y_blending_3_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  y_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  y_blending_3_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_0_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_0_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_0_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_0_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_0_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c0_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_1_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_1_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_1_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_1_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_1_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c1_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_2_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_2_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_2_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_2_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_2_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c2_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_3_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_3_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_3_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_3_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_3_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c3_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_skin_en:1;
        RBus_UInt32  res1:31;
    };
}color_dcc_d_dcc_cds_skin_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_uv_range_0:10;
        RBus_UInt32  cds_uv_range_1:10;
        RBus_UInt32  cds_uv_range_2:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_cds_skin_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cds_uv_range_3:10;
        RBus_UInt32  cds_uv_range_4:10;
        RBus_UInt32  cds_uv_range_5:10;
        RBus_UInt32  res1:2;
    };
}color_dcc_d_dcc_cds_skin_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_4_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_4_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_4_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_4_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c4_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_4_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_4_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_4_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_4_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c4_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_5_ratio_3:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_5_ratio_2:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_5_ratio_1:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_5_ratio_0:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c5_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  c_blending_5_ratio_7:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  c_blending_5_ratio_6:6;
        RBus_UInt32  res2:2;
        RBus_UInt32  c_blending_5_ratio_5:6;
        RBus_UInt32  res3:2;
        RBus_UInt32  c_blending_5_ratio_4:6;
        RBus_UInt32  res4:2;
    };
}color_dcc_d_dcc_skin_tone_segment_c5_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_blending_0_inside_ratio:5;
        RBus_UInt32  ai_blending_1_inside_ratio:5;
        RBus_UInt32  ai_blending_2_inside_ratio:5;
        RBus_UInt32  ai_blending_3_inside_ratio:5;
        RBus_UInt32  ai_blending_4_inside_ratio:5;
        RBus_UInt32  ai_blending_5_inside_ratio:5;
        RBus_UInt32  ai_ros_en:1;
        RBus_UInt32  res1:1;
    };
}color_dcc_d_dcc_ai_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_center_u_0:10;
        RBus_UInt32  ai_center_v_0:10;
        RBus_UInt32  ai_shrink_pix_num_0:6;
        RBus_UInt32  ai_edge_pix_num_0:2;
        RBus_UInt32  ai_face0_region_en:1;
        RBus_UInt32  res1:3;
    };
}color_dcc_d_dcc_ai_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_center_u_1:10;
        RBus_UInt32  ai_center_v_1:10;
        RBus_UInt32  ai_shrink_pix_num_1:6;
        RBus_UInt32  ai_edge_pix_num_1:2;
        RBus_UInt32  ai_face1_region_en:1;
        RBus_UInt32  res1:3;
    };
}color_dcc_d_dcc_ai_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_center_u_2:10;
        RBus_UInt32  ai_center_v_2:10;
        RBus_UInt32  ai_shrink_pix_num_2:6;
        RBus_UInt32  ai_edge_pix_num_2:2;
        RBus_UInt32  ai_face2_region_en:1;
        RBus_UInt32  res1:3;
    };
}color_dcc_d_dcc_ai_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_center_u_3:10;
        RBus_UInt32  ai_center_v_3:10;
        RBus_UInt32  ai_shrink_pix_num_3:6;
        RBus_UInt32  ai_edge_pix_num_3:2;
        RBus_UInt32  ai_face3_region_en:1;
        RBus_UInt32  res1:3;
    };
}color_dcc_d_dcc_ai_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_center_u_4:10;
        RBus_UInt32  ai_center_v_4:10;
        RBus_UInt32  ai_shrink_pix_num_4:6;
        RBus_UInt32  ai_edge_pix_num_4:2;
        RBus_UInt32  ai_face4_region_en:1;
        RBus_UInt32  res1:3;
    };
}color_dcc_d_dcc_ai_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_center_u_5:10;
        RBus_UInt32  ai_center_v_5:10;
        RBus_UInt32  ai_shrink_pix_num_5:6;
        RBus_UInt32  ai_edge_pix_num_5:2;
        RBus_UInt32  ai_face5_region_en:1;
        RBus_UInt32  res1:3;
    };
}color_dcc_d_dcc_ai_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_i_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_0:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_i_1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_1:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_i_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_2:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_i_3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_3:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_i_4:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_4:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_i_5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_i_5:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_j_0:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_0:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_j_1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_1:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_j_2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_2:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_j_3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_3:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_j_4:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_4:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_start_j_5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ai_region_end_j_5:12;
        RBus_UInt32  res2:4;
    };
}color_dcc_d_dcc_ai_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilu_0:8;
        RBus_UInt32  ai_region_ild_0:8;
        RBus_UInt32  ai_region_jlu_0:8;
        RBus_UInt32  ai_region_jld_0:8;
    };
}color_dcc_d_dcc_ai_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_iru_0:8;
        RBus_UInt32  ai_region_ird_0:8;
        RBus_UInt32  ai_region_jru_0:8;
        RBus_UInt32  ai_region_jrd_0:8;
    };
}color_dcc_d_dcc_ai_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilum_0:2;
        RBus_UInt32  ai_region_ildm_0:2;
        RBus_UInt32  ai_region_jlum_0:2;
        RBus_UInt32  ai_region_jldm_0:2;
        RBus_UInt32  ai_region_irum_0:2;
        RBus_UInt32  ai_region_irdm_0:2;
        RBus_UInt32  ai_region_jrum_0:2;
        RBus_UInt32  ai_region_jrdm_0:2;
        RBus_UInt32  res1:16;
    };
}color_dcc_d_dcc_ai_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilu_1:8;
        RBus_UInt32  ai_region_ild_1:8;
        RBus_UInt32  ai_region_jlu_1:8;
        RBus_UInt32  ai_region_jld_1:8;
    };
}color_dcc_d_dcc_ai_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_iru_1:8;
        RBus_UInt32  ai_region_ird_1:8;
        RBus_UInt32  ai_region_jru_1:8;
        RBus_UInt32  ai_region_jrd_1:8;
    };
}color_dcc_d_dcc_ai_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilum_1:2;
        RBus_UInt32  ai_region_ildm_1:2;
        RBus_UInt32  ai_region_jlum_1:2;
        RBus_UInt32  ai_region_jldm_1:2;
        RBus_UInt32  ai_region_irum_1:2;
        RBus_UInt32  ai_region_irdm_1:2;
        RBus_UInt32  ai_region_jrum_1:2;
        RBus_UInt32  ai_region_jrdm_1:2;
        RBus_UInt32  res1:16;
    };
}color_dcc_d_dcc_ai_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilu_2:8;
        RBus_UInt32  ai_region_ild_2:8;
        RBus_UInt32  ai_region_jlu_2:8;
        RBus_UInt32  ai_region_jld_2:8;
    };
}color_dcc_d_dcc_ai_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_iru_2:8;
        RBus_UInt32  ai_region_ird_2:8;
        RBus_UInt32  ai_region_jru_2:8;
        RBus_UInt32  ai_region_jrd_2:8;
    };
}color_dcc_d_dcc_ai_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilum_2:2;
        RBus_UInt32  ai_region_ildm_2:2;
        RBus_UInt32  ai_region_jlum_2:2;
        RBus_UInt32  ai_region_jldm_2:2;
        RBus_UInt32  ai_region_irum_2:2;
        RBus_UInt32  ai_region_irdm_2:2;
        RBus_UInt32  ai_region_jrum_2:2;
        RBus_UInt32  ai_region_jrdm_2:2;
        RBus_UInt32  res1:16;
    };
}color_dcc_d_dcc_ai_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilu_3:8;
        RBus_UInt32  ai_region_ild_3:8;
        RBus_UInt32  ai_region_jlu_3:8;
        RBus_UInt32  ai_region_jld_3:8;
    };
}color_dcc_d_dcc_ai_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_iru_3:8;
        RBus_UInt32  ai_region_ird_3:8;
        RBus_UInt32  ai_region_jru_3:8;
        RBus_UInt32  ai_region_jrd_3:8;
    };
}color_dcc_d_dcc_ai_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilum_3:2;
        RBus_UInt32  ai_region_ildm_3:2;
        RBus_UInt32  ai_region_jlum_3:2;
        RBus_UInt32  ai_region_jldm_3:2;
        RBus_UInt32  ai_region_irum_3:2;
        RBus_UInt32  ai_region_irdm_3:2;
        RBus_UInt32  ai_region_jrum_3:2;
        RBus_UInt32  ai_region_jrdm_3:2;
        RBus_UInt32  res1:16;
    };
}color_dcc_d_dcc_ai_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilu_4:8;
        RBus_UInt32  ai_region_ild_4:8;
        RBus_UInt32  ai_region_jlu_4:8;
        RBus_UInt32  ai_region_jld_4:8;
    };
}color_dcc_d_dcc_ai_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_iru_4:8;
        RBus_UInt32  ai_region_ird_4:8;
        RBus_UInt32  ai_region_jru_4:8;
        RBus_UInt32  ai_region_jrd_4:8;
    };
}color_dcc_d_dcc_ai_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilum_4:2;
        RBus_UInt32  ai_region_ildm_4:2;
        RBus_UInt32  ai_region_jlum_4:2;
        RBus_UInt32  ai_region_jldm_4:2;
        RBus_UInt32  ai_region_irum_4:2;
        RBus_UInt32  ai_region_irdm_4:2;
        RBus_UInt32  ai_region_jrum_4:2;
        RBus_UInt32  ai_region_jrdm_4:2;
        RBus_UInt32  res1:16;
    };
}color_dcc_d_dcc_ai_33_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilu_5:8;
        RBus_UInt32  ai_region_ild_5:8;
        RBus_UInt32  ai_region_jlu_5:8;
        RBus_UInt32  ai_region_jld_5:8;
    };
}color_dcc_d_dcc_ai_34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_iru_5:8;
        RBus_UInt32  ai_region_ird_5:8;
        RBus_UInt32  ai_region_jru_5:8;
        RBus_UInt32  ai_region_jrd_5:8;
    };
}color_dcc_d_dcc_ai_35_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_region_ilum_5:2;
        RBus_UInt32  ai_region_ildm_5:2;
        RBus_UInt32  ai_region_jlum_5:2;
        RBus_UInt32  ai_region_jldm_5:2;
        RBus_UInt32  ai_region_irum_5:2;
        RBus_UInt32  ai_region_irdm_5:2;
        RBus_UInt32  ai_region_jrum_5:2;
        RBus_UInt32  ai_region_jrdm_5:2;
        RBus_UInt32  res1:16;
    };
}color_dcc_d_dcc_ai_36_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ai_adjust_en:1;
        RBus_UInt32  ai_control_value:8;
        RBus_UInt32  ai_detect_value:8;
        RBus_UInt32  res1:15;
    };
}color_dcc_d_dcc_ai_37_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_0:32;
    };
}color_dcc_d_dcc_fwused_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_1:32;
    };
}color_dcc_d_dcc_fwused_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_2:32;
    };
}color_dcc_d_dcc_fwused_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  fw_3:32;
    };
}color_dcc_d_dcc_fwused_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_0:1;
        RBus_UInt32  ls_1:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  rm_0:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  test_0:1;
        RBus_UInt32  test_1:1;
    };
}color_dcc_d_dcc_bist_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls_2:1;
        RBus_UInt32  ls_3:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  res2:8;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  test_2:1;
        RBus_UInt32  test_3:1;
    };
}color_dcc_d_dcc_bist_1_RBUS;




#endif 


#endif 
