#ifndef _OTP_BITMAP_
#define _OTP_BITMAP_

#include "otp_param.h"



/************************************************************************
 *  Definition
 ************************************************************************/
#define OTP_BIT_NUM            (OTP_BITMAP_SIZE)		// 6Kb
#define OTP_SIZE               (OTP_BIT_NUM / 8)

#define BIT_OFFSET(number)     ((number / 32) * 4)	// register offset of input OTP bit number
#define BIT_SHIFT(number)      (number % 32)		// register shift of input OTP bit number

#define LEN_64BIT	       (64 / 8)
#define LEN_128BIT	       (128 / 8)
#define LEN_2048BIT        (2048 / 8)

/************************************************************************
 *  Definition
 ************************************************************************/
 
typedef struct
{
    unsigned char otp_bitmap[OTP_SIZE];

} __attribute__((packed)) otp_bitmap_t;

#endif  // _OTP_BITMAP_

