#ifndef _UTIL_H_
#define _UTIL_H_
#include <ctype.h>
/* print more debug msg */
//#define DEBUG
#ifdef DEBUG
#define DEBUG_MSG 1
#else
#define DEBUG_MSG 0
#endif
#define debug_print(fmt, ...) \
	do { if (DEBUG_MSG) printf(fmt, __VA_ARGS__); } while (0)

#define INT_BIT_SIZE_LEN ((int)(sizeof(int) * 8))
	
extern int strneq(char *str1, char *str2, int n);
extern int strneqi(char *str1, char *str2, int n);
extern int is_str_a_digital(char *str);
#endif /* _UTIL_H_ */

