/**
* @file Merlin6-DesignSpec-MISC_IRTX
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_MISC_IRTX_REG_H_
#define _RBUS_MISC_IRTX_REG_H_

#include "rbus_types.h"



//  MISC_IRTX Register Address
#define  MISC_IRTX_IRTX_EN_RST                                                  0x1801BE00
#define  MISC_IRTX_IRTX_EN_RST_reg_addr                                          "0xB801BE00"
#define  MISC_IRTX_IRTX_EN_RST_reg                                               0xB801BE00
#define  MISC_IRTX_IRTX_EN_RST_inst_addr                                         "0x0000"
#define  set_MISC_IRTX_IRTX_EN_RST_reg(data)                                     (*((volatile unsigned int*)MISC_IRTX_IRTX_EN_RST_reg)=data)
#define  get_MISC_IRTX_IRTX_EN_RST_reg                                           (*((volatile unsigned int*)MISC_IRTX_IRTX_EN_RST_reg))
#define  MISC_IRTX_IRTX_EN_RST_irtx_inv_shift                                    (8)
#define  MISC_IRTX_IRTX_EN_RST_irtx_rst_shift                                    (4)
#define  MISC_IRTX_IRTX_EN_RST_irtx_en_shift                                     (0)
#define  MISC_IRTX_IRTX_EN_RST_irtx_inv_mask                                     (0x00000100)
#define  MISC_IRTX_IRTX_EN_RST_irtx_rst_mask                                     (0x00000010)
#define  MISC_IRTX_IRTX_EN_RST_irtx_en_mask                                      (0x00000001)
#define  MISC_IRTX_IRTX_EN_RST_irtx_inv(data)                                    (0x00000100&((data)<<8))
#define  MISC_IRTX_IRTX_EN_RST_irtx_rst(data)                                    (0x00000010&((data)<<4))
#define  MISC_IRTX_IRTX_EN_RST_irtx_en(data)                                     (0x00000001&(data))
#define  MISC_IRTX_IRTX_EN_RST_get_irtx_inv(data)                                ((0x00000100&(data))>>8)
#define  MISC_IRTX_IRTX_EN_RST_get_irtx_rst(data)                                ((0x00000010&(data))>>4)
#define  MISC_IRTX_IRTX_EN_RST_get_irtx_en(data)                                 (0x00000001&(data))

#define  MISC_IRTX_IRTX_CLKDIV                                                  0x1801BE04
#define  MISC_IRTX_IRTX_CLKDIV_reg_addr                                          "0xB801BE04"
#define  MISC_IRTX_IRTX_CLKDIV_reg                                               0xB801BE04
#define  MISC_IRTX_IRTX_CLKDIV_inst_addr                                         "0x0001"
#define  set_MISC_IRTX_IRTX_CLKDIV_reg(data)                                     (*((volatile unsigned int*)MISC_IRTX_IRTX_CLKDIV_reg)=data)
#define  get_MISC_IRTX_IRTX_CLKDIV_reg                                           (*((volatile unsigned int*)MISC_IRTX_IRTX_CLKDIV_reg))
#define  MISC_IRTX_IRTX_CLKDIV_irtx_clkdiv_shift                                 (0)
#define  MISC_IRTX_IRTX_CLKDIV_irtx_clkdiv_mask                                  (0x0000FFFF)
#define  MISC_IRTX_IRTX_CLKDIV_irtx_clkdiv(data)                                 (0x0000FFFF&(data))
#define  MISC_IRTX_IRTX_CLKDIV_get_irtx_clkdiv(data)                             (0x0000FFFF&(data))

#define  MISC_IRTX_IRTX_START                                                   0x1801BE08
#define  MISC_IRTX_IRTX_START_reg_addr                                           "0xB801BE08"
#define  MISC_IRTX_IRTX_START_reg                                                0xB801BE08
#define  MISC_IRTX_IRTX_START_inst_addr                                          "0x0002"
#define  set_MISC_IRTX_IRTX_START_reg(data)                                      (*((volatile unsigned int*)MISC_IRTX_IRTX_START_reg)=data)
#define  get_MISC_IRTX_IRTX_START_reg                                            (*((volatile unsigned int*)MISC_IRTX_IRTX_START_reg))
#define  MISC_IRTX_IRTX_START_irtx_len_shift                                     (8)
#define  MISC_IRTX_IRTX_START_irtx_start_shift                                   (0)
#define  MISC_IRTX_IRTX_START_irtx_len_mask                                      (0x0000FF00)
#define  MISC_IRTX_IRTX_START_irtx_start_mask                                    (0x00000001)
#define  MISC_IRTX_IRTX_START_irtx_len(data)                                     (0x0000FF00&((data)<<8))
#define  MISC_IRTX_IRTX_START_irtx_start(data)                                   (0x00000001&(data))
#define  MISC_IRTX_IRTX_START_get_irtx_len(data)                                 ((0x0000FF00&(data))>>8)
#define  MISC_IRTX_IRTX_START_get_irtx_start(data)                               (0x00000001&(data))

#define  MISC_IRTX_IRTX_INT                                                     0x1801BE0C
#define  MISC_IRTX_IRTX_INT_reg_addr                                             "0xB801BE0C"
#define  MISC_IRTX_IRTX_INT_reg                                                  0xB801BE0C
#define  MISC_IRTX_IRTX_INT_inst_addr                                            "0x0003"
#define  set_MISC_IRTX_IRTX_INT_reg(data)                                        (*((volatile unsigned int*)MISC_IRTX_IRTX_INT_reg)=data)
#define  get_MISC_IRTX_IRTX_INT_reg                                              (*((volatile unsigned int*)MISC_IRTX_IRTX_INT_reg))
#define  MISC_IRTX_IRTX_INT_irtx_done_int_shift                                  (0)
#define  MISC_IRTX_IRTX_INT_irtx_done_int_mask                                   (0x00000001)
#define  MISC_IRTX_IRTX_INT_irtx_done_int(data)                                  (0x00000001&(data))
#define  MISC_IRTX_IRTX_INT_get_irtx_done_int(data)                              (0x00000001&(data))

#define  MISC_IRTX_IRTX_INT_EN                                                  0x1801BE10
#define  MISC_IRTX_IRTX_INT_EN_reg_addr                                          "0xB801BE10"
#define  MISC_IRTX_IRTX_INT_EN_reg                                               0xB801BE10
#define  MISC_IRTX_IRTX_INT_EN_inst_addr                                         "0x0004"
#define  set_MISC_IRTX_IRTX_INT_EN_reg(data)                                     (*((volatile unsigned int*)MISC_IRTX_IRTX_INT_EN_reg)=data)
#define  get_MISC_IRTX_IRTX_INT_EN_reg                                           (*((volatile unsigned int*)MISC_IRTX_IRTX_INT_EN_reg))
#define  MISC_IRTX_IRTX_INT_EN_irtx_done_int_en_shift                            (0)
#define  MISC_IRTX_IRTX_INT_EN_irtx_done_int_en_mask                             (0x00000001)
#define  MISC_IRTX_IRTX_INT_EN_irtx_done_int_en(data)                            (0x00000001&(data))
#define  MISC_IRTX_IRTX_INT_EN_get_irtx_done_int_en(data)                        (0x00000001&(data))

#define  MISC_IRTX_TI_CTRL                                                      0x1801BE20
#define  MISC_IRTX_TI_CTRL_reg_addr                                              "0xB801BE20"
#define  MISC_IRTX_TI_CTRL_reg                                                   0xB801BE20
#define  MISC_IRTX_TI_CTRL_inst_addr                                             "0x0005"
#define  set_MISC_IRTX_TI_CTRL_reg(data)                                         (*((volatile unsigned int*)MISC_IRTX_TI_CTRL_reg)=data)
#define  get_MISC_IRTX_TI_CTRL_reg                                               (*((volatile unsigned int*)MISC_IRTX_TI_CTRL_reg))
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_wdata_shift                               (16)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_idx_shift                                 (8)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_rd_shift                                  (1)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_wr_shift                                  (0)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_wdata_mask                                (0xFFFF0000)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_idx_mask                                  (0x0000FF00)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_rd_mask                                   (0x00000002)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_wr_mask                                   (0x00000001)
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_wdata(data)                               (0xFFFF0000&((data)<<16))
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_idx(data)                                 (0x0000FF00&((data)<<8))
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_rd(data)                                  (0x00000002&((data)<<1))
#define  MISC_IRTX_TI_CTRL_irtx_ti_buf_wr(data)                                  (0x00000001&(data))
#define  MISC_IRTX_TI_CTRL_get_irtx_ti_buf_wdata(data)                           ((0xFFFF0000&(data))>>16)
#define  MISC_IRTX_TI_CTRL_get_irtx_ti_buf_idx(data)                             ((0x0000FF00&(data))>>8)
#define  MISC_IRTX_TI_CTRL_get_irtx_ti_buf_rd(data)                              ((0x00000002&(data))>>1)
#define  MISC_IRTX_TI_CTRL_get_irtx_ti_buf_wr(data)                              (0x00000001&(data))

#define  MISC_IRTX_TI_RDATA                                                     0x1801BE24
#define  MISC_IRTX_TI_RDATA_reg_addr                                             "0xB801BE24"
#define  MISC_IRTX_TI_RDATA_reg                                                  0xB801BE24
#define  MISC_IRTX_TI_RDATA_inst_addr                                            "0x0006"
#define  set_MISC_IRTX_TI_RDATA_reg(data)                                        (*((volatile unsigned int*)MISC_IRTX_TI_RDATA_reg)=data)
#define  get_MISC_IRTX_TI_RDATA_reg                                              (*((volatile unsigned int*)MISC_IRTX_TI_RDATA_reg))
#define  MISC_IRTX_TI_RDATA_irtx_ti_buf_rdata_shift                              (0)
#define  MISC_IRTX_TI_RDATA_irtx_ti_buf_rdata_mask                               (0x0000FFFF)
#define  MISC_IRTX_TI_RDATA_irtx_ti_buf_rdata(data)                              (0x0000FFFF&(data))
#define  MISC_IRTX_TI_RDATA_get_irtx_ti_buf_rdata(data)                          (0x0000FFFF&(data))

#define  MISC_IRTX_PWM_CTRL                                                     0x1801BE30
#define  MISC_IRTX_PWM_CTRL_reg_addr                                             "0xB801BE30"
#define  MISC_IRTX_PWM_CTRL_reg                                                  0xB801BE30
#define  MISC_IRTX_PWM_CTRL_inst_addr                                            "0x0007"
#define  set_MISC_IRTX_PWM_CTRL_reg(data)                                        (*((volatile unsigned int*)MISC_IRTX_PWM_CTRL_reg)=data)
#define  get_MISC_IRTX_PWM_CTRL_reg                                              (*((volatile unsigned int*)MISC_IRTX_PWM_CTRL_reg))
#define  MISC_IRTX_PWM_CTRL_irtx_pwm_en_shift                                    (0)
#define  MISC_IRTX_PWM_CTRL_irtx_pwm_en_mask                                     (0x00000001)
#define  MISC_IRTX_PWM_CTRL_irtx_pwm_en(data)                                    (0x00000001&(data))
#define  MISC_IRTX_PWM_CTRL_get_irtx_pwm_en(data)                                (0x00000001&(data))

#define  MISC_IRTX_PWM_CFG                                                      0x1801BE34
#define  MISC_IRTX_PWM_CFG_reg_addr                                              "0xB801BE34"
#define  MISC_IRTX_PWM_CFG_reg                                                   0xB801BE34
#define  MISC_IRTX_PWM_CFG_inst_addr                                             "0x0008"
#define  set_MISC_IRTX_PWM_CFG_reg(data)                                         (*((volatile unsigned int*)MISC_IRTX_PWM_CFG_reg)=data)
#define  get_MISC_IRTX_PWM_CFG_reg                                               (*((volatile unsigned int*)MISC_IRTX_PWM_CFG_reg))
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clksrc_div_shift                             (16)
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clk_duty_shift                               (8)
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clk_div_shift                                (0)
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clksrc_div_mask                              (0x000F0000)
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clk_duty_mask                                (0x0000FF00)
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clk_div_mask                                 (0x000000FF)
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clksrc_div(data)                             (0x000F0000&((data)<<16))
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clk_duty(data)                               (0x0000FF00&((data)<<8))
#define  MISC_IRTX_PWM_CFG_irtx_pwm_clk_div(data)                                (0x000000FF&(data))
#define  MISC_IRTX_PWM_CFG_get_irtx_pwm_clksrc_div(data)                         ((0x000F0000&(data))>>16)
#define  MISC_IRTX_PWM_CFG_get_irtx_pwm_clk_duty(data)                           ((0x0000FF00&(data))>>8)
#define  MISC_IRTX_PWM_CFG_get_irtx_pwm_clk_div(data)                            (0x000000FF&(data))

#define  MISC_IRTX_IRTX_BIST_MODE                                               0x1801BE40
#define  MISC_IRTX_IRTX_BIST_MODE_reg_addr                                       "0xB801BE40"
#define  MISC_IRTX_IRTX_BIST_MODE_reg                                            0xB801BE40
#define  MISC_IRTX_IRTX_BIST_MODE_inst_addr                                      "0x0009"
#define  set_MISC_IRTX_IRTX_BIST_MODE_reg(data)                                  (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_MODE_reg)=data)
#define  get_MISC_IRTX_IRTX_BIST_MODE_reg                                        (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_MODE_reg))
#define  MISC_IRTX_IRTX_BIST_MODE_mbist_irtx_bist_mode_shift                     (0)
#define  MISC_IRTX_IRTX_BIST_MODE_mbist_irtx_bist_mode_mask                      (0x00000001)
#define  MISC_IRTX_IRTX_BIST_MODE_mbist_irtx_bist_mode(data)                     (0x00000001&(data))
#define  MISC_IRTX_IRTX_BIST_MODE_get_mbist_irtx_bist_mode(data)                 (0x00000001&(data))

#define  MISC_IRTX_IRTX_BIST_DONE                                               0x1801BE44
#define  MISC_IRTX_IRTX_BIST_DONE_reg_addr                                       "0xB801BE44"
#define  MISC_IRTX_IRTX_BIST_DONE_reg                                            0xB801BE44
#define  MISC_IRTX_IRTX_BIST_DONE_inst_addr                                      "0x000A"
#define  set_MISC_IRTX_IRTX_BIST_DONE_reg(data)                                  (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_DONE_reg)=data)
#define  get_MISC_IRTX_IRTX_BIST_DONE_reg                                        (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_DONE_reg))
#define  MISC_IRTX_IRTX_BIST_DONE_mbist_irtx_bist_done_shift                     (0)
#define  MISC_IRTX_IRTX_BIST_DONE_mbist_irtx_bist_done_mask                      (0x00000001)
#define  MISC_IRTX_IRTX_BIST_DONE_mbist_irtx_bist_done(data)                     (0x00000001&(data))
#define  MISC_IRTX_IRTX_BIST_DONE_get_mbist_irtx_bist_done(data)                 (0x00000001&(data))

#define  MISC_IRTX_IRTX_BIST_FAIL                                               0x1801BE48
#define  MISC_IRTX_IRTX_BIST_FAIL_reg_addr                                       "0xB801BE48"
#define  MISC_IRTX_IRTX_BIST_FAIL_reg                                            0xB801BE48
#define  MISC_IRTX_IRTX_BIST_FAIL_inst_addr                                      "0x000B"
#define  set_MISC_IRTX_IRTX_BIST_FAIL_reg(data)                                  (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_FAIL_reg)=data)
#define  get_MISC_IRTX_IRTX_BIST_FAIL_reg                                        (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_FAIL_reg))
#define  MISC_IRTX_IRTX_BIST_FAIL_mbist_irtx_bist_fail_shift                     (0)
#define  MISC_IRTX_IRTX_BIST_FAIL_mbist_irtx_bist_fail_mask                      (0x00000001)
#define  MISC_IRTX_IRTX_BIST_FAIL_mbist_irtx_bist_fail(data)                     (0x00000001&(data))
#define  MISC_IRTX_IRTX_BIST_FAIL_get_mbist_irtx_bist_fail(data)                 (0x00000001&(data))

#define  MISC_IRTX_IRTX_DRF_BIST_MODE                                           0x1801BE4C
#define  MISC_IRTX_IRTX_DRF_BIST_MODE_reg_addr                                   "0xB801BE4C"
#define  MISC_IRTX_IRTX_DRF_BIST_MODE_reg                                        0xB801BE4C
#define  MISC_IRTX_IRTX_DRF_BIST_MODE_inst_addr                                  "0x000C"
#define  set_MISC_IRTX_IRTX_DRF_BIST_MODE_reg(data)                              (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_BIST_MODE_reg)=data)
#define  get_MISC_IRTX_IRTX_DRF_BIST_MODE_reg                                    (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_BIST_MODE_reg))
#define  MISC_IRTX_IRTX_DRF_BIST_MODE_mbist_irtx_drf_bist_mode_shift             (0)
#define  MISC_IRTX_IRTX_DRF_BIST_MODE_mbist_irtx_drf_bist_mode_mask              (0x00000001)
#define  MISC_IRTX_IRTX_DRF_BIST_MODE_mbist_irtx_drf_bist_mode(data)             (0x00000001&(data))
#define  MISC_IRTX_IRTX_DRF_BIST_MODE_get_mbist_irtx_drf_bist_mode(data)         (0x00000001&(data))

#define  MISC_IRTX_IRTX_DRF_BIST_DONE                                           0x1801BE50
#define  MISC_IRTX_IRTX_DRF_BIST_DONE_reg_addr                                   "0xB801BE50"
#define  MISC_IRTX_IRTX_DRF_BIST_DONE_reg                                        0xB801BE50
#define  MISC_IRTX_IRTX_DRF_BIST_DONE_inst_addr                                  "0x000D"
#define  set_MISC_IRTX_IRTX_DRF_BIST_DONE_reg(data)                              (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_BIST_DONE_reg)=data)
#define  get_MISC_IRTX_IRTX_DRF_BIST_DONE_reg                                    (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_BIST_DONE_reg))
#define  MISC_IRTX_IRTX_DRF_BIST_DONE_mbist_irtx_drf_bist_done_shift             (0)
#define  MISC_IRTX_IRTX_DRF_BIST_DONE_mbist_irtx_drf_bist_done_mask              (0x00000001)
#define  MISC_IRTX_IRTX_DRF_BIST_DONE_mbist_irtx_drf_bist_done(data)             (0x00000001&(data))
#define  MISC_IRTX_IRTX_DRF_BIST_DONE_get_mbist_irtx_drf_bist_done(data)         (0x00000001&(data))

#define  MISC_IRTX_IRTX_DRF_START_PAUSE                                         0x1801BE54
#define  MISC_IRTX_IRTX_DRF_START_PAUSE_reg_addr                                 "0xB801BE54"
#define  MISC_IRTX_IRTX_DRF_START_PAUSE_reg                                      0xB801BE54
#define  MISC_IRTX_IRTX_DRF_START_PAUSE_inst_addr                                "0x000E"
#define  set_MISC_IRTX_IRTX_DRF_START_PAUSE_reg(data)                            (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_START_PAUSE_reg)=data)
#define  get_MISC_IRTX_IRTX_DRF_START_PAUSE_reg                                  (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_START_PAUSE_reg))
#define  MISC_IRTX_IRTX_DRF_START_PAUSE_mbist_irtx_drf_start_pause_shift         (0)
#define  MISC_IRTX_IRTX_DRF_START_PAUSE_mbist_irtx_drf_start_pause_mask          (0x00000001)
#define  MISC_IRTX_IRTX_DRF_START_PAUSE_mbist_irtx_drf_start_pause(data)         (0x00000001&(data))
#define  MISC_IRTX_IRTX_DRF_START_PAUSE_get_mbist_irtx_drf_start_pause(data)     (0x00000001&(data))

#define  MISC_IRTX_IRTX_DRF_TEST_RESUME                                         0x1801BE58
#define  MISC_IRTX_IRTX_DRF_TEST_RESUME_reg_addr                                 "0xB801BE58"
#define  MISC_IRTX_IRTX_DRF_TEST_RESUME_reg                                      0xB801BE58
#define  MISC_IRTX_IRTX_DRF_TEST_RESUME_inst_addr                                "0x000F"
#define  set_MISC_IRTX_IRTX_DRF_TEST_RESUME_reg(data)                            (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_TEST_RESUME_reg)=data)
#define  get_MISC_IRTX_IRTX_DRF_TEST_RESUME_reg                                  (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_TEST_RESUME_reg))
#define  MISC_IRTX_IRTX_DRF_TEST_RESUME_mbist_irtx_drf_test_resume_shift         (0)
#define  MISC_IRTX_IRTX_DRF_TEST_RESUME_mbist_irtx_drf_test_resume_mask          (0x00000001)
#define  MISC_IRTX_IRTX_DRF_TEST_RESUME_mbist_irtx_drf_test_resume(data)         (0x00000001&(data))
#define  MISC_IRTX_IRTX_DRF_TEST_RESUME_get_mbist_irtx_drf_test_resume(data)     (0x00000001&(data))

#define  MISC_IRTX_IRTX_DRF_BIST_FAIL                                           0x1801BE5C
#define  MISC_IRTX_IRTX_DRF_BIST_FAIL_reg_addr                                   "0xB801BE5C"
#define  MISC_IRTX_IRTX_DRF_BIST_FAIL_reg                                        0xB801BE5C
#define  MISC_IRTX_IRTX_DRF_BIST_FAIL_inst_addr                                  "0x0010"
#define  set_MISC_IRTX_IRTX_DRF_BIST_FAIL_reg(data)                              (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_BIST_FAIL_reg)=data)
#define  get_MISC_IRTX_IRTX_DRF_BIST_FAIL_reg                                    (*((volatile unsigned int*)MISC_IRTX_IRTX_DRF_BIST_FAIL_reg))
#define  MISC_IRTX_IRTX_DRF_BIST_FAIL_mbist_irtx_drf_bist_fail_shift             (0)
#define  MISC_IRTX_IRTX_DRF_BIST_FAIL_mbist_irtx_drf_bist_fail_mask              (0x00000001)
#define  MISC_IRTX_IRTX_DRF_BIST_FAIL_mbist_irtx_drf_bist_fail(data)             (0x00000001&(data))
#define  MISC_IRTX_IRTX_DRF_BIST_FAIL_get_mbist_irtx_drf_bist_fail(data)         (0x00000001&(data))

#define  MISC_IRTX_IRTX_BIST_RM                                                 0x1801BE60
#define  MISC_IRTX_IRTX_BIST_RM_reg_addr                                         "0xB801BE60"
#define  MISC_IRTX_IRTX_BIST_RM_reg                                              0xB801BE60
#define  MISC_IRTX_IRTX_BIST_RM_inst_addr                                        "0x0011"
#define  set_MISC_IRTX_IRTX_BIST_RM_reg(data)                                    (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_RM_reg)=data)
#define  get_MISC_IRTX_IRTX_BIST_RM_reg                                          (*((volatile unsigned int*)MISC_IRTX_IRTX_BIST_RM_reg))
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_test_shift                            (12)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_ls_shift                              (8)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_rme_shift                             (4)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_rm_shift                              (0)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_test_mask                             (0x00001000)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_ls_mask                               (0x00000100)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_rme_mask                              (0x00000010)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_rm_mask                               (0x0000000F)
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_test(data)                            (0x00001000&((data)<<12))
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_ls(data)                              (0x00000100&((data)<<8))
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_rme(data)                             (0x00000010&((data)<<4))
#define  MISC_IRTX_IRTX_BIST_RM_mbist_irtx_rm(data)                              (0x0000000F&(data))
#define  MISC_IRTX_IRTX_BIST_RM_get_mbist_irtx_test(data)                        ((0x00001000&(data))>>12)
#define  MISC_IRTX_IRTX_BIST_RM_get_mbist_irtx_ls(data)                          ((0x00000100&(data))>>8)
#define  MISC_IRTX_IRTX_BIST_RM_get_mbist_irtx_rme(data)                         ((0x00000010&(data))>>4)
#define  MISC_IRTX_IRTX_BIST_RM_get_mbist_irtx_rm(data)                          (0x0000000F&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======MISC_IRTX register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  irtx_inv:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  irtx_rst:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  irtx_en:1;
    };
}misc_irtx_irtx_en_rst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  irtx_clkdiv:16;
    };
}misc_irtx_irtx_clkdiv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  irtx_len:8;
        RBus_UInt32  res2:4;
        RBus_UInt32  res3:3;
        RBus_UInt32  irtx_start:1;
    };
}misc_irtx_irtx_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  irtx_done_int:1;
    };
}misc_irtx_irtx_int_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  irtx_done_int_en:1;
    };
}misc_irtx_irtx_int_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_ti_buf_wdata:16;
        RBus_UInt32  irtx_ti_buf_idx:8;
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  irtx_ti_buf_rd:1;
        RBus_UInt32  irtx_ti_buf_wr:1;
    };
}misc_irtx_ti_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  irtx_ti_buf_rdata:16;
    };
}misc_irtx_ti_rdata_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  irtx_pwm_en:1;
    };
}misc_irtx_pwm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  irtx_pwm_clksrc_div:4;
        RBus_UInt32  irtx_pwm_clk_duty:8;
        RBus_UInt32  irtx_pwm_clk_div:8;
    };
}misc_irtx_pwm_cfg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_bist_mode:1;
    };
}misc_irtx_irtx_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_bist_done:1;
    };
}misc_irtx_irtx_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_bist_fail:1;
    };
}misc_irtx_irtx_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_drf_bist_mode:1;
    };
}misc_irtx_irtx_drf_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_drf_bist_done:1;
    };
}misc_irtx_irtx_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_drf_start_pause:1;
    };
}misc_irtx_irtx_drf_start_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_drf_test_resume:1;
    };
}misc_irtx_irtx_drf_test_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  mbist_irtx_drf_bist_fail:1;
    };
}misc_irtx_irtx_drf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  mbist_irtx_test:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  mbist_irtx_ls:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  mbist_irtx_rme:1;
        RBus_UInt32  mbist_irtx_rm:4;
    };
}misc_irtx_irtx_bist_rm_RBUS;

#else //apply LITTLE_ENDIAN

//======MISC_IRTX register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  irtx_rst:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  irtx_inv:1;
        RBus_UInt32  res3:23;
    };
}misc_irtx_irtx_en_rst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_clkdiv:16;
        RBus_UInt32  res1:16;
    };
}misc_irtx_irtx_clkdiv_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_start:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  res2:4;
        RBus_UInt32  irtx_len:8;
        RBus_UInt32  res3:16;
    };
}misc_irtx_irtx_start_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_done_int:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_int_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_done_int_en:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_int_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_ti_buf_wr:1;
        RBus_UInt32  irtx_ti_buf_rd:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  res2:4;
        RBus_UInt32  irtx_ti_buf_idx:8;
        RBus_UInt32  irtx_ti_buf_wdata:16;
    };
}misc_irtx_ti_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_ti_buf_rdata:16;
        RBus_UInt32  res1:16;
    };
}misc_irtx_ti_rdata_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_pwm_en:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_pwm_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irtx_pwm_clk_div:8;
        RBus_UInt32  irtx_pwm_clk_duty:8;
        RBus_UInt32  irtx_pwm_clksrc_div:4;
        RBus_UInt32  res1:12;
    };
}misc_irtx_pwm_cfg_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_bist_mode:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_bist_done:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_bist_fail:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_drf_bist_mode:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_drf_bist_mode_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_drf_bist_done:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_drf_bist_done_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_drf_start_pause:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_drf_start_pause_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_drf_test_resume:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_drf_test_resume_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_drf_bist_fail:1;
        RBus_UInt32  res1:31;
    };
}misc_irtx_irtx_drf_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mbist_irtx_rm:4;
        RBus_UInt32  mbist_irtx_rme:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  mbist_irtx_ls:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  mbist_irtx_test:1;
        RBus_UInt32  res3:19;
    };
}misc_irtx_irtx_bist_rm_RBUS;




#endif 


#endif 
