#define BIT0 0x1
#define BIT1 0x2
#define BIT2 0x4
#define BIT3 0x8
#define BIT4 0x10
#define BIT5 0x20
#define BIT6 0x40
#define BIT7 0x80
#define BIT8  0x100
#define BIT9  0x200
#define BIT10 0x400
#define BIT11 0x800
#define BIT12 0x1000
#define BIT13 0x2000
#define BIT14 0x4000
#define BIT15 0x8000
#define BIT16 0x10000
#define BIT17 0x20000
#define BIT18 0x40000
#define BIT19 0x80000
#define BIT20 0x100000
#define BIT21 0x200000
#define BIT22 0x400000
#define BIT23 0x800000
#define BIT24 0x1000000
#define BIT25 0x2000000
#define BIT26 0x4000000
#define BIT27 0x8000000
#define BIT28 0x10000000
#define BIT29 0x20000000
#define BIT30 0x40000000
#define BIT31 0x80000000


#define ACPU_BISR_RSTN   0xb8000f0c
#define ACPU_BISR_REMAP  0xb8000f1c
#define ACPU_BISR_DONE   0xb8000f2c
#define ACPU_BISR_FAIL   0xb800223c
#define ACPU_BISR_REPAIR 0xb8002258

#define DISPD_BISR_RSTN  0xb8000f40
#define DISPD_BISR_REMAP 0xb8000f44
#define DISPD_BISR_DONE  0xb8000f48
#define DISPD_BISR_FAIL  0xb8029fe4
#define DISPD_BISR_REPAIR 0xb802A7DC

#define GPU_BISR_RSTN   0xb8000f0c
#define GPU_BISR_REMAP  0xb8000f1c
#define GPU_BISR_DONE   0xb8000f2c
#define GPU_BISR_FAIL   0xb810e0b0
#define GPU_BISR_REPAIR 0xb810e0a8

#define MCU_BISR_RSTN   0xb8060020
#define MCU_BISR_REMAP  0xb8060024
#define MCU_BISR_DONE   0xb8060028
#define MCU_BISR_FAIL   0xb80604a8
#define MCU_BISR_REPAIR 0xb80604A0

#define MEMC_BISR_RSTN   0xb809f100
#define MEMC_BISR_REMAP  0xb8000f54
#define MEMC_BISR_DONE   0xb8000f58
#define MEMC_BISR_FAIL   0xb809909c
#define MEMC_BISR_REPAIR 0xb8099098

#define SCPU_BISR_RSTN   0xb8000f0c
#define SCPU_BISR_REMAP  0xb8000f1c
#define SCPU_BISR_DONE   0xb8000f2c
#define SCPU_BISR_FAIL   0xb805b44c
#define SCPU_BISR_REPAIR 0xb805b450

#define SFG_BISR_RSTN  0xb8000f04
#define SFG_BISR_REMAP 0xb8000f14
#define SFG_BISR_DONE  0xb8000f24
#define SFG_BISR_FAIL  0xb802d9c4
#define SFG_BISR_REPAIR 0xb802D9C8

#define DISPI_BISR_RSTN  0xb8000f00
#define DISPI_BISR_REMAP 0xb8000f10
#define DISPI_BISR_DONE  0xb8000f20
#define DISPI_BISR_FAIL  0xb8025f24
#define DISPI_BISR_REPAIR 0xb8025148

#define VCPU_BISR_RSTN   0xb8000f0c
#define VCPU_BISR_REMAP  0xb8000f1c
#define VCPU_BISR_DONE   0xb8000f2c
#define VCPU_BISR_FAIL   0xb8001114
#define VCPU_BISR_REPAIR 0xb8001130

#define VE_BISR_RSTN   0xb8000f08
#define VE_BISR_REMAP  0xb8000f18
#define VE_BISR_DONE   0xb8000f28
#define VE_BISR_FAIL   0xb800ff2c
#define VE_BISR_REPAIR 0xb800fff0

typedef struct
{
	UINT8 BISR_flag[128];
	int (*bisr_function)(void);
} BISR_QC;
