#include <qc_verify_common.h>

void apll_ipg576p(void)
{
    rtd_outl(0xb8020100, 0x03020109); // M= ,N= ,K=
    //mdelay(50);
    rtd_outl(0xb8020104, 0x00050609); // enable LDO power
    //mdelay(50);
    rtd_outl(0xb8020108, 0x0000035F); // Divider=
    //mdelay(50);
    //rtd_outl(0xb802010c, 0x0050001C); // ADC clk=(1/4)*VCO clk  //==
    rtd_outl(0xb8020400, 0x80000400); // APLL DIV control by I_smartFit
    //mdelay(50);
    rtd_outl(0xb8020428, 0x00430000); // ADC clk=(1/4)*VCO clk
    //mdelay(50);
    rtd_outl(0xb8020110, 0x00000020); // PLL phase interpolation control load
    //mdelay(50);
    rtd_outl(0xb8020114, 0x00000020); // G value=1, P code no over flow
    //mdelay(50);
    rtd_outl(0xb8020118, 0x00000002); // Adaptive Tracking (Default value)
    //mdelay(50);
    rtd_outl(0xb802011c, 0x000A3C33); // P code max=316321 and new mode disable
    //mdelay(50);
    rtd_outl(0xb8020120, 0x000002a1); // Delay chain select (Default value)
    //mdelay(50);
    rtd_outl(0xb8020124, 0x00000002); // DDS tracking HS positive edge (Default value)
    //mdelay(50);
    rtd_outl(0xb8020128, 0x00000004); // I code=79
    //mdelay(50);
    rtd_outl(0xb802012c, 0x00000064); // P code=31632, no over flow
    //mdelay(50);
    rtd_outl(0xb8020130, 0x00000000); // Calibration disable (Default value)
    //mdelay(50);
    rtd_outl(0xb8020134, 0x00000000); // PE measure disable (Default value)
    //mdelay(50);
    rtd_outl(0xb8020138, 0x00000000); // PE Max measure disable (Default value)
    //mdelay(50);

    rtd_outl(0xb802013c, 0x00000040); // enable double buffer load
    //mdelay(50);
    rtd_outl(0xb8020104, 0x00050608); // enable APLL & (dual clk)   //===
   //mdelay(50);
}

void ipg_576p(void)
{
    rtd_outl(0xb8020000, 0x000001ff);  // global power on
    //mdelay(50);
    rtd_outl(0xb8022100, 0x03600270);   // Total pixel = 864*1066
    //mdelay(50);
    rtd_outl(0xb8022104, 0x004a02D0);   // Horizontal active start = 0x64, active width = 684
    //mdelay(50);
    rtd_outl(0xb8022108, 0x00180240);   // Vertical active start = 56, active width = 548
    //mdelay(50);
    rtd_outl(0xb802210c, 0x40000003);   // Enable timing generator
    //mdelay(50);

    // 0xb8022110 status read
    rtd_outl(0xb8022114, 0x004a02d0);   // Pattern Gen display Hstart & Hactive
    //mdelay(50);
    rtd_outl(0xb8022118, 0x00180240);   // Pattern Gen display Vstart & Vactive
    //mdelay(50);
    rtd_outl(0xb802211C, 0x00000003);   // PTG control, select pattern = veritcal color bar
    //mdelay(50);
    //rtd_outl(0xb802211C, 0x00000080);   // PTG control, select pattern = Random generator
    //rtd_outl(0xb802211C, 0x00000004);   // PTG control, select pattern = horizontal color bar
    //rtd_outl(0xb802211C, 0x00000006);   // PTG control, select pattern = horizontal & vertical gradient

    rtd_outl(0xb8022120, 0x00000061);   // Color bar width  =97=0x61
    //mdelay(50);
    //rtd_outl(0xb8022124, 0x00FFFFFF);   // color set 0 W: White
    //rtd_outl(0xb8022128, 0x0000FF00);   // color set 1 R: Red
    //rtd_outl(0xb802212C, 0x00FF0000);   // color set 2 G: Green
    //rtd_outl(0xb8022130, 0x0000FF00);   // color set 3 B: Blue
    //rtd_outl(0xb8022134, 0xFF00FF00);   // color set 4 C: Cyan
    //rtd_outl(0xb8022138, 0x00FFFF00);   // color set 5 M: Megnta
    //rtd_outl(0xb802213C, 0xFFFF00AA);   // color set 6 Y: Yellow
    //rtd_outl(0xb8022140, 0x00000000);   // color set 7 K: Black
    rtd_outl(0xb8022144, 0x00000fff);   // color set (copy from defualt value)
    //mdelay(50);
}

void sp_ipg(void)
{
    rtd_outl(0xb8021000, 0x80a30001);   // Disable SP auto run and ss sync input
    //mdelay(50);
    //rtd_outl(0xb802106c, 0x00000031); // SP output = PTG data , HS/VS/Field source = PTG
    rtd_outl(0xb802106c, 0x00000001);   // SP output = PTG data
    //mdelay(50);
}

void vgip_dma_ipg_576p(void)
{
    //-----------DMA VGIP setting-------------//
    rtd_outl(0xb8022410, 0x90000001); //011:ADC/YPbPr (incluing Pattern Generator),analog mode=>bit1 set 0
    //mdelay(50);
    rtd_outl(0xb8022418, 0x004802D0); //29:16==>DMA_ih_act_sta/13:0==>DMA_ih_act_wid
    //mdelay(50);
    rtd_outl(0xb802241c, 0x00180240); //28:16==>DMA_iv_act_sta/12:0==>DMA_iv_act_len
    //mdelay(50);
    //rtd_outl(0xb8022420, 0x80000000); //29:16==>DMA_IHS_DLY/12:0==>DMA_IVS_DLY
    //rtd_outl(0xb8022490, 0x00000406); //CTS FIFO
    rtd_outl(0xb8022490, 0x00000606); //edward-0110
    //mdelay(50);
}

int QC_Verifier_I3DDMA(void)
{
    int i,err=0;

    rtd_outl(0xb800010c,0x00002001);
    rtd_outl(0xb800011c,0x00002001);
    rtd_outl(0xb8000104,0x00000801);
    rtd_outl(0xb8000114,0x00000801);
    
    apll_ipg576p();
    ipg_576p();
    sp_ipg();
    vgip_dma_ipg_576p();
    
	//VSD
	rtd_outl(0xb8025600,0x00000200);//444 tio 422
	    
	// dispi hdmi_3ddma
	rtd_outl(0xb8025800,0x001A0000); // progressive input, 2D frame 
	rtd_outl(0xb8025804,0x024002D0); // 576 720
	
	//Capture
	//rtd_outl(0xb8025814,0x00002002); //change if need swap
	rtd_outl(0xb8025810,0x00000007); //FRC_en=1,LR_separate_en=1
	rtd_outl(0xb8025844,0x00000303); // enable CRC continuous mode   
	
	//mdelay(40); // delay for CRC calculation duration        
	mdelay(25);// delay for CRC calculation duration        
	//rtd_outl(0xb8025844,0x00000000); // disable CRC continuous mode   
	//rtd_inl(0xb8025844);

    for(i=0; i<99999; i++)
        {
            if((rtd_inl(0xb8025848)!=0x124205e4) || (rtd_inl(0xb802584c)!=0))
                {
                    printk("rtd_inl(0xb8025848) = 0x%x\n", rtd_inl(0xb8025848));
                    printk("rtd_inl(0xb802584c) = 0x%x\n", rtd_inl(0xb802584c));
                    err++;
                    return FAILED;
                }
         }
    if(err == 0)
      return SUCCESS;

    return FAILED;
/*
    if(rtd_inl(0xb8025864) == 0x124205e4 && rtd_inl(0xb8025868) == 0)
        {
            printk("rtd_inl(0xb8025864) = 0x%x\n", rtd_inl(0xb8025864));
            printk("rtd_inl(0xb8025868) = 0x%x\n", rtd_inl(0xb8025868));
            return SUCCESS;
        }
    else
        {
            printk("rtd_inl(0xb8025864) = 0x%x\n", rtd_inl(0xb8025864));
            printk("rtd_inl(0xb8025868) = 0x%x\n", rtd_inl(0xb8025868));

        }
*/
}
