/**
* @file Mac7p-DesignSpec-D_Domain_TCON
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_TCON_REG_H_
#define _RBUS_TCON_REG_H_

#include "rbusTypes.h"



//  TCON Register Address



#define  TCON_TCON_CTRL_VADDR                               	(0xb802d200)
#define  TCON_TCON_CTRL1_VADDR                              	(0xb802d204)
#define  TCON_TCON_IP_EN_VADDR                              	(0xb802d208)
#define  TCON_TCON0_HSE_VADDR                               	(0xb802d210)
#define  TCON_TCON0_VSE_VADDR                               	(0xb802d214)
#define  TCON_TCON0_CTRL_VADDR                              	(0xb802d218)
#define  TCON_TCON0_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d21c)
#define  TCON_TCON0_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d220)
#define  TCON_TCON0_FRAME_HL_CONTROL_VADDR                  	(0xb802d224)
#define  TCON_TCON1_HSE_VADDR                               	(0xb802d230)
#define  TCON_TCON1_VSE_VADDR                               	(0xb802d234)
#define  TCON_TCON1_CTRL_VADDR                              	(0xb802d238)
#define  TCON_TCON1_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d23c)
#define  TCON_TCON1_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d240)
#define  TCON_TCON1_FRAME_HL_CONTROL_VADDR                  	(0xb802d244)
#define  TCON_TCON2_HSE_VADDR                               	(0xb802d250)
#define  TCON_TCON2_VSE_VADDR                               	(0xb802d254)
#define  TCON_TCON2_CTRL_VADDR                              	(0xb802d258)
#define  TCON_TCON2_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d25c)
#define  TCON_TCON2_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d260)
#define  TCON_TCON2_FRAME_HL_CONTROL_VADDR                  	(0xb802d264)
#define  TCON_TCON3_HSE_VADDR                               	(0xb802d270)
#define  TCON_TCON3_VSE_VADDR                               	(0xb802d274)
#define  TCON_TCON3_CTRL_VADDR                              	(0xb802d278)
#define  TCON_TCON3_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d27c)
#define  TCON_TCON3_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d280)
#define  TCON_TCON3_FRAME_HL_CONTROL_VADDR                  	(0xb802d284)
#define  TCON_TCON4_HSE_VADDR                               	(0xb802d290)
#define  TCON_TCON4_VSE_VADDR                               	(0xb802d294)
#define  TCON_TCON4_CTRL_VADDR                              	(0xb802d298)
#define  TCON_TCON4_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d29c)
#define  TCON_TCON4_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d2a0)
#define  TCON_TCON4_FRAME_HL_CONTROL_VADDR                  	(0xb802d2a4)
#define  TCON_TCON5_HSE_VADDR                               	(0xb802d2b0)
#define  TCON_TCON5_VSE_VADDR                               	(0xb802d2b4)
#define  TCON_TCON5_CTRL_VADDR                              	(0xb802d2b8)
#define  TCON_TCON5_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d2bc)
#define  TCON_TCON5_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d2c0)
#define  TCON_TCON5_FRAME_HL_CONTROL_VADDR                  	(0xb802d2c4)
#define  TCON_TCON6_HSE_VADDR                               	(0xb802d2d0)
#define  TCON_TCON6_VSE_VADDR                               	(0xb802d2d4)
#define  TCON_TCON6_CTRL_VADDR                              	(0xb802d2d8)
#define  TCON_TCON6_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d2dc)
#define  TCON_TCON6_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d2e0)
#define  TCON_TCON6_FRAME_HL_CONTROL_VADDR                  	(0xb802d2e4)
#define  TCON_TCON7_HSE_VADDR                               	(0xb802d2f0)
#define  TCON_TCON7_VSE_VADDR                               	(0xb802d2f4)
#define  TCON_TCON7_CTRL_VADDR                              	(0xb802d2f8)
#define  TCON_TCON7_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d2fc)
#define  TCON_TCON7_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d300)
#define  TCON_TCON7_FRAME_HL_CONTROL_VADDR                  	(0xb802d304)
#define  TCON_TCON8_HSE_VADDR                               	(0xb802d310)
#define  TCON_TCON8_VSE_VADDR                               	(0xb802d314)
#define  TCON_TCON8_CTRL_VADDR                              	(0xb802d318)
#define  TCON_TCON8_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d31c)
#define  TCON_TCON8_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d320)
#define  TCON_TCON8_FRAME_HL_CONTROL_VADDR                  	(0xb802d324)
#define  TCON_TCON9_HSE_VADDR                               	(0xb802d330)
#define  TCON_TCON9_VSE_VADDR                               	(0xb802d334)
#define  TCON_TCON9_CTRL_VADDR                              	(0xb802d338)
#define  TCON_TCON9_ACROSS_LINE_CONTROL3_VADDR              	(0xb802d33c)
#define  TCON_TCON9_ACROSS_FRAME_CONTROL_VADDR              	(0xb802d340)
#define  TCON_TCON9_FRAME_HL_CONTROL_VADDR                  	(0xb802d344)
#define  TCON_TCON10_HSE_VADDR                              	(0xb802d350)
#define  TCON_TCON10_VSE_VADDR                              	(0xb802d354)
#define  TCON_TCON10_CTRL_VADDR                             	(0xb802d358)
#define  TCON_TCON10_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d35c)
#define  TCON_TCON10_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d360)
#define  TCON_TCON10_FRAME_HL_CONTROL_VADDR                 	(0xb802d364)
#define  TCON_TCON11_HSE_VADDR                              	(0xb802d370)
#define  TCON_TCON11_VSE_VADDR                              	(0xb802d374)
#define  TCON_TCON11_CTRL_VADDR                             	(0xb802d378)
#define  TCON_TCON11_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d37c)
#define  TCON_TCON11_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d380)
#define  TCON_TCON11_FRAME_HL_CONTROL_VADDR                 	(0xb802d384)
#define  TCON_TCON12_HSE_VADDR                              	(0xb802d390)
#define  TCON_TCON12_VSE_VADDR                              	(0xb802d394)
#define  TCON_TCON12_CTRL_VADDR                             	(0xb802d398)
#define  TCON_TCON12_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d39c)
#define  TCON_TCON12_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d3a0)
#define  TCON_TCON12_FRAME_HL_CONTROL_VADDR                 	(0xb802d3a4)
#define  TCON_TCON13_HSE_VADDR                              	(0xb802d3b0)
#define  TCON_TCON13_VSE_VADDR                              	(0xb802d3b4)
#define  TCON_TCON13_CTRL_VADDR                             	(0xb802d3b8)
#define  TCON_TCON13_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d3bc)
#define  TCON_TCON13_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d3c0)
#define  TCON_TCON13_FRAME_HL_CONTROL_VADDR                 	(0xb802d3c4)
#define  TCON_TCON14_HSE_VADDR                              	(0xb802d3d0)
#define  TCON_TCON14_VSE_VADDR                              	(0xb802d3d4)
#define  TCON_TCON14_CTRL_VADDR                             	(0xb802d3d8)
#define  TCON_TCON14_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d3dc)
#define  TCON_TCON14_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d3e0)
#define  TCON_TCON14_FRAME_HL_CONTROL_VADDR                 	(0xb802d3e4)
#define  TCON_TCON15_HSE_VADDR                              	(0xb802d3f0)
#define  TCON_TCON15_VSE_VADDR                              	(0xb802d3f4)
#define  TCON_TCON15_CTRL_VADDR                             	(0xb802d3f8)
#define  TCON_TCON15_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d3fc)
#define  TCON_TCON15_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d400)
#define  TCON_TCON15_FRAME_HL_CONTROL_VADDR                 	(0xb802d404)
#define  TCON_TCON16_HSE_VADDR                              	(0xb802d410)
#define  TCON_TCON16_VSE_VADDR                              	(0xb802d414)
#define  TCON_TCON16_CTRL_VADDR                             	(0xb802d418)
#define  TCON_TCON16_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d41c)
#define  TCON_TCON16_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d420)
#define  TCON_TCON16_FRAME_HL_CONTROL_VADDR                 	(0xb802d424)
#define  TCON_TCON17_HSE_VADDR                              	(0xb802d430)
#define  TCON_TCON17_VSE_VADDR                              	(0xb802d434)
#define  TCON_TCON17_CTRL_VADDR                             	(0xb802d438)
#define  TCON_TCON17_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d43c)
#define  TCON_TCON17_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d440)
#define  TCON_TCON17_FRAME_HL_CONTROL_VADDR                 	(0xb802d444)
#define  TCON_TCON18_HSE_VADDR                              	(0xb802d450)
#define  TCON_TCON18_VSE_VADDR                              	(0xb802d454)
#define  TCON_TCON18_CTRL_VADDR                             	(0xb802d458)
#define  TCON_TCON18_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d45c)
#define  TCON_TCON18_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d460)
#define  TCON_TCON18_FRAME_HL_CONTROL_VADDR                 	(0xb802d464)
#define  TCON_TCON19_HSE_VADDR                              	(0xb802d470)
#define  TCON_TCON19_VSE_VADDR                              	(0xb802d474)
#define  TCON_TCON19_CTRL_VADDR                             	(0xb802d478)
#define  TCON_TCON19_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d47c)
#define  TCON_TCON19_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d480)
#define  TCON_TCON19_FRAME_HL_CONTROL_VADDR                 	(0xb802d484)
#define  TCON_TCON20_HSE_VADDR                              	(0xb802d490)
#define  TCON_TCON20_VSE_VADDR                              	(0xb802d494)
#define  TCON_TCON20_CTRL_VADDR                             	(0xb802d498)
#define  TCON_TCON20_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d49c)
#define  TCON_TCON20_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d4a0)
#define  TCON_TCON20_FRAME_HL_CONTROL_VADDR                 	(0xb802d4a4)
#define  TCON_TCON21_HSE_VADDR                              	(0xb802d4b0)
#define  TCON_TCON21_VSE_VADDR                              	(0xb802d4b4)
#define  TCON_TCON21_CTRL_VADDR                             	(0xb802d4b8)
#define  TCON_TCON21_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d4bc)
#define  TCON_TCON21_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d4c0)
#define  TCON_TCON21_FRAME_HL_CONTROL_VADDR                 	(0xb802d4c4)
#define  TCON_TCON22_HSE_VADDR                              	(0xb802d4d0)
#define  TCON_TCON22_VSE_VADDR                              	(0xb802d4d4)
#define  TCON_TCON22_CTRL_VADDR                             	(0xb802d4d8)
#define  TCON_TCON22_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d4dc)
#define  TCON_TCON22_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d4e0)
#define  TCON_TCON22_FRAME_HL_CONTROL_VADDR                 	(0xb802d4e4)
#define  TCON_TCON23_HSE_VADDR                              	(0xb802d4f0)
#define  TCON_TCON23_VSE_VADDR                              	(0xb802d4f4)
#define  TCON_TCON23_CTRL_VADDR                             	(0xb802d4f8)
#define  TCON_TCON23_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d4fc)
#define  TCON_TCON23_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d500)
#define  TCON_TCON23_FRAME_HL_CONTROL_VADDR                 	(0xb802d504)
#define  TCON_TCON24_HSE_VADDR                              	(0xb802d510)
#define  TCON_TCON24_VSE_VADDR                              	(0xb802d514)
#define  TCON_TCON24_CTRL_VADDR                             	(0xb802d518)
#define  TCON_TCON24_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d51c)
#define  TCON_TCON24_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d520)
#define  TCON_TCON24_FRAME_HL_CONTROL_VADDR                 	(0xb802d524)
#define  TCON_TCON25_HSE_VADDR                              	(0xb802d530)
#define  TCON_TCON25_VSE_VADDR                              	(0xb802d534)
#define  TCON_TCON25_CTRL_VADDR                             	(0xb802d538)
#define  TCON_TCON25_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d53c)
#define  TCON_TCON25_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d540)
#define  TCON_TCON25_FRAME_HL_CONTROL_VADDR                 	(0xb802d544)
#define  TCON_TCON26_HSE_VADDR                              	(0xb802d550)
#define  TCON_TCON26_VSE_VADDR                              	(0xb802d554)
#define  TCON_TCON26_CTRL_VADDR                             	(0xb802d558)
#define  TCON_TCON26_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d55c)
#define  TCON_TCON26_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d560)
#define  TCON_TCON26_FRAME_HL_CONTROL_VADDR                 	(0xb802d564)
#define  TCON_TCON27_HSE_VADDR                              	(0xb802d570)
#define  TCON_TCON27_VSE_VADDR                              	(0xb802d574)
#define  TCON_TCON27_CTRL_VADDR                             	(0xb802d578)
#define  TCON_TCON27_ACROSS_LINE_CONTROL3_VADDR             	(0xb802d57c)
#define  TCON_TCON27_ACROSS_FRAME_CONTROL_VADDR             	(0xb802d580)
#define  TCON_TCON27_FRAME_HL_CONTROL_VADDR                 	(0xb802d584)
#define  TCON_TCON_PWM0_CONTROL0_VADDR                      	(0xb802d588)
#define  TCON_TCON_PWM0_CONTROL1_VADDR                      	(0xb802d58c)
#define  TCON_TCON_PWM0_CONTROL2_VADDR                      	(0xb802d590)
#define  TCON_TCON_PWM1_CONTROL0_VADDR                      	(0xb802d594)
#define  TCON_TCON_PWM1_CONTROL1_VADDR                      	(0xb802d598)
#define  TCON_TCON_PWM1_CONTROL2_VADDR                      	(0xb802d59c)
#define  TCON_TCON_PWM_DB_SEL_VADDR                         	(0xb802d5a0)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======TCON register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  tcon_output:30;
    };
}tcon_tcon_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}tcon_tcon_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  tcon_across_frame_en:1;
        RBus_UInt32  tcon_en:1;
    };
}tcon_tcon_ip_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_0:1;
        RBus_UInt32  tcon0_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon0_hend:15;
    };
}tcon_tcon0_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon0_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon0_vend:13;
    };
}tcon_tcon0_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon0_l_flag_sel:5;
        RBus_UInt32  tcon0_off_opt:1;
        RBus_UInt32  tcon0_across_ctrl_reset:1;
        RBus_UInt32  tcon0_mode:3;
        RBus_UInt32  tcon0_en:1;
        RBus_UInt32  tcon0_inv:1;
        RBus_UInt32  tcon0_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon0_frame_tog_en:1;
        RBus_UInt32  tcon0_comb:3;
    };
}tcon_tcon0_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon0_across_frame_int:1;
        RBus_UInt32  tcon0_across_ctrl3_rp:12;
        RBus_UInt32  tcon0_hl_num:4;
        RBus_UInt32  tcon0_across_ctrl3_hp:12;
    };
}tcon_tcon0_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon0_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon0_frame_hp:12;
    };
}tcon_tcon0_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon0_frame_offset:12;
        RBus_UInt32  tcon0_hl:16;
    };
}tcon_tcon0_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_1:1;
        RBus_UInt32  tcon1_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon1_hend:15;
    };
}tcon_tcon1_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon1_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon1_vend:13;
    };
}tcon_tcon1_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon1_l_flag_sel:5;
        RBus_UInt32  tcon1_off_opt:1;
        RBus_UInt32  tcon1_across_ctrl_reset:1;
        RBus_UInt32  tcon1_mode:3;
        RBus_UInt32  tcon1_en:1;
        RBus_UInt32  tcon1_inv:1;
        RBus_UInt32  tcon1_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon1_frame_tog_en:1;
        RBus_UInt32  tcon1_comb:3;
    };
}tcon_tcon1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon1_across_frame_int:1;
        RBus_UInt32  tcon1_across_ctrl3_rp:12;
        RBus_UInt32  tcon1_hl_num:4;
        RBus_UInt32  tcon1_across_ctrl3_hp:12;
    };
}tcon_tcon1_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon1_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon1_frame_hp:12;
    };
}tcon_tcon1_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon1_frame_offset:12;
        RBus_UInt32  tcon1_hl:16;
    };
}tcon_tcon1_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_2:1;
        RBus_UInt32  tcon2_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon2_hend:15;
    };
}tcon_tcon2_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon2_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon2_vend:13;
    };
}tcon_tcon2_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon2_l_flag_sel:5;
        RBus_UInt32  tcon2_off_opt:1;
        RBus_UInt32  tcon2_across_ctrl_reset:1;
        RBus_UInt32  tcon2_mode:3;
        RBus_UInt32  tcon2_en:1;
        RBus_UInt32  tcon2_inv:1;
        RBus_UInt32  tcon2_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon2_frame_tog_en:1;
        RBus_UInt32  tcon2_comb:3;
    };
}tcon_tcon2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon2_across_frame_int:1;
        RBus_UInt32  tcon2_across_ctrl3_rp:12;
        RBus_UInt32  tcon2_hl_num:4;
        RBus_UInt32  tcon2_across_ctrl3_hp:12;
    };
}tcon_tcon2_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon2_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon2_frame_hp:12;
    };
}tcon_tcon2_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon2_frame_offset:12;
        RBus_UInt32  tcon2_hl:16;
    };
}tcon_tcon2_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_3:1;
        RBus_UInt32  tcon3_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon3_hend:15;
    };
}tcon_tcon3_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon3_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon3_vend:13;
    };
}tcon_tcon3_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon3_l_flag_sel:5;
        RBus_UInt32  tcon3_off_opt:1;
        RBus_UInt32  tcon3_across_ctrl_reset:1;
        RBus_UInt32  tcon3_mode:3;
        RBus_UInt32  tcon3_en:1;
        RBus_UInt32  tcon3_inv:1;
        RBus_UInt32  tcon3_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon3_frame_tog_en:1;
        RBus_UInt32  tcon3_comb:3;
    };
}tcon_tcon3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon3_across_frame_int:1;
        RBus_UInt32  tcon3_across_ctrl3_rp:12;
        RBus_UInt32  tcon3_hl_num:4;
        RBus_UInt32  tcon3_across_ctrl3_hp:12;
    };
}tcon_tcon3_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon3_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon3_frame_hp:12;
    };
}tcon_tcon3_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon3_frame_offset:12;
        RBus_UInt32  tcon3_hl:16;
    };
}tcon_tcon3_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_4:1;
        RBus_UInt32  tcon4_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon4_hend:15;
    };
}tcon_tcon4_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon4_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon4_vend:13;
    };
}tcon_tcon4_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon4_l_flag_sel:5;
        RBus_UInt32  tcon4_off_opt:1;
        RBus_UInt32  tcon4_across_ctrl_reset:1;
        RBus_UInt32  tcon4_mode:3;
        RBus_UInt32  tcon4_en:1;
        RBus_UInt32  tcon4_inv:1;
        RBus_UInt32  tcon4_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon4_frame_tog_en:1;
        RBus_UInt32  tcon4_comb:3;
    };
}tcon_tcon4_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon4_across_frame_int:1;
        RBus_UInt32  tcon4_across_ctrl3_rp:12;
        RBus_UInt32  tcon4_hl_num:4;
        RBus_UInt32  tcon4_across_ctrl3_hp:12;
    };
}tcon_tcon4_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon4_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon4_frame_hp:12;
    };
}tcon_tcon4_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon4_frame_offset:12;
        RBus_UInt32  tcon4_hl:16;
    };
}tcon_tcon4_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_5:1;
        RBus_UInt32  tcon5_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon5_hend:15;
    };
}tcon_tcon5_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon5_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon5_vend:13;
    };
}tcon_tcon5_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon5_l_flag_sel:5;
        RBus_UInt32  tcon5_off_opt:1;
        RBus_UInt32  tcon5_across_ctrl_reset:1;
        RBus_UInt32  tcon5_mode:3;
        RBus_UInt32  tcon5_en:1;
        RBus_UInt32  tcon5_inv:1;
        RBus_UInt32  tcon5_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon5_frame_tog_en:1;
        RBus_UInt32  tcon5_comb:3;
    };
}tcon_tcon5_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon5_across_frame_int:1;
        RBus_UInt32  tcon5_across_ctrl3_rp:12;
        RBus_UInt32  tcon5_hl_num:4;
        RBus_UInt32  tcon5_across_ctrl3_hp:12;
    };
}tcon_tcon5_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon5_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon5_frame_hp:12;
    };
}tcon_tcon5_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon5_frame_offset:12;
        RBus_UInt32  tcon5_hl:16;
    };
}tcon_tcon5_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_6:1;
        RBus_UInt32  tcon6_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon6_hend:15;
    };
}tcon_tcon6_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon6_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon6_vend:13;
    };
}tcon_tcon6_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon6_l_flag_sel:5;
        RBus_UInt32  tcon6_off_opt:1;
        RBus_UInt32  tcon6_across_ctrl_reset:1;
        RBus_UInt32  tcon6_mode:3;
        RBus_UInt32  tcon6_en:1;
        RBus_UInt32  tcon6_inv:1;
        RBus_UInt32  tcon6_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon6_frame_tog_en:1;
        RBus_UInt32  tcon6_comb:3;
    };
}tcon_tcon6_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon6_across_frame_int:1;
        RBus_UInt32  tcon6_across_ctrl3_rp:12;
        RBus_UInt32  tcon6_hl_num:4;
        RBus_UInt32  tcon6_across_ctrl3_hp:12;
    };
}tcon_tcon6_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon6_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon6_frame_hp:12;
    };
}tcon_tcon6_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon6_frame_offset:12;
        RBus_UInt32  tcon6_hl:16;
    };
}tcon_tcon6_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_7:1;
        RBus_UInt32  tcon7_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon7_hend:15;
    };
}tcon_tcon7_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon7_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon7_vend:13;
    };
}tcon_tcon7_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon7_l_flag_sel:5;
        RBus_UInt32  tcon7_off_opt:1;
        RBus_UInt32  tcon7_across_ctrl_reset:1;
        RBus_UInt32  tcon7_mode:3;
        RBus_UInt32  tcon7_en:1;
        RBus_UInt32  tcon7_inv:1;
        RBus_UInt32  tcon7_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon7_frame_tog_en:1;
        RBus_UInt32  tcon7_comb:3;
    };
}tcon_tcon7_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon7_across_frame_int:1;
        RBus_UInt32  tcon7_across_ctrl3_rp:12;
        RBus_UInt32  tcon7_hl_num:4;
        RBus_UInt32  tcon7_across_ctrl3_hp:12;
    };
}tcon_tcon7_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon7_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon7_frame_hp:12;
    };
}tcon_tcon7_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon7_frame_offset:12;
        RBus_UInt32  tcon7_hl:16;
    };
}tcon_tcon7_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_8:1;
        RBus_UInt32  tcon8_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon8_hend:15;
    };
}tcon_tcon8_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon8_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon8_vend:13;
    };
}tcon_tcon8_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon8_l_flag_sel:5;
        RBus_UInt32  tcon8_off_opt:1;
        RBus_UInt32  tcon8_across_ctrl_reset:1;
        RBus_UInt32  tcon8_mode:3;
        RBus_UInt32  tcon8_en:1;
        RBus_UInt32  tcon8_inv:1;
        RBus_UInt32  tcon8_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon8_frame_tog_en:1;
        RBus_UInt32  tcon8_comb:3;
    };
}tcon_tcon8_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon8_across_frame_int:1;
        RBus_UInt32  tcon8_across_ctrl3_rp:12;
        RBus_UInt32  tcon8_hl_num:4;
        RBus_UInt32  tcon8_across_ctrl3_hp:12;
    };
}tcon_tcon8_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon8_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon8_frame_hp:12;
    };
}tcon_tcon8_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon8_frame_offset:12;
        RBus_UInt32  tcon8_hl:16;
    };
}tcon_tcon8_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_9:1;
        RBus_UInt32  tcon9_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon9_hend:15;
    };
}tcon_tcon9_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon9_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon9_vend:13;
    };
}tcon_tcon9_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon9_l_flag_sel:5;
        RBus_UInt32  tcon9_off_opt:1;
        RBus_UInt32  tcon9_across_ctrl_reset:1;
        RBus_UInt32  tcon9_mode:3;
        RBus_UInt32  tcon9_en:1;
        RBus_UInt32  tcon9_inv:1;
        RBus_UInt32  tcon9_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon9_frame_tog_en:1;
        RBus_UInt32  tcon9_comb:3;
    };
}tcon_tcon9_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon9_across_frame_int:1;
        RBus_UInt32  tcon9_across_ctrl3_rp:12;
        RBus_UInt32  tcon9_hl_num:4;
        RBus_UInt32  tcon9_across_ctrl3_hp:12;
    };
}tcon_tcon9_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon9_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon9_frame_hp:12;
    };
}tcon_tcon9_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon9_frame_offset:12;
        RBus_UInt32  tcon9_hl:16;
    };
}tcon_tcon9_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_10:1;
        RBus_UInt32  tcon10_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon10_hend:15;
    };
}tcon_tcon10_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon10_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon10_vend:13;
    };
}tcon_tcon10_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon10_l_flag_sel:5;
        RBus_UInt32  tcon10_off_opt:1;
        RBus_UInt32  tcon10_across_ctrl_reset:1;
        RBus_UInt32  tcon10_mode:3;
        RBus_UInt32  tcon10_en:1;
        RBus_UInt32  tcon10_inv:1;
        RBus_UInt32  tcon10_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon10_frame_tog_en:1;
        RBus_UInt32  tcon10_comb:3;
    };
}tcon_tcon10_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon10_across_frame_int:1;
        RBus_UInt32  tcon10_across_ctrl3_rp:12;
        RBus_UInt32  tcon10_hl_num:4;
        RBus_UInt32  tcon10_across_ctrl3_hp:12;
    };
}tcon_tcon10_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon10_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon10_frame_hp:12;
    };
}tcon_tcon10_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon10_frame_offset:12;
        RBus_UInt32  tcon10_hl:16;
    };
}tcon_tcon10_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_11:1;
        RBus_UInt32  tcon11_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon11_hend:15;
    };
}tcon_tcon11_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon11_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon11_vend:13;
    };
}tcon_tcon11_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon11_l_flag_sel:5;
        RBus_UInt32  tcon11_off_opt:1;
        RBus_UInt32  tcon11_across_ctrl_reset:1;
        RBus_UInt32  tcon11_mode:3;
        RBus_UInt32  tcon11_en:1;
        RBus_UInt32  tcon11_inv:1;
        RBus_UInt32  tcon11_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon11_frame_tog_en:1;
        RBus_UInt32  tcon11_comb:3;
    };
}tcon_tcon11_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon11_across_frame_int:1;
        RBus_UInt32  tcon11_across_ctrl3_rp:12;
        RBus_UInt32  tcon11_hl_num:4;
        RBus_UInt32  tcon11_across_ctrl3_hp:12;
    };
}tcon_tcon11_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon11_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon11_frame_hp:12;
    };
}tcon_tcon11_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon11_frame_offset:12;
        RBus_UInt32  tcon11_hl:16;
    };
}tcon_tcon11_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_12:1;
        RBus_UInt32  tcon12_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon12_hend:15;
    };
}tcon_tcon12_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon12_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon12_vend:13;
    };
}tcon_tcon12_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon12_l_flag_sel:5;
        RBus_UInt32  tcon12_off_opt:1;
        RBus_UInt32  tcon12_across_ctrl_reset:1;
        RBus_UInt32  tcon12_mode:3;
        RBus_UInt32  tcon12_en:1;
        RBus_UInt32  tcon12_inv:1;
        RBus_UInt32  tcon12_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon12_frame_tog_en:1;
        RBus_UInt32  tcon12_comb:3;
    };
}tcon_tcon12_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon12_across_frame_int:1;
        RBus_UInt32  tcon12_across_ctrl3_rp:12;
        RBus_UInt32  tcon12_hl_num:4;
        RBus_UInt32  tcon12_across_ctrl3_hp:12;
    };
}tcon_tcon12_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon12_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon12_frame_hp:12;
    };
}tcon_tcon12_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon12_frame_offset:12;
        RBus_UInt32  tcon12_hl:16;
    };
}tcon_tcon12_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_13:1;
        RBus_UInt32  tcon13_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon13_hend:15;
    };
}tcon_tcon13_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon13_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon13_vend:13;
    };
}tcon_tcon13_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon13_l_flag_sel:5;
        RBus_UInt32  tcon13_off_opt:1;
        RBus_UInt32  tcon13_across_ctrl_reset:1;
        RBus_UInt32  tcon13_mode:3;
        RBus_UInt32  tcon13_en:1;
        RBus_UInt32  tcon13_inv:1;
        RBus_UInt32  tcon13_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon13_frame_tog_en:1;
        RBus_UInt32  tcon13_comb:3;
    };
}tcon_tcon13_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon13_across_frame_int:1;
        RBus_UInt32  tcon13_across_ctrl3_rp:12;
        RBus_UInt32  tcon13_hl_num:4;
        RBus_UInt32  tcon13_across_ctrl3_hp:12;
    };
}tcon_tcon13_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon13_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon13_frame_hp:12;
    };
}tcon_tcon13_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon13_frame_offset:12;
        RBus_UInt32  tcon13_hl:16;
    };
}tcon_tcon13_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_14:1;
        RBus_UInt32  tcon14_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon14_hend:15;
    };
}tcon_tcon14_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon14_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon14_vend:13;
    };
}tcon_tcon14_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon14_l_flag_sel:5;
        RBus_UInt32  tcon14_off_opt:1;
        RBus_UInt32  tcon14_across_ctrl_reset:1;
        RBus_UInt32  tcon14_mode:3;
        RBus_UInt32  tcon14_en:1;
        RBus_UInt32  tcon14_inv:1;
        RBus_UInt32  tcon14_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon14_frame_tog_en:1;
        RBus_UInt32  tcon14_comb:3;
    };
}tcon_tcon14_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon14_across_frame_int:1;
        RBus_UInt32  tcon14_across_ctrl3_rp:12;
        RBus_UInt32  tcon14_hl_num:4;
        RBus_UInt32  tcon14_across_ctrl3_hp:12;
    };
}tcon_tcon14_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon14_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon14_frame_hp:12;
    };
}tcon_tcon14_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon14_frame_offset:12;
        RBus_UInt32  tcon14_hl:16;
    };
}tcon_tcon14_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_15:1;
        RBus_UInt32  tcon15_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon15_hend:15;
    };
}tcon_tcon15_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon15_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon15_vend:13;
    };
}tcon_tcon15_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon15_l_flag_sel:5;
        RBus_UInt32  tcon15_off_opt:1;
        RBus_UInt32  tcon15_across_ctrl_reset:1;
        RBus_UInt32  tcon15_mode:3;
        RBus_UInt32  tcon15_en:1;
        RBus_UInt32  tcon15_inv:1;
        RBus_UInt32  tcon15_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon15_frame_tog_en:1;
        RBus_UInt32  tcon15_comb:3;
    };
}tcon_tcon15_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon15_across_frame_int:1;
        RBus_UInt32  tcon15_across_ctrl3_rp:12;
        RBus_UInt32  tcon15_hl_num:4;
        RBus_UInt32  tcon15_across_ctrl3_hp:12;
    };
}tcon_tcon15_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon15_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon15_frame_hp:12;
    };
}tcon_tcon15_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon15_frame_offset:12;
        RBus_UInt32  tcon15_hl:16;
    };
}tcon_tcon15_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_16:1;
        RBus_UInt32  tcon16_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon16_hend:15;
    };
}tcon_tcon16_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon16_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon16_vend:13;
    };
}tcon_tcon16_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon16_l_flag_sel:5;
        RBus_UInt32  tcon16_off_opt:1;
        RBus_UInt32  tcon16_across_ctrl_reset:1;
        RBus_UInt32  tcon16_mode:3;
        RBus_UInt32  tcon16_en:1;
        RBus_UInt32  tcon16_inv:1;
        RBus_UInt32  tcon16_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon16_frame_tog_en:1;
        RBus_UInt32  tcon16_comb:3;
    };
}tcon_tcon16_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon16_across_frame_int:1;
        RBus_UInt32  tcon16_across_ctrl3_rp:12;
        RBus_UInt32  tcon16_hl_num:4;
        RBus_UInt32  tcon16_across_ctrl3_hp:12;
    };
}tcon_tcon16_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon16_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon16_frame_hp:12;
    };
}tcon_tcon16_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon16_frame_offset:12;
        RBus_UInt32  tcon16_hl:16;
    };
}tcon_tcon16_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_17:1;
        RBus_UInt32  tcon17_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon17_hend:15;
    };
}tcon_tcon17_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon17_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon17_vend:13;
    };
}tcon_tcon17_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon17_l_flag_sel:5;
        RBus_UInt32  tcon17_off_opt:1;
        RBus_UInt32  tcon17_across_ctrl_reset:1;
        RBus_UInt32  tcon17_mode:3;
        RBus_UInt32  tcon17_en:1;
        RBus_UInt32  tcon17_inv:1;
        RBus_UInt32  tcon17_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon17_frame_tog_en:1;
        RBus_UInt32  tcon17_comb:3;
    };
}tcon_tcon17_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon17_across_frame_int:1;
        RBus_UInt32  tcon17_across_ctrl3_rp:12;
        RBus_UInt32  tcon17_hl_num:4;
        RBus_UInt32  tcon17_across_ctrl3_hp:12;
    };
}tcon_tcon17_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon17_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon17_frame_hp:12;
    };
}tcon_tcon17_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon17_frame_offset:12;
        RBus_UInt32  tcon17_hl:16;
    };
}tcon_tcon17_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_18:1;
        RBus_UInt32  tcon18_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon18_hend:15;
    };
}tcon_tcon18_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon18_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon18_vend:13;
    };
}tcon_tcon18_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon18_l_flag_sel:5;
        RBus_UInt32  tcon18_off_opt:1;
        RBus_UInt32  tcon18_across_ctrl_reset:1;
        RBus_UInt32  tcon18_mode:3;
        RBus_UInt32  tcon18_en:1;
        RBus_UInt32  tcon18_inv:1;
        RBus_UInt32  tcon18_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon18_frame_tog_en:1;
        RBus_UInt32  tcon18_comb:3;
    };
}tcon_tcon18_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon18_across_frame_int:1;
        RBus_UInt32  tcon18_across_ctrl3_rp:12;
        RBus_UInt32  tcon18_hl_num:4;
        RBus_UInt32  tcon18_across_ctrl3_hp:12;
    };
}tcon_tcon18_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon18_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon18_frame_hp:12;
    };
}tcon_tcon18_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon18_frame_offset:12;
        RBus_UInt32  tcon18_hl:16;
    };
}tcon_tcon18_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_19:1;
        RBus_UInt32  tcon19_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon19_hend:15;
    };
}tcon_tcon19_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon19_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon19_vend:13;
    };
}tcon_tcon19_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon19_l_flag_sel:5;
        RBus_UInt32  tcon19_off_opt:1;
        RBus_UInt32  tcon19_across_ctrl_reset:1;
        RBus_UInt32  tcon19_mode:3;
        RBus_UInt32  tcon19_en:1;
        RBus_UInt32  tcon19_inv:1;
        RBus_UInt32  tcon19_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon19_frame_tog_en:1;
        RBus_UInt32  tcon19_comb:3;
    };
}tcon_tcon19_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon19_across_frame_int:1;
        RBus_UInt32  tcon19_across_ctrl3_rp:12;
        RBus_UInt32  tcon19_hl_num:4;
        RBus_UInt32  tcon19_across_ctrl3_hp:12;
    };
}tcon_tcon19_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon19_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon19_frame_hp:12;
    };
}tcon_tcon19_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon19_frame_offset:12;
        RBus_UInt32  tcon19_hl:16;
    };
}tcon_tcon19_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_20:1;
        RBus_UInt32  tcon20_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon20_hend:15;
    };
}tcon_tcon20_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon20_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon20_vend:13;
    };
}tcon_tcon20_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon20_l_flag_sel:5;
        RBus_UInt32  tcon20_off_opt:1;
        RBus_UInt32  tcon20_across_ctrl_reset:1;
        RBus_UInt32  tcon20_mode:3;
        RBus_UInt32  tcon20_en:1;
        RBus_UInt32  tcon20_inv:1;
        RBus_UInt32  tcon20_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon20_frame_tog_en:1;
        RBus_UInt32  tcon20_comb:3;
    };
}tcon_tcon20_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon20_across_frame_int:1;
        RBus_UInt32  tcon20_across_ctrl3_rp:12;
        RBus_UInt32  tcon20_hl_num:4;
        RBus_UInt32  tcon20_across_ctrl3_hp:12;
    };
}tcon_tcon20_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon20_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon20_frame_hp:12;
    };
}tcon_tcon20_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon20_frame_offset:12;
        RBus_UInt32  tcon20_hl:16;
    };
}tcon_tcon20_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_21:1;
        RBus_UInt32  tcon21_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon21_hend:15;
    };
}tcon_tcon21_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon21_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon21_vend:13;
    };
}tcon_tcon21_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon21_l_flag_sel:5;
        RBus_UInt32  tcon21_off_opt:1;
        RBus_UInt32  tcon21_across_ctrl_reset:1;
        RBus_UInt32  tcon21_mode:3;
        RBus_UInt32  tcon21_en:1;
        RBus_UInt32  tcon21_inv:1;
        RBus_UInt32  tcon21_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon21_frame_tog_en:1;
        RBus_UInt32  tcon21_comb:3;
    };
}tcon_tcon21_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon21_across_frame_int:1;
        RBus_UInt32  tcon21_across_ctrl3_rp:12;
        RBus_UInt32  tcon21_hl_num:4;
        RBus_UInt32  tcon21_across_ctrl3_hp:12;
    };
}tcon_tcon21_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon21_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon21_frame_hp:12;
    };
}tcon_tcon21_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon21_frame_offset:12;
        RBus_UInt32  tcon21_hl:16;
    };
}tcon_tcon21_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_22:1;
        RBus_UInt32  tcon22_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon22_hend:15;
    };
}tcon_tcon22_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon22_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon22_vend:13;
    };
}tcon_tcon22_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon22_l_flag_sel:5;
        RBus_UInt32  tcon22_off_opt:1;
        RBus_UInt32  tcon22_across_ctrl_reset:1;
        RBus_UInt32  tcon22_mode:3;
        RBus_UInt32  tcon22_en:1;
        RBus_UInt32  tcon22_inv:1;
        RBus_UInt32  tcon22_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon22_frame_tog_en:1;
        RBus_UInt32  tcon22_comb:3;
    };
}tcon_tcon22_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon22_across_frame_int:1;
        RBus_UInt32  tcon22_across_ctrl3_rp:12;
        RBus_UInt32  tcon22_hl_num:4;
        RBus_UInt32  tcon22_across_ctrl3_hp:12;
    };
}tcon_tcon22_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon22_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon22_frame_hp:12;
    };
}tcon_tcon22_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon22_frame_offset:12;
        RBus_UInt32  tcon22_hl:16;
    };
}tcon_tcon22_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_23:1;
        RBus_UInt32  tcon23_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon23_hend:15;
    };
}tcon_tcon23_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon23_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon23_vend:13;
    };
}tcon_tcon23_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon23_l_flag_sel:5;
        RBus_UInt32  tcon23_off_opt:1;
        RBus_UInt32  tcon23_across_ctrl_reset:1;
        RBus_UInt32  tcon23_mode:3;
        RBus_UInt32  tcon23_en:1;
        RBus_UInt32  tcon23_inv:1;
        RBus_UInt32  tcon23_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon23_frame_tog_en:1;
        RBus_UInt32  tcon23_comb:3;
    };
}tcon_tcon23_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon23_across_frame_int:1;
        RBus_UInt32  tcon23_across_ctrl3_rp:12;
        RBus_UInt32  tcon23_hl_num:4;
        RBus_UInt32  tcon23_across_ctrl3_hp:12;
    };
}tcon_tcon23_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon23_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon23_frame_hp:12;
    };
}tcon_tcon23_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon23_frame_offset:12;
        RBus_UInt32  tcon23_hl:16;
    };
}tcon_tcon23_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_24:1;
        RBus_UInt32  tcon24_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon24_hend:15;
    };
}tcon_tcon24_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon24_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon24_vend:13;
    };
}tcon_tcon24_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon24_l_flag_sel:5;
        RBus_UInt32  tcon24_off_opt:1;
        RBus_UInt32  tcon24_across_ctrl_reset:1;
        RBus_UInt32  tcon24_mode:3;
        RBus_UInt32  tcon24_en:1;
        RBus_UInt32  tcon24_inv:1;
        RBus_UInt32  tcon24_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon24_frame_tog_en:1;
        RBus_UInt32  tcon24_comb:3;
    };
}tcon_tcon24_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon24_across_frame_int:1;
        RBus_UInt32  tcon24_across_ctrl3_rp:12;
        RBus_UInt32  tcon24_hl_num:4;
        RBus_UInt32  tcon24_across_ctrl3_hp:12;
    };
}tcon_tcon24_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon24_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon24_frame_hp:12;
    };
}tcon_tcon24_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon24_frame_offset:12;
        RBus_UInt32  tcon24_hl:16;
    };
}tcon_tcon24_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_25:1;
        RBus_UInt32  tcon25_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon25_hend:15;
    };
}tcon_tcon25_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon25_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon25_vend:13;
    };
}tcon_tcon25_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon25_l_flag_sel:5;
        RBus_UInt32  tcon25_off_opt:1;
        RBus_UInt32  tcon25_across_ctrl_reset:1;
        RBus_UInt32  tcon25_mode:3;
        RBus_UInt32  tcon25_en:1;
        RBus_UInt32  tcon25_inv:1;
        RBus_UInt32  tcon25_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon25_frame_tog_en:1;
        RBus_UInt32  tcon25_comb:3;
    };
}tcon_tcon25_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon25_across_frame_int:1;
        RBus_UInt32  tcon25_across_ctrl3_rp:12;
        RBus_UInt32  tcon25_hl_num:4;
        RBus_UInt32  tcon25_across_ctrl3_hp:12;
    };
}tcon_tcon25_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon25_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon25_frame_hp:12;
    };
}tcon_tcon25_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon25_frame_offset:12;
        RBus_UInt32  tcon25_hl:16;
    };
}tcon_tcon25_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_26:1;
        RBus_UInt32  tcon26_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon26_hend:15;
    };
}tcon_tcon26_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon26_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon26_vend:13;
    };
}tcon_tcon26_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon26_l_flag_sel:5;
        RBus_UInt32  tcon26_off_opt:1;
        RBus_UInt32  tcon26_across_ctrl_reset:1;
        RBus_UInt32  tcon26_mode:3;
        RBus_UInt32  tcon26_en:1;
        RBus_UInt32  tcon26_inv:1;
        RBus_UInt32  tcon26_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon26_frame_tog_en:1;
        RBus_UInt32  tcon26_comb:3;
    };
}tcon_tcon26_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon26_across_frame_int:1;
        RBus_UInt32  tcon26_across_ctrl3_rp:12;
        RBus_UInt32  tcon26_hl_num:4;
        RBus_UInt32  tcon26_across_ctrl3_hp:12;
    };
}tcon_tcon26_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon26_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon26_frame_hp:12;
    };
}tcon_tcon26_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon26_frame_offset:12;
        RBus_UInt32  tcon26_hl:16;
    };
}tcon_tcon26_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy_27:1;
        RBus_UInt32  tcon27_hstart:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon27_hend:15;
    };
}tcon_tcon27_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon27_vstart:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  tcon27_vend:13;
    };
}tcon_tcon27_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:14;
        RBus_UInt32  tcon27_l_flag_sel:5;
        RBus_UInt32  tcon27_off_opt:1;
        RBus_UInt32  tcon27_across_ctrl_reset:1;
        RBus_UInt32  tcon27_mode:3;
        RBus_UInt32  tcon27_en:1;
        RBus_UInt32  tcon27_inv:1;
        RBus_UInt32  tcon27_comb_inv:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  tcon27_frame_tog_en:1;
        RBus_UInt32  tcon27_comb:3;
    };
}tcon_tcon27_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon27_across_frame_int:1;
        RBus_UInt32  tcon27_across_ctrl3_rp:12;
        RBus_UInt32  tcon27_hl_num:4;
        RBus_UInt32  tcon27_across_ctrl3_hp:12;
    };
}tcon_tcon27_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon27_frame_lp:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tcon27_frame_hp:12;
    };
}tcon_tcon27_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon27_frame_offset:12;
        RBus_UInt32  tcon27_hl:16;
    };
}tcon_tcon27_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pwm0_rp:26;
    };
}tcon_tcon_pwm0_control0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pwm0_hp:26;
    };
}tcon_tcon_pwm0_control1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm0_en:1;
        RBus_UInt32  res1:27;
        RBus_UInt32  pwm0_num:4;
    };
}tcon_tcon_pwm0_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pwm1_rp:26;
    };
}tcon_tcon_pwm1_control0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pwm1_hp:26;
    };
}tcon_tcon_pwm1_control1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm1_en:1;
        RBus_UInt32  res1:27;
        RBus_UInt32  pwm1_num:4;
    };
}tcon_tcon_pwm1_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1802d5a0_31_28:4;
        RBus_UInt32  res1:23;
        RBus_UInt32  pwm_db_sel:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  pwm_db_apply:1;
    };
}tcon_tcon_pwm_db_sel_RBUS;

#else //apply LITTLE_ENDIAN

//======TCON register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon_output:30;
        RBus_UInt32  res1:2;
    };
}tcon_tcon_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}tcon_tcon_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon_en:1;
        RBus_UInt32  tcon_across_frame_en:1;
        RBus_UInt32  res1:30;
    };
}tcon_tcon_ip_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon0_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon0_hstart:15;
        RBus_UInt32  dummy_0:1;
    };
}tcon_tcon0_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon0_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon0_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon0_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon0_comb:3;
        RBus_UInt32  tcon0_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon0_comb_inv:1;
        RBus_UInt32  tcon0_inv:1;
        RBus_UInt32  tcon0_en:1;
        RBus_UInt32  tcon0_mode:3;
        RBus_UInt32  tcon0_across_ctrl_reset:1;
        RBus_UInt32  tcon0_off_opt:1;
        RBus_UInt32  tcon0_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon0_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon0_across_ctrl3_hp:12;
        RBus_UInt32  tcon0_hl_num:4;
        RBus_UInt32  tcon0_across_ctrl3_rp:12;
        RBus_UInt32  tcon0_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon0_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon0_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon0_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon0_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon0_hl:16;
        RBus_UInt32  tcon0_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon0_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon1_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon1_hstart:15;
        RBus_UInt32  dummy_1:1;
    };
}tcon_tcon1_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon1_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon1_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon1_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon1_comb:3;
        RBus_UInt32  tcon1_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon1_comb_inv:1;
        RBus_UInt32  tcon1_inv:1;
        RBus_UInt32  tcon1_en:1;
        RBus_UInt32  tcon1_mode:3;
        RBus_UInt32  tcon1_across_ctrl_reset:1;
        RBus_UInt32  tcon1_off_opt:1;
        RBus_UInt32  tcon1_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon1_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon1_across_ctrl3_hp:12;
        RBus_UInt32  tcon1_hl_num:4;
        RBus_UInt32  tcon1_across_ctrl3_rp:12;
        RBus_UInt32  tcon1_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon1_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon1_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon1_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon1_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon1_hl:16;
        RBus_UInt32  tcon1_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon1_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon2_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon2_hstart:15;
        RBus_UInt32  dummy_2:1;
    };
}tcon_tcon2_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon2_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon2_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon2_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon2_comb:3;
        RBus_UInt32  tcon2_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon2_comb_inv:1;
        RBus_UInt32  tcon2_inv:1;
        RBus_UInt32  tcon2_en:1;
        RBus_UInt32  tcon2_mode:3;
        RBus_UInt32  tcon2_across_ctrl_reset:1;
        RBus_UInt32  tcon2_off_opt:1;
        RBus_UInt32  tcon2_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon2_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon2_across_ctrl3_hp:12;
        RBus_UInt32  tcon2_hl_num:4;
        RBus_UInt32  tcon2_across_ctrl3_rp:12;
        RBus_UInt32  tcon2_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon2_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon2_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon2_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon2_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon2_hl:16;
        RBus_UInt32  tcon2_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon2_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon3_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon3_hstart:15;
        RBus_UInt32  dummy_3:1;
    };
}tcon_tcon3_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon3_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon3_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon3_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon3_comb:3;
        RBus_UInt32  tcon3_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon3_comb_inv:1;
        RBus_UInt32  tcon3_inv:1;
        RBus_UInt32  tcon3_en:1;
        RBus_UInt32  tcon3_mode:3;
        RBus_UInt32  tcon3_across_ctrl_reset:1;
        RBus_UInt32  tcon3_off_opt:1;
        RBus_UInt32  tcon3_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon3_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon3_across_ctrl3_hp:12;
        RBus_UInt32  tcon3_hl_num:4;
        RBus_UInt32  tcon3_across_ctrl3_rp:12;
        RBus_UInt32  tcon3_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon3_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon3_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon3_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon3_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon3_hl:16;
        RBus_UInt32  tcon3_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon3_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon4_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon4_hstart:15;
        RBus_UInt32  dummy_4:1;
    };
}tcon_tcon4_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon4_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon4_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon4_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon4_comb:3;
        RBus_UInt32  tcon4_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon4_comb_inv:1;
        RBus_UInt32  tcon4_inv:1;
        RBus_UInt32  tcon4_en:1;
        RBus_UInt32  tcon4_mode:3;
        RBus_UInt32  tcon4_across_ctrl_reset:1;
        RBus_UInt32  tcon4_off_opt:1;
        RBus_UInt32  tcon4_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon4_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon4_across_ctrl3_hp:12;
        RBus_UInt32  tcon4_hl_num:4;
        RBus_UInt32  tcon4_across_ctrl3_rp:12;
        RBus_UInt32  tcon4_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon4_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon4_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon4_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon4_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon4_hl:16;
        RBus_UInt32  tcon4_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon4_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon5_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon5_hstart:15;
        RBus_UInt32  dummy_5:1;
    };
}tcon_tcon5_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon5_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon5_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon5_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon5_comb:3;
        RBus_UInt32  tcon5_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon5_comb_inv:1;
        RBus_UInt32  tcon5_inv:1;
        RBus_UInt32  tcon5_en:1;
        RBus_UInt32  tcon5_mode:3;
        RBus_UInt32  tcon5_across_ctrl_reset:1;
        RBus_UInt32  tcon5_off_opt:1;
        RBus_UInt32  tcon5_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon5_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon5_across_ctrl3_hp:12;
        RBus_UInt32  tcon5_hl_num:4;
        RBus_UInt32  tcon5_across_ctrl3_rp:12;
        RBus_UInt32  tcon5_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon5_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon5_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon5_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon5_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon5_hl:16;
        RBus_UInt32  tcon5_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon5_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon6_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon6_hstart:15;
        RBus_UInt32  dummy_6:1;
    };
}tcon_tcon6_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon6_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon6_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon6_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon6_comb:3;
        RBus_UInt32  tcon6_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon6_comb_inv:1;
        RBus_UInt32  tcon6_inv:1;
        RBus_UInt32  tcon6_en:1;
        RBus_UInt32  tcon6_mode:3;
        RBus_UInt32  tcon6_across_ctrl_reset:1;
        RBus_UInt32  tcon6_off_opt:1;
        RBus_UInt32  tcon6_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon6_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon6_across_ctrl3_hp:12;
        RBus_UInt32  tcon6_hl_num:4;
        RBus_UInt32  tcon6_across_ctrl3_rp:12;
        RBus_UInt32  tcon6_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon6_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon6_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon6_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon6_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon6_hl:16;
        RBus_UInt32  tcon6_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon6_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon7_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon7_hstart:15;
        RBus_UInt32  dummy_7:1;
    };
}tcon_tcon7_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon7_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon7_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon7_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon7_comb:3;
        RBus_UInt32  tcon7_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon7_comb_inv:1;
        RBus_UInt32  tcon7_inv:1;
        RBus_UInt32  tcon7_en:1;
        RBus_UInt32  tcon7_mode:3;
        RBus_UInt32  tcon7_across_ctrl_reset:1;
        RBus_UInt32  tcon7_off_opt:1;
        RBus_UInt32  tcon7_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon7_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon7_across_ctrl3_hp:12;
        RBus_UInt32  tcon7_hl_num:4;
        RBus_UInt32  tcon7_across_ctrl3_rp:12;
        RBus_UInt32  tcon7_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon7_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon7_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon7_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon7_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon7_hl:16;
        RBus_UInt32  tcon7_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon7_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon8_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon8_hstart:15;
        RBus_UInt32  dummy_8:1;
    };
}tcon_tcon8_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon8_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon8_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon8_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon8_comb:3;
        RBus_UInt32  tcon8_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon8_comb_inv:1;
        RBus_UInt32  tcon8_inv:1;
        RBus_UInt32  tcon8_en:1;
        RBus_UInt32  tcon8_mode:3;
        RBus_UInt32  tcon8_across_ctrl_reset:1;
        RBus_UInt32  tcon8_off_opt:1;
        RBus_UInt32  tcon8_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon8_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon8_across_ctrl3_hp:12;
        RBus_UInt32  tcon8_hl_num:4;
        RBus_UInt32  tcon8_across_ctrl3_rp:12;
        RBus_UInt32  tcon8_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon8_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon8_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon8_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon8_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon8_hl:16;
        RBus_UInt32  tcon8_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon8_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon9_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon9_hstart:15;
        RBus_UInt32  dummy_9:1;
    };
}tcon_tcon9_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon9_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon9_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon9_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon9_comb:3;
        RBus_UInt32  tcon9_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon9_comb_inv:1;
        RBus_UInt32  tcon9_inv:1;
        RBus_UInt32  tcon9_en:1;
        RBus_UInt32  tcon9_mode:3;
        RBus_UInt32  tcon9_across_ctrl_reset:1;
        RBus_UInt32  tcon9_off_opt:1;
        RBus_UInt32  tcon9_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon9_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon9_across_ctrl3_hp:12;
        RBus_UInt32  tcon9_hl_num:4;
        RBus_UInt32  tcon9_across_ctrl3_rp:12;
        RBus_UInt32  tcon9_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon9_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon9_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon9_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon9_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon9_hl:16;
        RBus_UInt32  tcon9_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon9_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon10_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon10_hstart:15;
        RBus_UInt32  dummy_10:1;
    };
}tcon_tcon10_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon10_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon10_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon10_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon10_comb:3;
        RBus_UInt32  tcon10_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon10_comb_inv:1;
        RBus_UInt32  tcon10_inv:1;
        RBus_UInt32  tcon10_en:1;
        RBus_UInt32  tcon10_mode:3;
        RBus_UInt32  tcon10_across_ctrl_reset:1;
        RBus_UInt32  tcon10_off_opt:1;
        RBus_UInt32  tcon10_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon10_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon10_across_ctrl3_hp:12;
        RBus_UInt32  tcon10_hl_num:4;
        RBus_UInt32  tcon10_across_ctrl3_rp:12;
        RBus_UInt32  tcon10_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon10_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon10_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon10_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon10_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon10_hl:16;
        RBus_UInt32  tcon10_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon10_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon11_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon11_hstart:15;
        RBus_UInt32  dummy_11:1;
    };
}tcon_tcon11_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon11_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon11_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon11_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon11_comb:3;
        RBus_UInt32  tcon11_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon11_comb_inv:1;
        RBus_UInt32  tcon11_inv:1;
        RBus_UInt32  tcon11_en:1;
        RBus_UInt32  tcon11_mode:3;
        RBus_UInt32  tcon11_across_ctrl_reset:1;
        RBus_UInt32  tcon11_off_opt:1;
        RBus_UInt32  tcon11_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon11_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon11_across_ctrl3_hp:12;
        RBus_UInt32  tcon11_hl_num:4;
        RBus_UInt32  tcon11_across_ctrl3_rp:12;
        RBus_UInt32  tcon11_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon11_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon11_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon11_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon11_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon11_hl:16;
        RBus_UInt32  tcon11_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon11_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon12_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon12_hstart:15;
        RBus_UInt32  dummy_12:1;
    };
}tcon_tcon12_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon12_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon12_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon12_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon12_comb:3;
        RBus_UInt32  tcon12_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon12_comb_inv:1;
        RBus_UInt32  tcon12_inv:1;
        RBus_UInt32  tcon12_en:1;
        RBus_UInt32  tcon12_mode:3;
        RBus_UInt32  tcon12_across_ctrl_reset:1;
        RBus_UInt32  tcon12_off_opt:1;
        RBus_UInt32  tcon12_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon12_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon12_across_ctrl3_hp:12;
        RBus_UInt32  tcon12_hl_num:4;
        RBus_UInt32  tcon12_across_ctrl3_rp:12;
        RBus_UInt32  tcon12_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon12_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon12_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon12_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon12_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon12_hl:16;
        RBus_UInt32  tcon12_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon12_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon13_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon13_hstart:15;
        RBus_UInt32  dummy_13:1;
    };
}tcon_tcon13_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon13_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon13_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon13_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon13_comb:3;
        RBus_UInt32  tcon13_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon13_comb_inv:1;
        RBus_UInt32  tcon13_inv:1;
        RBus_UInt32  tcon13_en:1;
        RBus_UInt32  tcon13_mode:3;
        RBus_UInt32  tcon13_across_ctrl_reset:1;
        RBus_UInt32  tcon13_off_opt:1;
        RBus_UInt32  tcon13_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon13_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon13_across_ctrl3_hp:12;
        RBus_UInt32  tcon13_hl_num:4;
        RBus_UInt32  tcon13_across_ctrl3_rp:12;
        RBus_UInt32  tcon13_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon13_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon13_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon13_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon13_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon13_hl:16;
        RBus_UInt32  tcon13_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon13_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon14_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon14_hstart:15;
        RBus_UInt32  dummy_14:1;
    };
}tcon_tcon14_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon14_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon14_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon14_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon14_comb:3;
        RBus_UInt32  tcon14_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon14_comb_inv:1;
        RBus_UInt32  tcon14_inv:1;
        RBus_UInt32  tcon14_en:1;
        RBus_UInt32  tcon14_mode:3;
        RBus_UInt32  tcon14_across_ctrl_reset:1;
        RBus_UInt32  tcon14_off_opt:1;
        RBus_UInt32  tcon14_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon14_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon14_across_ctrl3_hp:12;
        RBus_UInt32  tcon14_hl_num:4;
        RBus_UInt32  tcon14_across_ctrl3_rp:12;
        RBus_UInt32  tcon14_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon14_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon14_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon14_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon14_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon14_hl:16;
        RBus_UInt32  tcon14_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon14_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon15_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon15_hstart:15;
        RBus_UInt32  dummy_15:1;
    };
}tcon_tcon15_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon15_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon15_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon15_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon15_comb:3;
        RBus_UInt32  tcon15_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon15_comb_inv:1;
        RBus_UInt32  tcon15_inv:1;
        RBus_UInt32  tcon15_en:1;
        RBus_UInt32  tcon15_mode:3;
        RBus_UInt32  tcon15_across_ctrl_reset:1;
        RBus_UInt32  tcon15_off_opt:1;
        RBus_UInt32  tcon15_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon15_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon15_across_ctrl3_hp:12;
        RBus_UInt32  tcon15_hl_num:4;
        RBus_UInt32  tcon15_across_ctrl3_rp:12;
        RBus_UInt32  tcon15_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon15_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon15_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon15_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon15_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon15_hl:16;
        RBus_UInt32  tcon15_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon15_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon16_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon16_hstart:15;
        RBus_UInt32  dummy_16:1;
    };
}tcon_tcon16_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon16_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon16_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon16_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon16_comb:3;
        RBus_UInt32  tcon16_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon16_comb_inv:1;
        RBus_UInt32  tcon16_inv:1;
        RBus_UInt32  tcon16_en:1;
        RBus_UInt32  tcon16_mode:3;
        RBus_UInt32  tcon16_across_ctrl_reset:1;
        RBus_UInt32  tcon16_off_opt:1;
        RBus_UInt32  tcon16_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon16_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon16_across_ctrl3_hp:12;
        RBus_UInt32  tcon16_hl_num:4;
        RBus_UInt32  tcon16_across_ctrl3_rp:12;
        RBus_UInt32  tcon16_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon16_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon16_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon16_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon16_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon16_hl:16;
        RBus_UInt32  tcon16_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon16_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon17_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon17_hstart:15;
        RBus_UInt32  dummy_17:1;
    };
}tcon_tcon17_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon17_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon17_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon17_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon17_comb:3;
        RBus_UInt32  tcon17_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon17_comb_inv:1;
        RBus_UInt32  tcon17_inv:1;
        RBus_UInt32  tcon17_en:1;
        RBus_UInt32  tcon17_mode:3;
        RBus_UInt32  tcon17_across_ctrl_reset:1;
        RBus_UInt32  tcon17_off_opt:1;
        RBus_UInt32  tcon17_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon17_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon17_across_ctrl3_hp:12;
        RBus_UInt32  tcon17_hl_num:4;
        RBus_UInt32  tcon17_across_ctrl3_rp:12;
        RBus_UInt32  tcon17_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon17_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon17_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon17_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon17_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon17_hl:16;
        RBus_UInt32  tcon17_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon17_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon18_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon18_hstart:15;
        RBus_UInt32  dummy_18:1;
    };
}tcon_tcon18_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon18_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon18_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon18_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon18_comb:3;
        RBus_UInt32  tcon18_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon18_comb_inv:1;
        RBus_UInt32  tcon18_inv:1;
        RBus_UInt32  tcon18_en:1;
        RBus_UInt32  tcon18_mode:3;
        RBus_UInt32  tcon18_across_ctrl_reset:1;
        RBus_UInt32  tcon18_off_opt:1;
        RBus_UInt32  tcon18_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon18_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon18_across_ctrl3_hp:12;
        RBus_UInt32  tcon18_hl_num:4;
        RBus_UInt32  tcon18_across_ctrl3_rp:12;
        RBus_UInt32  tcon18_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon18_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon18_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon18_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon18_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon18_hl:16;
        RBus_UInt32  tcon18_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon18_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon19_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon19_hstart:15;
        RBus_UInt32  dummy_19:1;
    };
}tcon_tcon19_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon19_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon19_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon19_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon19_comb:3;
        RBus_UInt32  tcon19_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon19_comb_inv:1;
        RBus_UInt32  tcon19_inv:1;
        RBus_UInt32  tcon19_en:1;
        RBus_UInt32  tcon19_mode:3;
        RBus_UInt32  tcon19_across_ctrl_reset:1;
        RBus_UInt32  tcon19_off_opt:1;
        RBus_UInt32  tcon19_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon19_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon19_across_ctrl3_hp:12;
        RBus_UInt32  tcon19_hl_num:4;
        RBus_UInt32  tcon19_across_ctrl3_rp:12;
        RBus_UInt32  tcon19_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon19_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon19_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon19_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon19_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon19_hl:16;
        RBus_UInt32  tcon19_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon19_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon20_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon20_hstart:15;
        RBus_UInt32  dummy_20:1;
    };
}tcon_tcon20_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon20_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon20_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon20_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon20_comb:3;
        RBus_UInt32  tcon20_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon20_comb_inv:1;
        RBus_UInt32  tcon20_inv:1;
        RBus_UInt32  tcon20_en:1;
        RBus_UInt32  tcon20_mode:3;
        RBus_UInt32  tcon20_across_ctrl_reset:1;
        RBus_UInt32  tcon20_off_opt:1;
        RBus_UInt32  tcon20_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon20_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon20_across_ctrl3_hp:12;
        RBus_UInt32  tcon20_hl_num:4;
        RBus_UInt32  tcon20_across_ctrl3_rp:12;
        RBus_UInt32  tcon20_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon20_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon20_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon20_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon20_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon20_hl:16;
        RBus_UInt32  tcon20_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon20_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon21_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon21_hstart:15;
        RBus_UInt32  dummy_21:1;
    };
}tcon_tcon21_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon21_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon21_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon21_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon21_comb:3;
        RBus_UInt32  tcon21_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon21_comb_inv:1;
        RBus_UInt32  tcon21_inv:1;
        RBus_UInt32  tcon21_en:1;
        RBus_UInt32  tcon21_mode:3;
        RBus_UInt32  tcon21_across_ctrl_reset:1;
        RBus_UInt32  tcon21_off_opt:1;
        RBus_UInt32  tcon21_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon21_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon21_across_ctrl3_hp:12;
        RBus_UInt32  tcon21_hl_num:4;
        RBus_UInt32  tcon21_across_ctrl3_rp:12;
        RBus_UInt32  tcon21_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon21_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon21_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon21_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon21_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon21_hl:16;
        RBus_UInt32  tcon21_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon21_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon22_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon22_hstart:15;
        RBus_UInt32  dummy_22:1;
    };
}tcon_tcon22_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon22_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon22_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon22_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon22_comb:3;
        RBus_UInt32  tcon22_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon22_comb_inv:1;
        RBus_UInt32  tcon22_inv:1;
        RBus_UInt32  tcon22_en:1;
        RBus_UInt32  tcon22_mode:3;
        RBus_UInt32  tcon22_across_ctrl_reset:1;
        RBus_UInt32  tcon22_off_opt:1;
        RBus_UInt32  tcon22_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon22_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon22_across_ctrl3_hp:12;
        RBus_UInt32  tcon22_hl_num:4;
        RBus_UInt32  tcon22_across_ctrl3_rp:12;
        RBus_UInt32  tcon22_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon22_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon22_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon22_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon22_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon22_hl:16;
        RBus_UInt32  tcon22_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon22_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon23_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon23_hstart:15;
        RBus_UInt32  dummy_23:1;
    };
}tcon_tcon23_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon23_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon23_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon23_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon23_comb:3;
        RBus_UInt32  tcon23_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon23_comb_inv:1;
        RBus_UInt32  tcon23_inv:1;
        RBus_UInt32  tcon23_en:1;
        RBus_UInt32  tcon23_mode:3;
        RBus_UInt32  tcon23_across_ctrl_reset:1;
        RBus_UInt32  tcon23_off_opt:1;
        RBus_UInt32  tcon23_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon23_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon23_across_ctrl3_hp:12;
        RBus_UInt32  tcon23_hl_num:4;
        RBus_UInt32  tcon23_across_ctrl3_rp:12;
        RBus_UInt32  tcon23_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon23_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon23_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon23_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon23_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon23_hl:16;
        RBus_UInt32  tcon23_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon23_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon24_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon24_hstart:15;
        RBus_UInt32  dummy_24:1;
    };
}tcon_tcon24_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon24_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon24_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon24_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon24_comb:3;
        RBus_UInt32  tcon24_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon24_comb_inv:1;
        RBus_UInt32  tcon24_inv:1;
        RBus_UInt32  tcon24_en:1;
        RBus_UInt32  tcon24_mode:3;
        RBus_UInt32  tcon24_across_ctrl_reset:1;
        RBus_UInt32  tcon24_off_opt:1;
        RBus_UInt32  tcon24_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon24_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon24_across_ctrl3_hp:12;
        RBus_UInt32  tcon24_hl_num:4;
        RBus_UInt32  tcon24_across_ctrl3_rp:12;
        RBus_UInt32  tcon24_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon24_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon24_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon24_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon24_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon24_hl:16;
        RBus_UInt32  tcon24_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon24_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon25_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon25_hstart:15;
        RBus_UInt32  dummy_25:1;
    };
}tcon_tcon25_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon25_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon25_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon25_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon25_comb:3;
        RBus_UInt32  tcon25_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon25_comb_inv:1;
        RBus_UInt32  tcon25_inv:1;
        RBus_UInt32  tcon25_en:1;
        RBus_UInt32  tcon25_mode:3;
        RBus_UInt32  tcon25_across_ctrl_reset:1;
        RBus_UInt32  tcon25_off_opt:1;
        RBus_UInt32  tcon25_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon25_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon25_across_ctrl3_hp:12;
        RBus_UInt32  tcon25_hl_num:4;
        RBus_UInt32  tcon25_across_ctrl3_rp:12;
        RBus_UInt32  tcon25_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon25_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon25_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon25_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon25_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon25_hl:16;
        RBus_UInt32  tcon25_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon25_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon26_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon26_hstart:15;
        RBus_UInt32  dummy_26:1;
    };
}tcon_tcon26_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon26_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon26_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon26_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon26_comb:3;
        RBus_UInt32  tcon26_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon26_comb_inv:1;
        RBus_UInt32  tcon26_inv:1;
        RBus_UInt32  tcon26_en:1;
        RBus_UInt32  tcon26_mode:3;
        RBus_UInt32  tcon26_across_ctrl_reset:1;
        RBus_UInt32  tcon26_off_opt:1;
        RBus_UInt32  tcon26_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon26_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon26_across_ctrl3_hp:12;
        RBus_UInt32  tcon26_hl_num:4;
        RBus_UInt32  tcon26_across_ctrl3_rp:12;
        RBus_UInt32  tcon26_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon26_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon26_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon26_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon26_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon26_hl:16;
        RBus_UInt32  tcon26_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon26_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon27_hend:15;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon27_hstart:15;
        RBus_UInt32  dummy_27:1;
    };
}tcon_tcon27_hse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon27_vend:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  tcon27_vstart:13;
        RBus_UInt32  res2:3;
    };
}tcon_tcon27_vse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon27_comb:3;
        RBus_UInt32  tcon27_frame_tog_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  tcon27_comb_inv:1;
        RBus_UInt32  tcon27_inv:1;
        RBus_UInt32  tcon27_en:1;
        RBus_UInt32  tcon27_mode:3;
        RBus_UInt32  tcon27_across_ctrl_reset:1;
        RBus_UInt32  tcon27_off_opt:1;
        RBus_UInt32  tcon27_l_flag_sel:5;
        RBus_UInt32  res2:14;
    };
}tcon_tcon27_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon27_across_ctrl3_hp:12;
        RBus_UInt32  tcon27_hl_num:4;
        RBus_UInt32  tcon27_across_ctrl3_rp:12;
        RBus_UInt32  tcon27_across_frame_int:1;
        RBus_UInt32  res1:3;
    };
}tcon_tcon27_across_line_control3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon27_frame_hp:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tcon27_frame_lp:12;
        RBus_UInt32  res2:4;
    };
}tcon_tcon27_across_frame_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tcon27_hl:16;
        RBus_UInt32  tcon27_frame_offset:12;
        RBus_UInt32  res1:4;
    };
}tcon_tcon27_frame_hl_control_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm0_rp:26;
        RBus_UInt32  res1:6;
    };
}tcon_tcon_pwm0_control0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm0_hp:26;
        RBus_UInt32  res1:6;
    };
}tcon_tcon_pwm0_control1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm0_num:4;
        RBus_UInt32  res1:27;
        RBus_UInt32  pwm0_en:1;
    };
}tcon_tcon_pwm0_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm1_rp:26;
        RBus_UInt32  res1:6;
    };
}tcon_tcon_pwm1_control0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm1_hp:26;
        RBus_UInt32  res1:6;
    };
}tcon_tcon_pwm1_control1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm1_num:4;
        RBus_UInt32  res1:27;
        RBus_UInt32  pwm1_en:1;
    };
}tcon_tcon_pwm1_control2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pwm_db_apply:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  pwm_db_sel:1;
        RBus_UInt32  res2:23;
        RBus_UInt32  dummy1802d5a0_31_28:4;
    };
}tcon_tcon_pwm_db_sel_RBUS;




#endif 


#endif 
