#ifndef __RTK_RCP_H__
#define __RTK_RCP_H__
#include <drivers/mcp/rtk_rcp_defines.h>


#define MAX_CW_ENTRY 128
#define KEY_OTP NULL
#define KEY_CW(key_entry)  (((key_entry) + 1))



int RTK_RCP_AES_CBC_Cipher(
    unsigned char           EnDe,
    unsigned char           Key[16],
    unsigned char           IV[16],
    unsigned char*          pDataIn,
    unsigned char*          pDataOut,
    unsigned long           DataLen
);

#define RTK_RCP_AES_CBC_Encryption(Key, IV, pDataIn, pDataOut, DataLen)       RTK_RCP_AES_CBC_Cipher(1, Key, IV, pDataIn, pDataOut, DataLen)
#define RTK_RCP_AES_CBC_Decryption(Key, IV, pDataIn, pDataOut, DataLen)       RTK_RCP_AES_CBC_Cipher(0, Key, IV, pDataIn, pDataOut, DataLen)

int RTK_RCP_CW_XOR(unsigned int CwIn1, unsigned int CwIn2, unsigned int CwOut);

#endif
