/**
* @file Merlin6_MEMC_KME_ME1_TOP7
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_KME_ME1_TOP7_REG_H_
#define _RBUS_KME_ME1_TOP7_REG_H_

#include "rbus_types.h"



//  KME_ME1_TOP7 Register Address
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01                                         0x1809CA00
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01_reg_addr                                 "0xB809CA00"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01_reg                                      0xB809CA00
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01_inst_addr                                "0x0000"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_01_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_01_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_01_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_01_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01_regr_me1_statis_rgn00_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01_regr_me1_statis_rgn00_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01_regr_me1_statis_rgn00_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_01_get_regr_me1_statis_rgn00_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_02                                         0x1809CA04
#define  KME_ME1_TOP7_ME1_STATIS_SAD_02_reg_addr                                 "0xB809CA04"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_02_reg                                      0xB809CA04
#define  KME_ME1_TOP7_ME1_STATIS_SAD_02_inst_addr                                "0x0001"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_02_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_02_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_02_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_02_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_02_regr_me1_statis_rgn01_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_02_regr_me1_statis_rgn01_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_02_regr_me1_statis_rgn01_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_02_get_regr_me1_statis_rgn01_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_03                                         0x1809CA08
#define  KME_ME1_TOP7_ME1_STATIS_SAD_03_reg_addr                                 "0xB809CA08"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_03_reg                                      0xB809CA08
#define  KME_ME1_TOP7_ME1_STATIS_SAD_03_inst_addr                                "0x0002"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_03_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_03_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_03_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_03_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_03_regr_me1_statis_rgn02_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_03_regr_me1_statis_rgn02_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_03_regr_me1_statis_rgn02_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_03_get_regr_me1_statis_rgn02_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_04                                         0x1809CA0C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_04_reg_addr                                 "0xB809CA0C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_04_reg                                      0xB809CA0C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_04_inst_addr                                "0x0003"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_04_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_04_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_04_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_04_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_04_regr_me1_statis_rgn03_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_04_regr_me1_statis_rgn03_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_04_regr_me1_statis_rgn03_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_04_get_regr_me1_statis_rgn03_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_05                                         0x1809CA10
#define  KME_ME1_TOP7_ME1_STATIS_SAD_05_reg_addr                                 "0xB809CA10"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_05_reg                                      0xB809CA10
#define  KME_ME1_TOP7_ME1_STATIS_SAD_05_inst_addr                                "0x0004"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_05_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_05_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_05_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_05_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_05_regr_me1_statis_rgn04_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_05_regr_me1_statis_rgn04_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_05_regr_me1_statis_rgn04_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_05_get_regr_me1_statis_rgn04_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_06                                         0x1809CA14
#define  KME_ME1_TOP7_ME1_STATIS_SAD_06_reg_addr                                 "0xB809CA14"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_06_reg                                      0xB809CA14
#define  KME_ME1_TOP7_ME1_STATIS_SAD_06_inst_addr                                "0x0005"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_06_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_06_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_06_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_06_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_06_regr_me1_statis_rgn05_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_06_regr_me1_statis_rgn05_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_06_regr_me1_statis_rgn05_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_06_get_regr_me1_statis_rgn05_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_07                                         0x1809CA18
#define  KME_ME1_TOP7_ME1_STATIS_SAD_07_reg_addr                                 "0xB809CA18"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_07_reg                                      0xB809CA18
#define  KME_ME1_TOP7_ME1_STATIS_SAD_07_inst_addr                                "0x0006"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_07_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_07_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_07_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_07_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_07_regr_me1_statis_rgn06_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_07_regr_me1_statis_rgn06_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_07_regr_me1_statis_rgn06_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_07_get_regr_me1_statis_rgn06_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_08                                         0x1809CA1C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_08_reg_addr                                 "0xB809CA1C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_08_reg                                      0xB809CA1C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_08_inst_addr                                "0x0007"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_08_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_08_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_08_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_08_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_08_regr_me1_statis_rgn07_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_08_regr_me1_statis_rgn07_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_08_regr_me1_statis_rgn07_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_08_get_regr_me1_statis_rgn07_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_09                                         0x1809CA20
#define  KME_ME1_TOP7_ME1_STATIS_SAD_09_reg_addr                                 "0xB809CA20"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_09_reg                                      0xB809CA20
#define  KME_ME1_TOP7_ME1_STATIS_SAD_09_inst_addr                                "0x0008"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_09_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_09_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_09_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_09_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_09_regr_me1_statis_rgn08_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_09_regr_me1_statis_rgn08_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_09_regr_me1_statis_rgn08_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_09_get_regr_me1_statis_rgn08_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_10                                         0x1809CA24
#define  KME_ME1_TOP7_ME1_STATIS_SAD_10_reg_addr                                 "0xB809CA24"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_10_reg                                      0xB809CA24
#define  KME_ME1_TOP7_ME1_STATIS_SAD_10_inst_addr                                "0x0009"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_10_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_10_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_10_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_10_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_10_regr_me1_statis_rgn09_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_10_regr_me1_statis_rgn09_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_10_regr_me1_statis_rgn09_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_10_get_regr_me1_statis_rgn09_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_11                                         0x1809CA28
#define  KME_ME1_TOP7_ME1_STATIS_SAD_11_reg_addr                                 "0xB809CA28"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_11_reg                                      0xB809CA28
#define  KME_ME1_TOP7_ME1_STATIS_SAD_11_inst_addr                                "0x000A"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_11_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_11_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_11_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_11_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_11_regr_me1_statis_rgn10_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_11_regr_me1_statis_rgn10_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_11_regr_me1_statis_rgn10_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_11_get_regr_me1_statis_rgn10_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_12                                         0x1809CA2C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_12_reg_addr                                 "0xB809CA2C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_12_reg                                      0xB809CA2C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_12_inst_addr                                "0x000B"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_12_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_12_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_12_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_12_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_12_regr_me1_statis_rgn11_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_12_regr_me1_statis_rgn11_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_12_regr_me1_statis_rgn11_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_12_get_regr_me1_statis_rgn11_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_13                                         0x1809CA30
#define  KME_ME1_TOP7_ME1_STATIS_SAD_13_reg_addr                                 "0xB809CA30"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_13_reg                                      0xB809CA30
#define  KME_ME1_TOP7_ME1_STATIS_SAD_13_inst_addr                                "0x000C"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_13_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_13_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_13_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_13_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_13_regr_me1_statis_rgn12_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_13_regr_me1_statis_rgn12_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_13_regr_me1_statis_rgn12_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_13_get_regr_me1_statis_rgn12_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_14                                         0x1809CA34
#define  KME_ME1_TOP7_ME1_STATIS_SAD_14_reg_addr                                 "0xB809CA34"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_14_reg                                      0xB809CA34
#define  KME_ME1_TOP7_ME1_STATIS_SAD_14_inst_addr                                "0x000D"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_14_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_14_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_14_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_14_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_14_regr_me1_statis_rgn13_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_14_regr_me1_statis_rgn13_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_14_regr_me1_statis_rgn13_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_14_get_regr_me1_statis_rgn13_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_15                                         0x1809CA38
#define  KME_ME1_TOP7_ME1_STATIS_SAD_15_reg_addr                                 "0xB809CA38"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_15_reg                                      0xB809CA38
#define  KME_ME1_TOP7_ME1_STATIS_SAD_15_inst_addr                                "0x000E"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_15_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_15_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_15_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_15_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_15_regr_me1_statis_rgn14_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_15_regr_me1_statis_rgn14_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_15_regr_me1_statis_rgn14_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_15_get_regr_me1_statis_rgn14_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_16                                         0x1809CA3C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_16_reg_addr                                 "0xB809CA3C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_16_reg                                      0xB809CA3C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_16_inst_addr                                "0x000F"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_16_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_16_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_16_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_16_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_16_regr_me1_statis_rgn15_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_16_regr_me1_statis_rgn15_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_16_regr_me1_statis_rgn15_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_16_get_regr_me1_statis_rgn15_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_17                                         0x1809CA40
#define  KME_ME1_TOP7_ME1_STATIS_SAD_17_reg_addr                                 "0xB809CA40"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_17_reg                                      0xB809CA40
#define  KME_ME1_TOP7_ME1_STATIS_SAD_17_inst_addr                                "0x0010"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_17_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_17_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_17_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_17_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_17_regr_me1_statis_rgn16_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_17_regr_me1_statis_rgn16_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_17_regr_me1_statis_rgn16_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_17_get_regr_me1_statis_rgn16_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_18                                         0x1809CA44
#define  KME_ME1_TOP7_ME1_STATIS_SAD_18_reg_addr                                 "0xB809CA44"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_18_reg                                      0xB809CA44
#define  KME_ME1_TOP7_ME1_STATIS_SAD_18_inst_addr                                "0x0011"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_18_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_18_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_18_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_18_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_18_regr_me1_statis_rgn17_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_18_regr_me1_statis_rgn17_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_18_regr_me1_statis_rgn17_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_18_get_regr_me1_statis_rgn17_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_19                                         0x1809CA48
#define  KME_ME1_TOP7_ME1_STATIS_SAD_19_reg_addr                                 "0xB809CA48"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_19_reg                                      0xB809CA48
#define  KME_ME1_TOP7_ME1_STATIS_SAD_19_inst_addr                                "0x0012"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_19_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_19_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_19_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_19_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_19_regr_me1_statis_rgn18_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_19_regr_me1_statis_rgn18_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_19_regr_me1_statis_rgn18_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_19_get_regr_me1_statis_rgn18_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_20                                         0x1809CA4C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_20_reg_addr                                 "0xB809CA4C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_20_reg                                      0xB809CA4C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_20_inst_addr                                "0x0013"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_20_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_20_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_20_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_20_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_20_regr_me1_statis_rgn19_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_20_regr_me1_statis_rgn19_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_20_regr_me1_statis_rgn19_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_20_get_regr_me1_statis_rgn19_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_21                                         0x1809CA50
#define  KME_ME1_TOP7_ME1_STATIS_SAD_21_reg_addr                                 "0xB809CA50"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_21_reg                                      0xB809CA50
#define  KME_ME1_TOP7_ME1_STATIS_SAD_21_inst_addr                                "0x0014"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_21_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_21_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_21_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_21_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_21_regr_me1_statis_rgn20_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_21_regr_me1_statis_rgn20_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_21_regr_me1_statis_rgn20_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_21_get_regr_me1_statis_rgn20_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_22                                         0x1809CA54
#define  KME_ME1_TOP7_ME1_STATIS_SAD_22_reg_addr                                 "0xB809CA54"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_22_reg                                      0xB809CA54
#define  KME_ME1_TOP7_ME1_STATIS_SAD_22_inst_addr                                "0x0015"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_22_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_22_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_22_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_22_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_22_regr_me1_statis_rgn21_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_22_regr_me1_statis_rgn21_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_22_regr_me1_statis_rgn21_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_22_get_regr_me1_statis_rgn21_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_23                                         0x1809CA58
#define  KME_ME1_TOP7_ME1_STATIS_SAD_23_reg_addr                                 "0xB809CA58"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_23_reg                                      0xB809CA58
#define  KME_ME1_TOP7_ME1_STATIS_SAD_23_inst_addr                                "0x0016"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_23_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_23_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_23_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_23_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_23_regr_me1_statis_rgn22_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_23_regr_me1_statis_rgn22_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_23_regr_me1_statis_rgn22_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_23_get_regr_me1_statis_rgn22_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_24                                         0x1809CA5C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_24_reg_addr                                 "0xB809CA5C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_24_reg                                      0xB809CA5C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_24_inst_addr                                "0x0017"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_24_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_24_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_24_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_24_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_24_regr_me1_statis_rgn23_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_24_regr_me1_statis_rgn23_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_24_regr_me1_statis_rgn23_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_24_get_regr_me1_statis_rgn23_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_25                                         0x1809CA60
#define  KME_ME1_TOP7_ME1_STATIS_SAD_25_reg_addr                                 "0xB809CA60"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_25_reg                                      0xB809CA60
#define  KME_ME1_TOP7_ME1_STATIS_SAD_25_inst_addr                                "0x0018"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_25_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_25_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_25_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_25_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_25_regr_me1_statis_rgn24_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_25_regr_me1_statis_rgn24_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_25_regr_me1_statis_rgn24_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_25_get_regr_me1_statis_rgn24_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_26                                         0x1809CA64
#define  KME_ME1_TOP7_ME1_STATIS_SAD_26_reg_addr                                 "0xB809CA64"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_26_reg                                      0xB809CA64
#define  KME_ME1_TOP7_ME1_STATIS_SAD_26_inst_addr                                "0x0019"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_26_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_26_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_26_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_26_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_26_regr_me1_statis_rgn25_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_26_regr_me1_statis_rgn25_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_26_regr_me1_statis_rgn25_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_26_get_regr_me1_statis_rgn25_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_27                                         0x1809CA68
#define  KME_ME1_TOP7_ME1_STATIS_SAD_27_reg_addr                                 "0xB809CA68"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_27_reg                                      0xB809CA68
#define  KME_ME1_TOP7_ME1_STATIS_SAD_27_inst_addr                                "0x001A"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_27_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_27_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_27_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_27_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_27_regr_me1_statis_rgn26_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_27_regr_me1_statis_rgn26_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_27_regr_me1_statis_rgn26_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_27_get_regr_me1_statis_rgn26_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_28                                         0x1809CA6C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_28_reg_addr                                 "0xB809CA6C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_28_reg                                      0xB809CA6C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_28_inst_addr                                "0x001B"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_28_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_28_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_28_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_28_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_28_regr_me1_statis_rgn27_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_28_regr_me1_statis_rgn27_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_28_regr_me1_statis_rgn27_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_28_get_regr_me1_statis_rgn27_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_29                                         0x1809CA70
#define  KME_ME1_TOP7_ME1_STATIS_SAD_29_reg_addr                                 "0xB809CA70"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_29_reg                                      0xB809CA70
#define  KME_ME1_TOP7_ME1_STATIS_SAD_29_inst_addr                                "0x001C"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_29_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_29_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_29_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_29_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_29_regr_me1_statis_rgn28_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_29_regr_me1_statis_rgn28_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_29_regr_me1_statis_rgn28_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_29_get_regr_me1_statis_rgn28_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_30                                         0x1809CA74
#define  KME_ME1_TOP7_ME1_STATIS_SAD_30_reg_addr                                 "0xB809CA74"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_30_reg                                      0xB809CA74
#define  KME_ME1_TOP7_ME1_STATIS_SAD_30_inst_addr                                "0x001D"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_30_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_30_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_30_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_30_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_30_regr_me1_statis_rgn29_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_30_regr_me1_statis_rgn29_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_30_regr_me1_statis_rgn29_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_30_get_regr_me1_statis_rgn29_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_31                                         0x1809CA78
#define  KME_ME1_TOP7_ME1_STATIS_SAD_31_reg_addr                                 "0xB809CA78"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_31_reg                                      0xB809CA78
#define  KME_ME1_TOP7_ME1_STATIS_SAD_31_inst_addr                                "0x001E"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_31_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_31_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_31_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_31_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_31_regr_me1_statis_rgn30_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_31_regr_me1_statis_rgn30_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_31_regr_me1_statis_rgn30_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_31_get_regr_me1_statis_rgn30_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_SAD_32                                         0x1809CA7C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_32_reg_addr                                 "0xB809CA7C"
#define  KME_ME1_TOP7_ME1_STATIS_SAD_32_reg                                      0xB809CA7C
#define  KME_ME1_TOP7_ME1_STATIS_SAD_32_inst_addr                                "0x001F"
#define  set_KME_ME1_TOP7_ME1_STATIS_SAD_32_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_32_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_SAD_32_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_SAD_32_reg))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_32_regr_me1_statis_rgn31_sad_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_32_regr_me1_statis_rgn31_sad_mask           (0x01FFFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_SAD_32_regr_me1_statis_rgn31_sad(data)          (0x01FFFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_SAD_32_get_regr_me1_statis_rgn31_sad(data)      (0x01FFFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_01                                         0x1809CA80
#define  KME_ME1_TOP7_ME1_STATIS_DTL_01_reg_addr                                 "0xB809CA80"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_01_reg                                      0xB809CA80
#define  KME_ME1_TOP7_ME1_STATIS_DTL_01_inst_addr                                "0x0020"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_01_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_01_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_01_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_01_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_01_regr_me1_statis_rgn00_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_01_regr_me1_statis_rgn00_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_01_regr_me1_statis_rgn00_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_01_get_regr_me1_statis_rgn00_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_02                                         0x1809CA84
#define  KME_ME1_TOP7_ME1_STATIS_DTL_02_reg_addr                                 "0xB809CA84"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_02_reg                                      0xB809CA84
#define  KME_ME1_TOP7_ME1_STATIS_DTL_02_inst_addr                                "0x0021"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_02_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_02_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_02_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_02_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_02_regr_me1_statis_rgn01_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_02_regr_me1_statis_rgn01_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_02_regr_me1_statis_rgn01_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_02_get_regr_me1_statis_rgn01_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_03                                         0x1809CA88
#define  KME_ME1_TOP7_ME1_STATIS_DTL_03_reg_addr                                 "0xB809CA88"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_03_reg                                      0xB809CA88
#define  KME_ME1_TOP7_ME1_STATIS_DTL_03_inst_addr                                "0x0022"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_03_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_03_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_03_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_03_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_03_regr_me1_statis_rgn02_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_03_regr_me1_statis_rgn02_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_03_regr_me1_statis_rgn02_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_03_get_regr_me1_statis_rgn02_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_04                                         0x1809CA8C
#define  KME_ME1_TOP7_ME1_STATIS_DTL_04_reg_addr                                 "0xB809CA8C"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_04_reg                                      0xB809CA8C
#define  KME_ME1_TOP7_ME1_STATIS_DTL_04_inst_addr                                "0x0023"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_04_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_04_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_04_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_04_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_04_regr_me1_statis_rgn03_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_04_regr_me1_statis_rgn03_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_04_regr_me1_statis_rgn03_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_04_get_regr_me1_statis_rgn03_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_05                                         0x1809CA90
#define  KME_ME1_TOP7_ME1_STATIS_DTL_05_reg_addr                                 "0xB809CA90"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_05_reg                                      0xB809CA90
#define  KME_ME1_TOP7_ME1_STATIS_DTL_05_inst_addr                                "0x0024"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_05_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_05_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_05_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_05_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_05_regr_me1_statis_rgn04_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_05_regr_me1_statis_rgn04_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_05_regr_me1_statis_rgn04_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_05_get_regr_me1_statis_rgn04_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_06                                         0x1809CA94
#define  KME_ME1_TOP7_ME1_STATIS_DTL_06_reg_addr                                 "0xB809CA94"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_06_reg                                      0xB809CA94
#define  KME_ME1_TOP7_ME1_STATIS_DTL_06_inst_addr                                "0x0025"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_06_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_06_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_06_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_06_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_06_regr_me1_statis_rgn05_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_06_regr_me1_statis_rgn05_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_06_regr_me1_statis_rgn05_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_06_get_regr_me1_statis_rgn05_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_07                                         0x1809CA98
#define  KME_ME1_TOP7_ME1_STATIS_DTL_07_reg_addr                                 "0xB809CA98"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_07_reg                                      0xB809CA98
#define  KME_ME1_TOP7_ME1_STATIS_DTL_07_inst_addr                                "0x0026"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_07_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_07_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_07_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_07_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_07_regr_me1_statis_rgn06_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_07_regr_me1_statis_rgn06_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_07_regr_me1_statis_rgn06_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_07_get_regr_me1_statis_rgn06_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_08                                         0x1809CA9C
#define  KME_ME1_TOP7_ME1_STATIS_DTL_08_reg_addr                                 "0xB809CA9C"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_08_reg                                      0xB809CA9C
#define  KME_ME1_TOP7_ME1_STATIS_DTL_08_inst_addr                                "0x0027"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_08_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_08_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_08_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_08_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_08_regr_me1_statis_rgn07_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_08_regr_me1_statis_rgn07_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_08_regr_me1_statis_rgn07_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_08_get_regr_me1_statis_rgn07_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_09                                         0x1809CAA0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_09_reg_addr                                 "0xB809CAA0"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_09_reg                                      0xB809CAA0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_09_inst_addr                                "0x0028"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_09_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_09_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_09_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_09_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_09_regr_me1_statis_rgn08_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_09_regr_me1_statis_rgn08_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_09_regr_me1_statis_rgn08_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_09_get_regr_me1_statis_rgn08_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_10                                         0x1809CAA4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_10_reg_addr                                 "0xB809CAA4"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_10_reg                                      0xB809CAA4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_10_inst_addr                                "0x0029"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_10_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_10_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_10_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_10_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_10_regr_me1_statis_rgn09_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_10_regr_me1_statis_rgn09_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_10_regr_me1_statis_rgn09_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_10_get_regr_me1_statis_rgn09_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_11                                         0x1809CAA8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_11_reg_addr                                 "0xB809CAA8"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_11_reg                                      0xB809CAA8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_11_inst_addr                                "0x002A"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_11_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_11_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_11_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_11_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_11_regr_me1_statis_rgn10_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_11_regr_me1_statis_rgn10_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_11_regr_me1_statis_rgn10_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_11_get_regr_me1_statis_rgn10_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_12                                         0x1809CAAC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_12_reg_addr                                 "0xB809CAAC"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_12_reg                                      0xB809CAAC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_12_inst_addr                                "0x002B"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_12_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_12_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_12_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_12_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_12_regr_me1_statis_rgn11_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_12_regr_me1_statis_rgn11_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_12_regr_me1_statis_rgn11_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_12_get_regr_me1_statis_rgn11_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_13                                         0x1809CAB0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_13_reg_addr                                 "0xB809CAB0"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_13_reg                                      0xB809CAB0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_13_inst_addr                                "0x002C"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_13_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_13_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_13_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_13_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_13_regr_me1_statis_rgn12_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_13_regr_me1_statis_rgn12_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_13_regr_me1_statis_rgn12_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_13_get_regr_me1_statis_rgn12_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_14                                         0x1809CAB4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_14_reg_addr                                 "0xB809CAB4"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_14_reg                                      0xB809CAB4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_14_inst_addr                                "0x002D"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_14_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_14_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_14_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_14_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_14_regr_me1_statis_rgn13_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_14_regr_me1_statis_rgn13_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_14_regr_me1_statis_rgn13_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_14_get_regr_me1_statis_rgn13_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_15                                         0x1809CAB8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_15_reg_addr                                 "0xB809CAB8"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_15_reg                                      0xB809CAB8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_15_inst_addr                                "0x002E"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_15_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_15_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_15_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_15_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_15_regr_me1_statis_rgn14_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_15_regr_me1_statis_rgn14_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_15_regr_me1_statis_rgn14_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_15_get_regr_me1_statis_rgn14_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_16                                         0x1809CABC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_16_reg_addr                                 "0xB809CABC"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_16_reg                                      0xB809CABC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_16_inst_addr                                "0x002F"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_16_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_16_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_16_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_16_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_16_regr_me1_statis_rgn15_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_16_regr_me1_statis_rgn15_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_16_regr_me1_statis_rgn15_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_16_get_regr_me1_statis_rgn15_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_17                                         0x1809CAC0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_17_reg_addr                                 "0xB809CAC0"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_17_reg                                      0xB809CAC0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_17_inst_addr                                "0x0030"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_17_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_17_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_17_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_17_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_17_regr_me1_statis_rgn16_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_17_regr_me1_statis_rgn16_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_17_regr_me1_statis_rgn16_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_17_get_regr_me1_statis_rgn16_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_18                                         0x1809CAC4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_18_reg_addr                                 "0xB809CAC4"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_18_reg                                      0xB809CAC4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_18_inst_addr                                "0x0031"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_18_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_18_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_18_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_18_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_18_regr_me1_statis_rgn17_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_18_regr_me1_statis_rgn17_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_18_regr_me1_statis_rgn17_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_18_get_regr_me1_statis_rgn17_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_19                                         0x1809CAC8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_19_reg_addr                                 "0xB809CAC8"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_19_reg                                      0xB809CAC8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_19_inst_addr                                "0x0032"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_19_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_19_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_19_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_19_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_19_regr_me1_statis_rgn18_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_19_regr_me1_statis_rgn18_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_19_regr_me1_statis_rgn18_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_19_get_regr_me1_statis_rgn18_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_20                                         0x1809CACC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_20_reg_addr                                 "0xB809CACC"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_20_reg                                      0xB809CACC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_20_inst_addr                                "0x0033"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_20_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_20_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_20_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_20_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_20_regr_me1_statis_rgn19_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_20_regr_me1_statis_rgn19_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_20_regr_me1_statis_rgn19_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_20_get_regr_me1_statis_rgn19_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_21                                         0x1809CAD0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_21_reg_addr                                 "0xB809CAD0"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_21_reg                                      0xB809CAD0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_21_inst_addr                                "0x0034"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_21_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_21_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_21_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_21_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_21_regr_me1_statis_rgn20_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_21_regr_me1_statis_rgn20_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_21_regr_me1_statis_rgn20_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_21_get_regr_me1_statis_rgn20_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_22                                         0x1809CAD4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_22_reg_addr                                 "0xB809CAD4"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_22_reg                                      0xB809CAD4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_22_inst_addr                                "0x0035"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_22_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_22_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_22_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_22_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_22_regr_me1_statis_rgn21_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_22_regr_me1_statis_rgn21_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_22_regr_me1_statis_rgn21_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_22_get_regr_me1_statis_rgn21_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_23                                         0x1809CAD8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_23_reg_addr                                 "0xB809CAD8"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_23_reg                                      0xB809CAD8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_23_inst_addr                                "0x0036"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_23_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_23_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_23_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_23_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_23_regr_me1_statis_rgn22_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_23_regr_me1_statis_rgn22_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_23_regr_me1_statis_rgn22_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_23_get_regr_me1_statis_rgn22_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_24                                         0x1809CADC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_24_reg_addr                                 "0xB809CADC"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_24_reg                                      0xB809CADC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_24_inst_addr                                "0x0037"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_24_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_24_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_24_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_24_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_24_regr_me1_statis_rgn23_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_24_regr_me1_statis_rgn23_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_24_regr_me1_statis_rgn23_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_24_get_regr_me1_statis_rgn23_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_25                                         0x1809CAE0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_25_reg_addr                                 "0xB809CAE0"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_25_reg                                      0xB809CAE0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_25_inst_addr                                "0x0038"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_25_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_25_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_25_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_25_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_25_regr_me1_statis_rgn24_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_25_regr_me1_statis_rgn24_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_25_regr_me1_statis_rgn24_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_25_get_regr_me1_statis_rgn24_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_26                                         0x1809CAE4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_26_reg_addr                                 "0xB809CAE4"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_26_reg                                      0xB809CAE4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_26_inst_addr                                "0x0039"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_26_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_26_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_26_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_26_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_26_regr_me1_statis_rgn25_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_26_regr_me1_statis_rgn25_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_26_regr_me1_statis_rgn25_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_26_get_regr_me1_statis_rgn25_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_27                                         0x1809CAE8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_27_reg_addr                                 "0xB809CAE8"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_27_reg                                      0xB809CAE8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_27_inst_addr                                "0x003A"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_27_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_27_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_27_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_27_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_27_regr_me1_statis_rgn26_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_27_regr_me1_statis_rgn26_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_27_regr_me1_statis_rgn26_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_27_get_regr_me1_statis_rgn26_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_28                                         0x1809CAEC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_28_reg_addr                                 "0xB809CAEC"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_28_reg                                      0xB809CAEC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_28_inst_addr                                "0x003B"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_28_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_28_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_28_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_28_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_28_regr_me1_statis_rgn27_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_28_regr_me1_statis_rgn27_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_28_regr_me1_statis_rgn27_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_28_get_regr_me1_statis_rgn27_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_29                                         0x1809CAF0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_29_reg_addr                                 "0xB809CAF0"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_29_reg                                      0xB809CAF0
#define  KME_ME1_TOP7_ME1_STATIS_DTL_29_inst_addr                                "0x003C"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_29_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_29_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_29_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_29_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_29_regr_me1_statis_rgn28_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_29_regr_me1_statis_rgn28_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_29_regr_me1_statis_rgn28_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_29_get_regr_me1_statis_rgn28_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_30                                         0x1809CAF4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_30_reg_addr                                 "0xB809CAF4"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_30_reg                                      0xB809CAF4
#define  KME_ME1_TOP7_ME1_STATIS_DTL_30_inst_addr                                "0x003D"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_30_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_30_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_30_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_30_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_30_regr_me1_statis_rgn29_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_30_regr_me1_statis_rgn29_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_30_regr_me1_statis_rgn29_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_30_get_regr_me1_statis_rgn29_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_31                                         0x1809CAF8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_31_reg_addr                                 "0xB809CAF8"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_31_reg                                      0xB809CAF8
#define  KME_ME1_TOP7_ME1_STATIS_DTL_31_inst_addr                                "0x003E"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_31_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_31_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_31_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_31_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_31_regr_me1_statis_rgn30_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_31_regr_me1_statis_rgn30_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_31_regr_me1_statis_rgn30_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_31_get_regr_me1_statis_rgn30_dtl(data)      (0x000FFFFF&(data))

#define  KME_ME1_TOP7_ME1_STATIS_DTL_32                                         0x1809CAFC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_32_reg_addr                                 "0xB809CAFC"
#define  KME_ME1_TOP7_ME1_STATIS_DTL_32_reg                                      0xB809CAFC
#define  KME_ME1_TOP7_ME1_STATIS_DTL_32_inst_addr                                "0x003F"
#define  set_KME_ME1_TOP7_ME1_STATIS_DTL_32_reg(data)                            (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_32_reg)=data)
#define  get_KME_ME1_TOP7_ME1_STATIS_DTL_32_reg                                  (*((volatile unsigned int*)KME_ME1_TOP7_ME1_STATIS_DTL_32_reg))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_32_regr_me1_statis_rgn31_dtl_shift          (0)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_32_regr_me1_statis_rgn31_dtl_mask           (0x000FFFFF)
#define  KME_ME1_TOP7_ME1_STATIS_DTL_32_regr_me1_statis_rgn31_dtl(data)          (0x000FFFFF&(data))
#define  KME_ME1_TOP7_ME1_STATIS_DTL_32_get_regr_me1_statis_rgn31_dtl(data)      (0x000FFFFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======KME_ME1_TOP7 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn00_sad:25;
    };
}kme_me1_top7_me1_statis_sad_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn01_sad:25;
    };
}kme_me1_top7_me1_statis_sad_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn02_sad:25;
    };
}kme_me1_top7_me1_statis_sad_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn03_sad:25;
    };
}kme_me1_top7_me1_statis_sad_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn04_sad:25;
    };
}kme_me1_top7_me1_statis_sad_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn05_sad:25;
    };
}kme_me1_top7_me1_statis_sad_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn06_sad:25;
    };
}kme_me1_top7_me1_statis_sad_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn07_sad:25;
    };
}kme_me1_top7_me1_statis_sad_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn08_sad:25;
    };
}kme_me1_top7_me1_statis_sad_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn09_sad:25;
    };
}kme_me1_top7_me1_statis_sad_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn10_sad:25;
    };
}kme_me1_top7_me1_statis_sad_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn11_sad:25;
    };
}kme_me1_top7_me1_statis_sad_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn12_sad:25;
    };
}kme_me1_top7_me1_statis_sad_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn13_sad:25;
    };
}kme_me1_top7_me1_statis_sad_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn14_sad:25;
    };
}kme_me1_top7_me1_statis_sad_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn15_sad:25;
    };
}kme_me1_top7_me1_statis_sad_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn16_sad:25;
    };
}kme_me1_top7_me1_statis_sad_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn17_sad:25;
    };
}kme_me1_top7_me1_statis_sad_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn18_sad:25;
    };
}kme_me1_top7_me1_statis_sad_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn19_sad:25;
    };
}kme_me1_top7_me1_statis_sad_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn20_sad:25;
    };
}kme_me1_top7_me1_statis_sad_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn21_sad:25;
    };
}kme_me1_top7_me1_statis_sad_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn22_sad:25;
    };
}kme_me1_top7_me1_statis_sad_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn23_sad:25;
    };
}kme_me1_top7_me1_statis_sad_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn24_sad:25;
    };
}kme_me1_top7_me1_statis_sad_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn25_sad:25;
    };
}kme_me1_top7_me1_statis_sad_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn26_sad:25;
    };
}kme_me1_top7_me1_statis_sad_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn27_sad:25;
    };
}kme_me1_top7_me1_statis_sad_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn28_sad:25;
    };
}kme_me1_top7_me1_statis_sad_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn29_sad:25;
    };
}kme_me1_top7_me1_statis_sad_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn30_sad:25;
    };
}kme_me1_top7_me1_statis_sad_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  regr_me1_statis_rgn31_sad:25;
    };
}kme_me1_top7_me1_statis_sad_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn00_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn01_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn02_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn03_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn04_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn05_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn06_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn07_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn08_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn09_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn10_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn11_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn12_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn13_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn14_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn15_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn16_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn17_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn18_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn19_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn20_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn21_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn22_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn23_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn24_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn25_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn26_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn27_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn28_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn29_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn30_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  regr_me1_statis_rgn31_dtl:20;
    };
}kme_me1_top7_me1_statis_dtl_32_RBUS;

#else //apply LITTLE_ENDIAN

//======KME_ME1_TOP7 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn00_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn01_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn02_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn03_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn04_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn05_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn06_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn07_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn08_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn09_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn10_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn11_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn12_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn13_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn14_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn15_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn16_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn17_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn18_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn19_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn20_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn21_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn22_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn23_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn24_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn25_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn26_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn27_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn28_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn29_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn30_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn31_sad:25;
        RBus_UInt32  res1:7;
    };
}kme_me1_top7_me1_statis_sad_32_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn00_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn01_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn02_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_03_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn03_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn04_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_05_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn05_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn06_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_07_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn07_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn08_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_09_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn09_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn10_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn11_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn12_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn13_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn14_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn15_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn16_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn17_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn18_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn19_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn20_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn21_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn22_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn23_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn24_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn25_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn26_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn27_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn28_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn29_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn30_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_31_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  regr_me1_statis_rgn31_dtl:20;
        RBus_UInt32  res1:12;
    };
}kme_me1_top7_me1_statis_dtl_32_RBUS;




#endif 


#endif 
